# azure_devops_sdk.api.WikiSearchResultsApi

## Load the API package
```dart
import 'package:azure_devops_sdk/api.dart';
```

All URIs are relative to *https://app.vssps.visualstudio.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**fetch Wiki Search Results**](WikiSearchResultsApi.md#fetch Wiki Search Results) | **POST** /{organization}/{project}/_apis/search/wikisearchresults | 


# **fetch Wiki Search Results**
> WikiSearchResponse fetch Wiki Search Results(organization, project, apiVersion, body)



Provides a set of results for the search request.

### Example 
```dart
import 'package:azure_devops_sdk/api.dart';
// TODO Configure OAuth2 access token for authorization: oauth2
//defaultApiClient.getAuthentication<OAuth>('oauth2').accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = WikiSearchResultsApi();
var organization = organization_example; // String | The name of the Azure DevOps organization.
var project = project_example; // String | Project ID or project name
var apiVersion = apiVersion_example; // String | Version of the API to use.  This should be set to '5.1-preview.1' to use this version of the api.
var body = WikiSearchRequest(); // WikiSearchRequest | The Wiki Search Request.

try { 
    var result = api_instance.fetch Wiki Search Results(organization, project, apiVersion, body);
    print(result);
} catch (e) {
    print("Exception when calling WikiSearchResultsApi->fetch Wiki Search Results: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **organization** | **String**| The name of the Azure DevOps organization. | [default to null]
 **project** | **String**| Project ID or project name | [default to null]
 **apiVersion** | **String**| Version of the API to use.  This should be set to &#39;5.1-preview.1&#39; to use this version of the api. | [default to null]
 **body** | [**WikiSearchRequest**](WikiSearchRequest.md)| The Wiki Search Request. | 

### Return type

[**WikiSearchResponse**](WikiSearchResponse.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

