library azure_devops_sdk.api;

import 'dart:async';
import 'dart:convert';
import 'package:http/http.dart';

part 'api_client.dart';
part 'api_helper.dart';
part 'api_exception.dart';
part 'auth/authentication.dart';
part 'auth/api_key_auth.dart';
part 'auth/oauth.dart';
part 'auth/http_basic_auth.dart';

part 'api/access_control_entries_api.dart';
part 'api/access_control_lists_api.dart';
part 'api/account_my_work_recent_activity_api.dart';
part 'api/accounts_api.dart';
part 'api/action_results_api.dart';
part 'api/agent_groups_api.dart';
part 'api/agentclouds_api.dart';
part 'api/agentcloudtypes_api.dart';
part 'api/agents_api.dart';
part 'api/annotated_tags_api.dart';
part 'api/applications_api.dart';
part 'api/approvals_api.dart';
part 'api/artifact_details_api.dart';
part 'api/artifact_link_types_api.dart';
part 'api/artifact_uri_query_api.dart';
part 'api/artifacts_api.dart';
part 'api/attachments_api.dart';
part 'api/audit_log_api.dart';
part 'api/authorizedresources_api.dart';
part 'api/availability_api.dart';
part 'api/avatar_api.dart';
part 'api/avatars_api.dart';
part 'api/backlogconfiguration_api.dart';
part 'api/backlogs_api.dart';
part 'api/badge_api.dart';
part 'api/behaviors_api.dart';
part 'api/blobs_api.dart';
part 'api/boardcolumns_api.dart';
part 'api/boardparents_api.dart';
part 'api/boardrows_api.dart';
part 'api/boards_api.dart';
part 'api/boardusersettings_api.dart';
part 'api/branches_api.dart';
part 'api/builds_api.dart';
part 'api/capacities_api.dart';
part 'api/cardrulesettings_api.dart';
part 'api/cardsettings_api.dart';
part 'api/change_tracking_api.dart';
part 'api/changesets_api.dart';
part 'api/chartimages_api.dart';
part 'api/charts_api.dart';
part 'api/cherry_picks_api.dart';
part 'api/classification_nodes_api.dart';
part 'api/client_api.dart';
part 'api/code_coverage_api.dart';
part 'api/code_search_results_api.dart';
part 'api/columns_api.dart';
part 'api/comment_reactions_engaged_users_api.dart';
part 'api/comments_api.dart';
part 'api/comments_reactions_api.dart';
part 'api/comments_versions_api.dart';
part 'api/commits_api.dart';
part 'api/configurations_api.dart';
part 'api/consumers_api.dart';
part 'api/controllers_api.dart';
part 'api/controls_api.dart';
part 'api/counter_instances_api.dart';
part 'api/counter_samples_api.dart';
part 'api/counters_api.dart';
part 'api/dashboards_api.dart';
part 'api/definitions_api.dart';
part 'api/deliverytimeline_api.dart';
part 'api/deploymentgroups_api.dart';
part 'api/deployments_api.dart';
part 'api/descriptors_api.dart';
part 'api/diagnostic_logs_api.dart';
part 'api/diagnostics_api.dart';
part 'api/diffs_api.dart';
part 'api/download_log_api.dart';
part 'api/endpointproxy_api.dart';
part 'api/endpoints_api.dart';
part 'api/errors_api.dart';
part 'api/evaluations_api.dart';
part 'api/event_types_api.dart';
part 'api/executionhistory_api.dart';
part 'api/feed_management_api.dart';
part 'api/fields_api.dart';
part 'api/folders_api.dart';
part 'api/forks_api.dart';
part 'api/gates_api.dart';
part 'api/group_entitlements_api.dart';
part 'api/groups_api.dart';
part 'api/import_requests_api.dart';
part 'api/installed_extensions_api.dart';
part 'api/items_api.dart';
part 'api/iterations_api.dart';
part 'api/labels_api.dart';
part 'api/latest_api.dart';
part 'api/layout_api.dart';
part 'api/lists_api.dart';
part 'api/manual_interventions_api.dart';
part 'api/maven_api.dart';
part 'api/members_api.dart';
part 'api/membership_states_api.dart';
part 'api/memberships_api.dart';
part 'api/merge_bases_api.dart';
part 'api/merges_api.dart';
part 'api/messages_api.dart';
part 'api/metrics_api.dart';
part 'api/notifications_api.dart';
part 'api/npm_api.dart';
part 'api/nu_get_api.dart';
part 'api/operations_api.dart';
part 'api/options_api.dart';
part 'api/package_search_results_api.dart';
part 'api/page_moves_api.dart';
part 'api/pages_api.dart';
part 'api/parameter_results_api.dart';
part 'api/permissions_api.dart';
part 'api/personal_access_tokens_api.dart';
part 'api/plans_api.dart';
part 'api/plugins_api.dart';
part 'api/points_api.dart';
part 'api/policy_configurations_api.dart';
part 'api/pools_api.dart';
part 'api/processconfiguration_api.dart';
part 'api/processes_api.dart';
part 'api/profiles_api.dart';
part 'api/projects_api.dart';
part 'api/properties_api.dart';
part 'api/provenance_api.dart';
part 'api/provider_info_api.dart';
part 'api/publishers_api.dart';
part 'api/pull_request_attachments_api.dart';
part 'api/pull_request_comment_likes_api.dart';
part 'api/pull_request_commits_api.dart';
part 'api/pull_request_iteration_changes_api.dart';
part 'api/pull_request_iteration_statuses_api.dart';
part 'api/pull_request_iterations_api.dart';
part 'api/pull_request_labels_api.dart';
part 'api/pull_request_properties_api.dart';
part 'api/pull_request_query_api.dart';
part 'api/pull_request_reviewers_api.dart';
part 'api/pull_request_share_api.dart';
part 'api/pull_request_statuses_api.dart';
part 'api/pull_request_thread_comments_api.dart';
part 'api/pull_request_threads_api.dart';
part 'api/pull_request_work_items_api.dart';
part 'api/pull_requests_api.dart';
part 'api/pushes_api.dart';
part 'api/python_api.dart';
part 'api/queries_api.dart';
part 'api/queues_api.dart';
part 'api/recycle_bin_api.dart';
part 'api/recyclebin_api.dart';
part 'api/refs_api.dart';
part 'api/refs_favorites_api.dart';
part 'api/releases_api.dart';
part 'api/report_api.dart';
part 'api/reporting_work_item_links_api.dart';
part 'api/reporting_work_item_revisions_api.dart';
part 'api/repositories_api.dart';
part 'api/request_access_api.dart';
part 'api/requests_api.dart';
part 'api/resource_usage_api.dart';
part 'api/resources_api.dart';
part 'api/result_retention_settings_api.dart';
part 'api/results_api.dart';
part 'api/retention_policies_api.dart';
part 'api/reverts_api.dart';
part 'api/revisions_api.dart';
part 'api/revocation_rules_api.dart';
part 'api/revocations_api.dart';
part 'api/rows_api.dart';
part 'api/rules_api.dart';
part 'api/runs_api.dart';
part 'api/security_namespaces_api.dart';
part 'api/service_settings_api.dart';
part 'api/session_api.dart';
part 'api/settings_api.dart';
part 'api/shelvesets_api.dart';
part 'api/source_providers_api.dart';
part 'api/states_api.dart';
part 'api/stats_api.dart';
part 'api/status_api.dart';
part 'api/statuses_api.dart';
part 'api/storage_keys_api.dart';
part 'api/subject_lookup_api.dart';
part 'api/subscribers_api.dart';
part 'api/subscriptions_api.dart';
part 'api/suggestions_api.dart';
part 'api/suite_test_case_api.dart';
part 'api/symsrv_api.dart';
part 'api/tags_api.dart';
part 'api/targets_api.dart';
part 'api/taskgroups_api.dart';
part 'api/teamdaysoff_api.dart';
part 'api/teamfieldvalues_api.dart';
part 'api/teams_api.dart';
part 'api/teamsettings_api.dart';
part 'api/templates_api.dart';
part 'api/test_cases_api.dart';
part 'api/test_definitions_api.dart';
part 'api/test_drops_api.dart';
part 'api/test_history_api.dart';
part 'api/test_plan_clone_api.dart';
part 'api/test_plans_api.dart';
part 'api/test_point_api.dart';
part 'api/test_runs_api.dart';
part 'api/test_suite_clone_api.dart';
part 'api/test_suite_entry_api.dart';
part 'api/test_suites_api.dart';
part 'api/timeline_api.dart';
part 'api/token_list_global_identities_api.dart';
part 'api/token_personal_access_tokens_api.dart';
part 'api/token_revocations_api.dart';
part 'api/trees_api.dart';
part 'api/types_api.dart';
part 'api/universal_api.dart';
part 'api/updates_api.dart';
part 'api/user_entitlement_summary_api.dart';
part 'api/user_entitlements_api.dart';
part 'api/users_api.dart';
part 'api/variablegroups_api.dart';
part 'api/variables_api.dart';
part 'api/widget_types_api.dart';
part 'api/widgets_api.dart';
part 'api/wiki_search_results_api.dart';
part 'api/wikis_api.dart';
part 'api/wiql_api.dart';
part 'api/work_item_icons_api.dart';
part 'api/work_item_relation_types_api.dart';
part 'api/work_item_revisions_discussions_api.dart';
part 'api/work_item_search_results_api.dart';
part 'api/work_item_transitions_api.dart';
part 'api/work_item_type_categories_api.dart';
part 'api/work_item_type_states_api.dart';
part 'api/work_item_types_api.dart';
part 'api/work_item_types_behaviors_api.dart';
part 'api/work_item_types_field_api.dart';
part 'api/work_items_api.dart';
part 'api/workitemsorder_api.dart';
part 'api/yamlschema_api.dart';

part 'model/aad_oauth_token_request.dart';
part 'model/aad_oauth_token_result.dart';
part 'model/abort_test_run_request.dart';
part 'model/access_control_entry.dart';
part 'model/access_control_list.dart';
part 'model/access_control_lists_collection.dart';
part 'model/access_level.dart';
part 'model/account.dart';
part 'model/account_create_info_internal.dart';
part 'model/account_my_work_result.dart';
part 'model/account_preferences_internal.dart';
part 'model/account_recent_activity_work_item_model.dart';
part 'model/account_recent_activity_work_item_model2.dart';
part 'model/account_recent_activity_work_item_model_base.dart';
part 'model/account_recent_mention_work_item_model.dart';
part 'model/account_work_work_item_model.dart';
part 'model/ace_extended_information.dart';
part 'model/acquisition_operation.dart';
part 'model/acquisition_operation_disallow_reason.dart';
part 'model/acquisition_options.dart';
part 'model/action_definition.dart';
part 'model/activity.dart';
part 'model/actor_filter.dart';
part 'model/actor_notification_reason.dart';
part 'model/add_process_work_item_type_field_request.dart';
part 'model/admin_behavior.dart';
part 'model/admin_behavior_field.dart';
part 'model/afn_strip.dart';
part 'model/agent_artifact_definition.dart';
part 'model/agent_based_deploy_phase.dart';
part 'model/agent_change_event.dart';
part 'model/agent_deployment_input.dart';
part 'model/agent_group.dart';
part 'model/agent_group_access_data.dart';
part 'model/agent_job_request_message.dart';
part 'model/agent_migration_message.dart';
part 'model/agent_pool_event.dart';
part 'model/agent_pool_queue.dart';
part 'model/agent_pool_queue_reference.dart';
part 'model/agent_pool_queue_target.dart';
part 'model/agent_queue_event.dart';
part 'model/agent_queues_event.dart';
part 'model/agent_refresh_message.dart';
part 'model/agent_specification.dart';
part 'model/agent_target_execution_options.dart';
part 'model/aggregated_data_for_result_trend.dart';
part 'model/aggregated_results_analysis.dart';
part 'model/aggregated_results_by_outcome.dart';
part 'model/aggregated_results_difference.dart';
part 'model/aggregated_runs_by_outcome.dart';
part 'model/aggregated_runs_by_state.dart';
part 'model/application.dart';
part 'model/application_counters.dart';
part 'model/application_type.dart';
part 'model/approval_options.dart';
part 'model/artifact.dart';
part 'model/artifact_contribution_definition.dart';
part 'model/artifact_download_input_base.dart';
part 'model/artifact_filter.dart';
part 'model/artifact_instance_data.dart';
part 'model/artifact_metadata.dart';
part 'model/artifact_provider.dart';
part 'model/artifact_resource.dart';
part 'model/artifact_source_id.dart';
part 'model/artifact_source_ids_query_result.dart';
part 'model/artifact_source_reference.dart';
part 'model/artifact_source_trigger.dart';
part 'model/artifact_trigger_configuration.dart';
part 'model/artifact_type_definition.dart';
part 'model/artifact_uri_query.dart';
part 'model/artifact_uri_query_result.dart';
part 'model/artifact_version.dart';
part 'model/artifact_version_query_result.dart';
part 'model/artifacts_download_input.dart';
part 'model/associated_work_item.dart';
part 'model/async_git_operation_notification.dart';
part 'model/async_ref_operation_commit_level_event_notification.dart';
part 'model/async_ref_operation_completed_notification.dart';
part 'model/async_ref_operation_conflict_notification.dart';
part 'model/async_ref_operation_general_failure_notification.dart';
part 'model/async_ref_operation_progress_notification.dart';
part 'model/async_ref_operation_timeout_notification.dart';
part 'model/attachment.dart';
part 'model/attachment_reference.dart';
part 'model/attribute.dart';
part 'model/attribute_descriptor.dart';
part 'model/attributes_container.dart';
part 'model/audit_log_entry.dart';
part 'model/audit_log_query_result.dart';
part 'model/auth_configuration.dart';
part 'model/authentication_scheme_reference.dart';
part 'model/authorization_header.dart';
part 'model/auto_complete_updated_event.dart';
part 'model/auto_trigger_issue.dart';
part 'model/avatar.dart';
part 'model/azure_key_vault_permission.dart';
part 'model/azure_key_vault_variable_group_provider_data.dart';
part 'model/azure_key_vault_variable_value.dart';
part 'model/azure_ml_workspace.dart';
part 'model/azure_management_group.dart';
part 'model/azure_management_group_query_result.dart';
part 'model/azure_permission.dart';
part 'model/azure_resource_permission.dart';
part 'model/azure_role_assignment_permission.dart';
part 'model/azure_spn_operation_status.dart';
part 'model/azure_subscription.dart';
part 'model/azure_subscription_query_result.dart';
part 'model/backlog_column.dart';
part 'model/backlog_configuration.dart';
part 'model/backlog_fields.dart';
part 'model/backlog_level.dart';
part 'model/backlog_level_configuration.dart';
part 'model/backlog_level_work_items.dart';
part 'model/base_deployment_input.dart';
part 'model/base_operation_result.dart';
part 'model/base_subscription_filter.dart';
part 'model/batch_deprecate_data.dart';
part 'model/batch_list_data.dart';
part 'model/batch_notification_operation.dart';
part 'model/batch_response.dart';
part 'model/block_filter.dart';
part 'model/block_subscription_channel.dart';
part 'model/board.dart';
part 'model/board_badge.dart';
part 'model/board_card_rule_settings.dart';
part 'model/board_card_settings.dart';
part 'model/board_chart.dart';
part 'model/board_chart_reference.dart';
part 'model/board_column.dart';
part 'model/board_fields.dart';
part 'model/board_reference.dart';
part 'model/board_row.dart';
part 'model/board_suggested_value.dart';
part 'model/board_user_settings.dart';
part 'model/branch_updated_event.dart';
part 'model/browser_mix.dart';
part 'model/build.dart';
part 'model/build_agent.dart';
part 'model/build_agent_reference.dart';
part 'model/build_artifact.dart';
part 'model/build_artifact_download_input.dart';
part 'model/build_badge.dart';
part 'model/build_completed_event.dart';
part 'model/build_completion_trigger.dart';
part 'model/build_configuration.dart';
part 'model/build_controller.dart';
part 'model/build_coverage.dart';
part 'model/build_definition.dart';
part 'model/build_definition32.dart';
part 'model/build_definition_reference.dart';
part 'model/build_definition_reference32.dart';
part 'model/build_definition_revision.dart';
part 'model/build_definition_source_provider.dart';
part 'model/build_definition_step.dart';
part 'model/build_definition_template.dart';
part 'model/build_definition_template32.dart';
part 'model/build_definition_variable.dart';
part 'model/build_deleted_event.dart';
part 'model/build_deployment.dart';
part 'model/build_event.dart';
part 'model/build_log.dart';
part 'model/build_log_reference.dart';
part 'model/build_metric.dart';
part 'model/build_option.dart';
part 'model/build_option_definition.dart';
part 'model/build_option_definition_reference.dart';
part 'model/build_option_group_definition.dart';
part 'model/build_option_input_definition.dart';
part 'model/build_process.dart';
part 'model/build_process_resources.dart';
part 'model/build_process_template.dart';
part 'model/build_queued_event.dart';
part 'model/build_reference.dart';
part 'model/build_reference2.dart';
part 'model/build_report_metadata.dart';
part 'model/build_repository.dart';
part 'model/build_request_validation_result.dart';
part 'model/build_resource_usage.dart';
part 'model/build_server.dart';
part 'model/build_settings.dart';
part 'model/build_summary.dart';
part 'model/build_tags_added_event.dart';
part 'model/build_trigger.dart';
part 'model/build_updated_event.dart';
part 'model/build_version.dart';
part 'model/build_workspace.dart';
part 'model/builds_deleted_event.dart';
part 'model/builds_deleted_event1.dart';
part 'model/bulk_result_update_request.dart';
part 'model/capacity_contract_base.dart';
part 'model/capacity_patch.dart';
part 'model/card_field_settings.dart';
part 'model/card_settings.dart';
part 'model/category_configuration.dart';
part 'model/change.dart';
part 'model/change_count_dictionary.dart';
part 'model/change_list.dart';
part 'model/change_list_search_criteria.dart';
part 'model/check_template_existence_result.dart';
part 'model/checkin_note.dart';
part 'model/client_certificate.dart';
part 'model/client_contribution.dart';
part 'model/client_contribution_node.dart';
part 'model/client_contribution_provider_details.dart';
part 'model/client_data_provider_query.dart';
part 'model/clone_operation_common_response.dart';
part 'model/clone_operation_information.dart';
part 'model/clone_options.dart';
part 'model/clone_statistics.dart';
part 'model/clone_test_plan_operation_information.dart';
part 'model/clone_test_plan_params.dart';
part 'model/clone_test_suite_operation_information.dart';
part 'model/clone_test_suite_params.dart';
part 'model/clt_customer_intelligence_data.dart';
part 'model/code_coverage_data.dart';
part 'model/code_coverage_statistics.dart';
part 'model/code_coverage_summary.dart';
part 'model/code_coverage_summary2.dart';
part 'model/code_repository_reference.dart';
part 'model/code_result.dart';
part 'model/code_search_request.dart';
part 'model/code_search_response.dart';
part 'model/collection.dart';
part 'model/comment.dart';
part 'model/comment_create.dart';
part 'model/comment_iteration_context.dart';
part 'model/comment_list.dart';
part 'model/comment_mention.dart';
part 'model/comment_position.dart';
part 'model/comment_reaction.dart';
part 'model/comment_thread.dart';
part 'model/comment_thread_context.dart';
part 'model/comment_tracking_criteria.dart';
part 'model/comment_update.dart';
part 'model/comment_version.dart';
part 'model/completion_errors_event.dart';
part 'model/compliance_settings.dart';
part 'model/condition.dart';
part 'model/configuration.dart';
part 'model/configuration_variable_value.dart';
part 'model/console_log_event.dart';
part 'model/consumer.dart';
part 'model/consumer_action.dart';
part 'model/container_image_trigger.dart';
part 'model/continuous_deployment_definition.dart';
part 'model/continuous_deployment_trigger_issue.dart';
part 'model/continuous_integration_trigger.dart';
part 'model/contribution.dart';
part 'model/contribution_base.dart';
part 'model/contribution_constraint.dart';
part 'model/contribution_node_query.dart';
part 'model/contribution_node_query_result.dart';
part 'model/contribution_property_description.dart';
part 'model/contribution_provider_details.dart';
part 'model/contribution_type.dart';
part 'model/control.dart';
part 'model/control_options.dart';
part 'model/core_profile_attribute.dart';
part 'model/counter_group.dart';
part 'model/counter_instance_samples.dart';
part 'model/counter_sample.dart';
part 'model/counter_sample_query_details.dart';
part 'model/counter_samples_result.dart';
part 'model/counter_variable.dart';
part 'model/coverage2.dart';
part 'model/coverage_statistics.dart';
part 'model/create_plan.dart';
part 'model/create_process_model.dart';
part 'model/create_process_rule_request.dart';
part 'model/create_process_work_item_type_request.dart';
part 'model/create_profile_context.dart';
part 'model/create_test_message_log_entry_request.dart';
part 'model/create_test_results_request.dart';
part 'model/create_test_run_request.dart';
part 'model/custom_artifact_download_input.dart';
part 'model/custom_test_field.dart';
part 'model/custom_test_field_definition.dart';
part 'model/dashboard.dart';
part 'model/dashboard_group.dart';
part 'model/dashboard_group_entry.dart';
part 'model/dashboard_group_entry_response.dart';
part 'model/dashboard_response.dart';
part 'model/data_provider_context.dart';
part 'model/data_provider_exception_details.dart';
part 'model/data_provider_query.dart';
part 'model/data_provider_result.dart';
part 'model/data_provider_shared_data.dart';
part 'model/data_source.dart';
part 'model/data_source_binding.dart';
part 'model/data_source_binding_base.dart';
part 'model/data_source_details.dart';
part 'model/date_range.dart';
part 'model/dated_test_field_data.dart';
part 'model/debug_entry.dart';
part 'model/debug_entry_create_batch.dart';
part 'model/decorated_audit_log_entry.dart';
part 'model/default_afn_strip_binding.dart';
part 'model/definition_environment_reference.dart';
part 'model/definition_reference.dart';
part 'model/definition_resource_reference.dart';
part 'model/delete_test_run_request.dart';
part 'model/delivery_view_data.dart';
part 'model/delivery_view_property_collection.dart';
part 'model/demand.dart';
part 'model/demand_equals.dart';
part 'model/demand_exists.dart';
part 'model/demand_minimum_version.dart';
part 'model/dependency.dart';
part 'model/dependency_binding.dart';
part 'model/dependency_data.dart';
part 'model/depends_on.dart';
part 'model/deploy_phase.dart';
part 'model/deployment.dart';
part 'model/deployment_approval_completed_event.dart';
part 'model/deployment_approval_pending_event.dart';
part 'model/deployment_attempt.dart';
part 'model/deployment_authorization_info.dart';
part 'model/deployment_build.dart';
part 'model/deployment_completed_event.dart';
part 'model/deployment_deploy.dart';
part 'model/deployment_gates_change_event.dart';
part 'model/deployment_group.dart';
part 'model/deployment_group_create_parameter.dart';
part 'model/deployment_group_create_parameter_pool_property.dart';
part 'model/deployment_group_metrics.dart';
part 'model/deployment_group_reference.dart';
part 'model/deployment_group_update_parameter.dart';
part 'model/deployment_input.dart';
part 'model/deployment_job.dart';
part 'model/deployment_machine.dart';
part 'model/deployment_machine_changed_data.dart';
part 'model/deployment_machine_group.dart';
part 'model/deployment_machine_group_reference.dart';
part 'model/deployment_machines_change_event.dart';
part 'model/deployment_manual_intervention_pending_event.dart';
part 'model/deployment_pool_summary.dart';
part 'model/deployment_query_parameters.dart';
part 'model/deployment_started_event.dart';
part 'model/deployment_target_update_parameter.dart';
part 'model/deployment_test.dart';
part 'model/designer_process.dart';
part 'model/designer_process_target.dart';
part 'model/destination_test_plan_clone_params.dart';
part 'model/destination_test_suite_info.dart';
part 'model/diagnostic_identity.dart';
part 'model/diagnostic_log_metadata.dart';
part 'model/diagnostic_notification.dart';
part 'model/diagnostic_recipient.dart';
part 'model/diagnostics.dart';
part 'model/discussions_updated_event.dart';
part 'model/docker_process.dart';
part 'model/docker_process_target.dart';
part 'model/download_attachments_request.dart';
part 'model/drop_access_data.dart';
part 'model/dtl_environment_details.dart';
part 'model/email_html_subscription_channel.dart';
part 'model/email_plaintext_subscription_channel.dart';
part 'model/email_recipients.dart';
part 'model/endpoint_authorization.dart';
part 'model/endpoint_operation_status.dart';
part 'model/endpoint_url.dart';
part 'model/entity_search_request.dart';
part 'model/entity_search_request_base.dart';
part 'model/entity_search_response.dart';
part 'model/environment_create_parameter.dart';
part 'model/environment_deployment_execution_record.dart';
part 'model/environment_execution_policy.dart';
part 'model/environment_instance.dart';
part 'model/environment_linked_resource_reference.dart';
part 'model/environment_options.dart';
part 'model/environment_reference.dart';
part 'model/environment_resource.dart';
part 'model/environment_resource_reference.dart';
part 'model/environment_retention_policy.dart';
part 'model/environment_trigger.dart';
part 'model/environment_trigger_content.dart';
part 'model/environment_update_parameter.dart';
part 'model/error_details.dart';
part 'model/event.dart';
part 'model/event_actor.dart';
part 'model/event_backlog_status.dart';
part 'model/event_batch.dart';
part 'model/event_processing_log.dart';
part 'model/event_scope.dart';
part 'model/event_transform_request.dart';
part 'model/event_transform_result.dart';
part 'model/event_type_descriptor.dart';
part 'model/events_evaluation_result.dart';
part 'model/execution_input.dart';
part 'model/expression_filter.dart';
part 'model/expression_filter_clause.dart';
part 'model/expression_filter_group.dart';
part 'model/expression_filter_model.dart';
part 'model/expression_validation_item.dart';
part 'model/extension.dart';
part 'model/extension_acquisition_request.dart';
part 'model/extension_audit_log.dart';
part 'model/extension_audit_log_entry.dart';
part 'model/extension_authorization.dart';
part 'model/extension_badge.dart';
part 'model/extension_data_collection.dart';
part 'model/extension_data_collection_query.dart';
part 'model/extension_event.dart';
part 'model/extension_event_callback.dart';
part 'model/extension_event_callback_collection.dart';
part 'model/extension_event_urls.dart';
part 'model/extension_file.dart';
part 'model/extension_host.dart';
part 'model/extension_identifier.dart';
part 'model/extension_licensing.dart';
part 'model/extension_manifest.dart';
part 'model/extension_policy.dart';
part 'model/extension_request.dart';
part 'model/extension_request_event.dart';
part 'model/extension_request_urls.dart';
part 'model/extension_requests_event.dart';
part 'model/extension_share.dart';
part 'model/extension_state.dart';
part 'model/extension_statistic.dart';
part 'model/extension_summary_data.dart';
part 'model/extension_urls.dart';
part 'model/extension_version.dart';
part 'model/external_configuration_descriptor.dart';
part 'model/failing_since.dart';
part 'model/favorite_item.dart';
part 'model/feed.dart';
part 'model/feed_batch_data.dart';
part 'model/feed_change.dart';
part 'model/feed_changes_response.dart';
part 'model/feed_core.dart';
part 'model/feed_info.dart';
part 'model/feed_permission.dart';
part 'model/feed_retention_policy.dart';
part 'model/feed_update.dart';
part 'model/feed_view.dart';
part 'model/fetch_test_results_request.dart';
part 'model/fetch_test_results_response.dart';
part 'model/field_dependent_rule.dart';
part 'model/field_details_for_test_results.dart';
part 'model/field_info.dart';
part 'model/field_input_values.dart';
part 'model/field_model.dart';
part 'model/field_reference.dart';
part 'model/field_rule_model.dart';
part 'model/field_setting.dart';
part 'model/field_values_query.dart';
part 'model/fields_to_evaluate.dart';
part 'model/file_content_metadata.dart';
part 'model/file_coverage.dart';
part 'model/file_coverage_request.dart';
part 'model/file_diff.dart';
part 'model/file_diff_params.dart';
part 'model/file_diffs_criteria.dart';
part 'model/filter.dart';
part 'model/filter_clause.dart';
part 'model/filter_group.dart';
part 'model/filter_point_query.dart';
part 'model/flaky_detection.dart';
part 'model/flaky_detection_pipelines.dart';
part 'model/flaky_settings.dart';
part 'model/folder.dart';
part 'model/forks.dart';
part 'model/form_layout.dart';
part 'model/formatted_event_message.dart';
part 'model/function_coverage.dart';
part 'model/function_coverage2.dart';
part 'model/gate_update_metadata.dart';
part 'model/gated_check_in_trigger.dart';
part 'model/gates_deploy_phase.dart';
part 'model/gates_deployment_input.dart';
part 'model/generated_notification.dart';
part 'model/geo_region.dart';
part 'model/git_annotated_tag.dart';
part 'model/git_artifact_download_input.dart';
part 'model/git_async_ref_operation.dart';
part 'model/git_async_ref_operation_detail.dart';
part 'model/git_async_ref_operation_parameters.dart';
part 'model/git_async_ref_operation_source.dart';
part 'model/git_base_version_descriptor.dart';
part 'model/git_blob_ref.dart';
part 'model/git_branch_stats.dart';
part 'model/git_change.dart';
part 'model/git_cherry_pick.dart';
part 'model/git_commit.dart';
part 'model/git_commit_changes.dart';
part 'model/git_commit_diffs.dart';
part 'model/git_commit_ref.dart';
part 'model/git_commit_to_create.dart';
part 'model/git_conflict.dart';
part 'model/git_conflict_add_add.dart';
part 'model/git_conflict_add_rename.dart';
part 'model/git_conflict_delete_edit.dart';
part 'model/git_conflict_delete_rename.dart';
part 'model/git_conflict_directory_file.dart';
part 'model/git_conflict_edit_delete.dart';
part 'model/git_conflict_edit_edit.dart';
part 'model/git_conflict_file_directory.dart';
part 'model/git_conflict_rename1to2.dart';
part 'model/git_conflict_rename2to1.dart';
part 'model/git_conflict_rename_add.dart';
part 'model/git_conflict_rename_delete.dart';
part 'model/git_conflict_rename_rename.dart';
part 'model/git_conflict_update_result.dart';
part 'model/git_deleted_repository.dart';
part 'model/git_file_paths_collection.dart';
part 'model/git_fork_operation_status_detail.dart';
part 'model/git_fork_ref.dart';
part 'model/git_fork_sync_request.dart';
part 'model/git_fork_sync_request_parameters.dart';
part 'model/git_fork_team_project_reference.dart';
part 'model/git_hub_artifact_download_input.dart';
part 'model/git_import_failed_event.dart';
part 'model/git_import_git_source.dart';
part 'model/git_import_request.dart';
part 'model/git_import_request_parameters.dart';
part 'model/git_import_status_detail.dart';
part 'model/git_import_succeeded_event.dart';
part 'model/git_import_tfvc_source.dart';
part 'model/git_item.dart';
part 'model/git_item_descriptor.dart';
part 'model/git_item_request_data.dart';
part 'model/git_last_change_item.dart';
part 'model/git_last_change_tree_items.dart';
part 'model/git_merge.dart';
part 'model/git_merge_operation_status_detail.dart';
part 'model/git_merge_origin_ref.dart';
part 'model/git_merge_parameters.dart';
part 'model/git_object.dart';
part 'model/git_path_action.dart';
part 'model/git_path_to_items_collection.dart';
part 'model/git_policy_configuration_response.dart';
part 'model/git_pull_request.dart';
part 'model/git_pull_request_change.dart';
part 'model/git_pull_request_comment_thread.dart';
part 'model/git_pull_request_comment_thread_context.dart';
part 'model/git_pull_request_completion_options.dart';
part 'model/git_pull_request_iteration.dart';
part 'model/git_pull_request_iteration_changes.dart';
part 'model/git_pull_request_merge_options.dart';
part 'model/git_pull_request_query.dart';
part 'model/git_pull_request_query_input.dart';
part 'model/git_pull_request_review_file_content_info.dart';
part 'model/git_pull_request_search_criteria.dart';
part 'model/git_pull_request_status.dart';
part 'model/git_push.dart';
part 'model/git_push_event_data.dart';
part 'model/git_push_ref.dart';
part 'model/git_push_search_criteria.dart';
part 'model/git_query_branch_stats_criteria.dart';
part 'model/git_query_commits_criteria.dart';
part 'model/git_query_refs_criteria.dart';
part 'model/git_recycle_bin_repository_details.dart';
part 'model/git_ref.dart';
part 'model/git_ref_favorite.dart';
part 'model/git_ref_update.dart';
part 'model/git_ref_update_result.dart';
part 'model/git_repository.dart';
part 'model/git_repository_create_options.dart';
part 'model/git_repository_ref.dart';
part 'model/git_repository_stats.dart';
part 'model/git_resolution.dart';
part 'model/git_resolution_merge_content.dart';
part 'model/git_resolution_path_conflict.dart';
part 'model/git_resolution_pick_one_action.dart';
part 'model/git_resolution_rename1to2.dart';
part 'model/git_revert.dart';
part 'model/git_status.dart';
part 'model/git_status_context.dart';
part 'model/git_suggestion.dart';
part 'model/git_target_version_descriptor.dart';
part 'model/git_template.dart';
part 'model/git_tree_diff.dart';
part 'model/git_tree_diff_entry.dart';
part 'model/git_tree_diff_response.dart';
part 'model/git_tree_entry_ref.dart';
part 'model/git_tree_ref.dart';
part 'model/git_user_date.dart';
part 'model/git_version_descriptor.dart';
part 'model/global_git_repository_key.dart';
part 'model/global_permission.dart';
part 'model/graph_cache_policies.dart';
part 'model/graph_descriptor_result.dart';
part 'model/graph_federated_provider_data.dart';
part 'model/graph_global_extended_property_batch.dart';
part 'model/graph_group.dart';
part 'model/graph_group_creation_context.dart';
part 'model/graph_group_mail_address_creation_context.dart';
part 'model/graph_group_origin_id_creation_context.dart';
part 'model/graph_group_vsts_creation_context.dart';
part 'model/graph_member.dart';
part 'model/graph_membership.dart';
part 'model/graph_membership_state.dart';
part 'model/graph_membership_traversal.dart';
part 'model/graph_provider_info.dart';
part 'model/graph_scope.dart';
part 'model/graph_scope_creation_context.dart';
part 'model/graph_storage_key_result.dart';
part 'model/graph_subject.dart';
part 'model/graph_subject_base.dart';
part 'model/graph_subject_lookup.dart';
part 'model/graph_subject_lookup_key.dart';
part 'model/graph_system_subject.dart';
part 'model/graph_user.dart';
part 'model/graph_user_creation_context.dart';
part 'model/graph_user_mail_address_creation_context.dart';
part 'model/graph_user_origin_id_creation_context.dart';
part 'model/graph_user_origin_id_update_context.dart';
part 'model/graph_user_principal_name_creation_context.dart';
part 'model/group.dart';
part 'model/group_entitlement.dart';
part 'model/group_entitlement_operation_reference.dart';
part 'model/group_operation_result.dart';
part 'model/group_option.dart';
part 'model/group_subscription_channel.dart';
part 'model/help_link.dart';
part 'model/hide_state_model.dart';
part 'model/history_entry.dart';
part 'model/hit.dart';
part 'model/http_posted_tcm_attachment.dart';
part 'model/i_notification_diagnostic_log.dart';
part 'model/i_subscription_channel.dart';
part 'model/i_subscription_filter.dart';
part 'model/identity.dart';
part 'model/identity_base.dart';
part 'model/identity_data.dart';
part 'model/identity_descriptor.dart';
part 'model/identity_ref.dart';
part 'model/identity_ref_with_vote.dart';
part 'model/identity_reference.dart';
part 'model/ignored_gate.dart';
part 'model/import_repository_validation.dart';
part 'model/included_git_commit.dart';
part 'model/information_node.dart';
part 'model/input_binding_context.dart';
part 'model/input_descriptor.dart';
part 'model/input_filter.dart';
part 'model/input_filter_condition.dart';
part 'model/input_validation.dart';
part 'model/input_validation_item.dart';
part 'model/input_validation_request.dart';
part 'model/input_value.dart';
part 'model/input_values.dart';
part 'model/input_values_error.dart';
part 'model/input_values_query.dart';
part 'model/installation_target.dart';
part 'model/installed_extension.dart';
part 'model/installed_extension_query.dart';
part 'model/installed_extension_state.dart';
part 'model/installed_extension_state_issue.dart';
part 'model/is_draft_updated_event.dart';
part 'model/issue.dart';
part 'model/item_content.dart';
part 'model/item_details_options.dart';
part 'model/item_model.dart';
part 'model/iteration_work_items.dart';
part 'model/j_object.dart';
part 'model/j_token.dart';
part 'model/jenkins_artifact_download_input.dart';
part 'model/job_assigned_event.dart';
part 'model/job_cancel_message.dart';
part 'model/job_completed_event.dart';
part 'model/job_environment.dart';
part 'model/job_event.dart';
part 'model/job_event_config.dart';
part 'model/job_events_config.dart';
part 'model/job_option.dart';
part 'model/job_reference.dart';
part 'model/job_request_message.dart';
part 'model/job_started_event.dart';
part 'model/json_blob_block_hash.dart';
part 'model/json_blob_identifier.dart';
part 'model/json_blob_identifier_with_blocks.dart';
part 'model/json_patch_document.dart';
part 'model/json_patch_operation.dart';
part 'model/just_in_time_process.dart';
part 'model/kubernetes_resource.dart';
part 'model/kubernetes_resource_create_parameters.dart';
part 'model/labels_updated_event.dart';
part 'model/last_result_details.dart';
part 'model/legacy_build_configuration.dart';
part 'model/legacy_release_reference.dart';
part 'model/legacy_test_case_result.dart';
part 'model/legacy_test_case_result_identifier.dart';
part 'model/legacy_test_run.dart';
part 'model/legacy_test_run_statistic.dart';
part 'model/legacy_test_settings.dart';
part 'model/license_summary_data.dart';
part 'model/licensing_override.dart';
part 'model/lightbox_options.dart';
part 'model/line_block_coverage.dart';
part 'model/line_diff_block.dart';
part 'model/link.dart';
part 'model/linked_work_items_query.dart';
part 'model/linked_work_items_query_result.dart';
part 'model/load_generation_geo_location.dart';
part 'model/load_test_definition.dart';
part 'model/load_test_errors.dart';
part 'model/load_test_run_details.dart';
part 'model/load_test_run_settings.dart';
part 'model/machine_group_based_deploy_phase.dart';
part 'model/machine_group_deployment_input.dart';
part 'model/mail_message.dart';
part 'model/manual_intervention.dart';
part 'model/manual_intervention_update_metadata.dart';
part 'model/mapping_details.dart';
part 'model/marker.dart';
part 'model/marketplace_purchased_license.dart';
part 'model/mask_hint.dart';
part 'model/matcher_result.dart';
part 'model/maven_distribution_management.dart';
part 'model/maven_minimal_package_details.dart';
part 'model/maven_package.dart';
part 'model/maven_package_version_deletion_state.dart';
part 'model/maven_packages_batch_request.dart';
part 'model/maven_pom_build.dart';
part 'model/maven_pom_ci.dart';
part 'model/maven_pom_ci_notifier.dart';
part 'model/maven_pom_dependency.dart';
part 'model/maven_pom_dependency_management.dart';
part 'model/maven_pom_gav.dart';
part 'model/maven_pom_issue_management.dart';
part 'model/maven_pom_license.dart';
part 'model/maven_pom_mailing_list.dart';
part 'model/maven_pom_metadata.dart';
part 'model/maven_pom_organization.dart';
part 'model/maven_pom_parent.dart';
part 'model/maven_pom_person.dart';
part 'model/maven_pom_scm.dart';
part 'model/maven_recycle_bin_package_version_details.dart';
part 'model/maven_repository.dart';
part 'model/maven_snapshot_repository.dart';
part 'model/member.dart';
part 'model/member_entitlement.dart';
part 'model/member_entitlement_operation_reference.dart';
part 'model/member_entitlements_patch_response.dart';
part 'model/member_entitlements_post_response.dart';
part 'model/member_entitlements_response_base.dart';
part 'model/merge_completed_event.dart';
part 'model/message_queue_subscription_channel.dart';
part 'model/metric.dart';
part 'model/metrics_column_meta_data.dart';
part 'model/metrics_columns_header.dart';
part 'model/metrics_row.dart';
part 'model/minimal_package_details.dart';
part 'model/minimal_package_version.dart';
part 'model/module_coverage.dart';
part 'model/module_coverage2.dart';
part 'model/multi_config_input.dart';
part 'model/multi_machine_input.dart';
part 'model/multiple_agent_execution_options.dart';
part 'model/name_value_pair.dart';
part 'model/notification.dart';
part 'model/notification_admin_settings.dart';
part 'model/notification_admin_settings_update_parameters.dart';
part 'model/notification_backlog_status.dart';
part 'model/notification_batch.dart';
part 'model/notification_delivery_log.dart';
part 'model/notification_details.dart';
part 'model/notification_diagnostic_log.dart';
part 'model/notification_diagnostic_log_message.dart';
part 'model/notification_event_backlog_status.dart';
part 'model/notification_event_field.dart';
part 'model/notification_event_field_operator.dart';
part 'model/notification_event_field_type.dart';
part 'model/notification_event_publisher.dart';
part 'model/notification_event_role.dart';
part 'model/notification_event_type.dart';
part 'model/notification_event_type_category.dart';
part 'model/notification_job_diagnostic_log.dart';
part 'model/notification_query_condition.dart';
part 'model/notification_reason.dart';
part 'model/notification_results_summary_detail.dart';
part 'model/notification_statistic.dart';
part 'model/notification_statistics_query.dart';
part 'model/notification_statistics_query_conditions.dart';
part 'model/notification_subscriber.dart';
part 'model/notification_subscriber_update_parameters.dart';
part 'model/notification_subscription.dart';
part 'model/notification_subscription_create_parameters.dart';
part 'model/notification_subscription_template.dart';
part 'model/notification_subscription_update_parameters.dart';
part 'model/notification_summary.dart';
part 'model/notifications_evaluation_result.dart';
part 'model/notifications_query.dart';
part 'model/npm_package_version_deletion_state.dart';
part 'model/npm_packages_batch_request.dart';
part 'model/npm_recycle_bin_package_version_details.dart';
part 'model/nu_get_package_version_deletion_state.dart';
part 'model/nu_get_packages_batch_request.dart';
part 'model/nu_get_recycle_bin_package_version_details.dart';
part 'model/o_auth2_token_result.dart';
part 'model/o_auth_configuration.dart';
part 'model/o_auth_configuration_params.dart';
part 'model/o_auth_endpoint_status.dart';
part 'model/operation.dart';
part 'model/operation_reference.dart';
part 'model/operation_result.dart';
part 'model/operation_result_reference.dart';
part 'model/operator_constraint.dart';
part 'model/overridable_run_settings.dart';
part 'model/package.dart';
part 'model/package_change.dart';
part 'model/package_changes_response.dart';
part 'model/package_dependency.dart';
part 'model/package_file.dart';
part 'model/package_hit.dart';
part 'model/package_metadata.dart';
part 'model/package_metrics.dart';
part 'model/package_metrics_query.dart';
part 'model/package_result.dart';
part 'model/package_search_request.dart';
part 'model/package_search_response.dart';
part 'model/package_search_response_content.dart';
part 'model/package_trigger.dart';
part 'model/package_version.dart';
part 'model/package_version_change.dart';
part 'model/package_version_details.dart';
part 'model/package_version_metrics.dart';
part 'model/package_version_metrics_query.dart';
part 'model/package_version_provenance.dart';
part 'model/page.dart';
part 'model/page_summary.dart';
part 'model/paged_graph_groups.dart';
part 'model/paged_graph_member_list.dart';
part 'model/paged_graph_users.dart';
part 'model/parallel_execution_input_base.dart';
part 'model/parameter.dart';
part 'model/parent_child_wi_map.dart';
part 'model/permission_evaluation.dart';
part 'model/permission_evaluation_batch.dart';
part 'model/phase.dart';
part 'model/phase_reference.dart';
part 'model/phase_target.dart';
part 'model/pick_list.dart';
part 'model/pick_list_metadata.dart';
part 'model/pipeline_process.dart';
part 'model/pipeline_reference.dart';
part 'model/plan.dart';
part 'model/plan_environment.dart';
part 'model/plan_metadata.dart';
part 'model/plan_update_model.dart';
part 'model/plan_view_data.dart';
part 'model/plugin.dart';
part 'model/plugin_configuration.dart';
part 'model/point_assignment.dart';
part 'model/point_last_result.dart';
part 'model/point_update_model.dart';
part 'model/point_work_item_property.dart';
part 'model/points_filter.dart';
part 'model/points_reference2.dart';
part 'model/points_results2.dart';
part 'model/policy_configuration.dart';
part 'model/policy_configuration_ref.dart';
part 'model/policy_evaluation_record.dart';
part 'model/policy_evaluation_updated_event.dart';
part 'model/policy_type.dart';
part 'model/policy_type_ref.dart';
part 'model/predefined_query.dart';
part 'model/process.dart';
part 'model/process_behavior.dart';
part 'model/process_behavior_create_request.dart';
part 'model/process_behavior_field.dart';
part 'model/process_behavior_reference.dart';
part 'model/process_behavior_update_request.dart';
part 'model/process_configuration.dart';
part 'model/process_import_result.dart';
part 'model/process_info.dart';
part 'model/process_model.dart';
part 'model/process_parameters.dart';
part 'model/process_promote_status.dart';
part 'model/process_properties.dart';
part 'model/process_reference.dart';
part 'model/process_rule.dart';
part 'model/process_work_item_type.dart';
part 'model/process_work_item_type_field.dart';
part 'model/processed_event.dart';
part 'model/processing_diagnostic_identity.dart';
part 'model/processing_identities.dart';
part 'model/profile.dart';
part 'model/profile_attribute.dart';
part 'model/profile_attribute_base.dart';
part 'model/profile_region.dart';
part 'model/profile_regions.dart';
part 'model/project.dart';
part 'model/project_avatar.dart';
part 'model/project_entitlement.dart';
part 'model/project_info.dart';
part 'model/project_message.dart';
part 'model/project_properties.dart';
part 'model/project_property.dart';
part 'model/project_ref.dart';
part 'model/project_reference.dart';
part 'model/project_work_item_state_colors.dart';
part 'model/properties_collection.dart';
part 'model/property_bag.dart';
part 'model/property_selector.dart';
part 'model/protocol_metadata.dart';
part 'model/provenance.dart';
part 'model/provisioning_result.dart';
part 'model/proxy.dart';
part 'model/proxy_authorization.dart';
part 'model/public_key.dart';
part 'model/publish_task_group_metadata.dart';
part 'model/published_extension.dart';
part 'model/publisher.dart';
part 'model/publisher_event.dart';
part 'model/publisher_facts.dart';
part 'model/publishers_query.dart';
part 'model/pull_request.dart';
part 'model/pull_request_configuration.dart';
part 'model/pull_request_created_event.dart';
part 'model/pull_request_filter.dart';
part 'model/pull_request_tab_extension_config.dart';
part 'model/pull_request_trigger.dart';
part 'model/py_pi_package_version_deletion_state.dart';
part 'model/py_pi_packages_batch_request.dart';
part 'model/py_pi_recycle_bin_package_version_details.dart';
part 'model/query_batch_get_request.dart';
part 'model/query_by_point_request.dart';
part 'model/query_by_run_request.dart';
part 'model/query_hierarchy_item.dart';
part 'model/query_hierarchy_items_result.dart';
part 'model/query_model.dart';
part 'model/query_test_action_result_request.dart';
part 'model/query_test_action_result_response.dart';
part 'model/query_test_message_log_entry_request.dart';
part 'model/query_test_run_stats_request.dart';
part 'model/query_test_runs2_request.dart';
part 'model/query_test_runs_request.dart';
part 'model/queued_release_data.dart';
part 'model/real_time_pull_request_event.dart';
part 'model/realtime_build_event.dart';
part 'model/realtime_release_definition_event.dart';
part 'model/realtime_release_event.dart';
part 'model/recycle_bin_package_version.dart';
part 'model/reference_link.dart';
part 'model/reference_links.dart';
part 'model/release.dart';
part 'model/release_abandoned_event.dart';
part 'model/release_approval.dart';
part 'model/release_approval_history.dart';
part 'model/release_approval_pending_event.dart';
part 'model/release_artifact.dart';
part 'model/release_condition.dart';
part 'model/release_created_event.dart';
part 'model/release_definition.dart';
part 'model/release_definition_approval_step.dart';
part 'model/release_definition_approvals.dart';
part 'model/release_definition_deploy_step.dart';
part 'model/release_definition_environment.dart';
part 'model/release_definition_environment_step.dart';
part 'model/release_definition_environment_summary.dart';
part 'model/release_definition_environment_template.dart';
part 'model/release_definition_gate.dart';
part 'model/release_definition_gates_options.dart';
part 'model/release_definition_gates_step.dart';
part 'model/release_definition_revision.dart';
part 'model/release_definition_shallow_reference.dart';
part 'model/release_definition_summary.dart';
part 'model/release_definition_undelete_parameter.dart';
part 'model/release_deploy_phase.dart';
part 'model/release_environment.dart';
part 'model/release_environment_completed_event.dart';
part 'model/release_environment_definition_reference.dart';
part 'model/release_environment_shallow_reference.dart';
part 'model/release_environment_status_updated_event.dart';
part 'model/release_environment_update_metadata.dart';
part 'model/release_gates.dart';
part 'model/release_gates_phase.dart';
part 'model/release_management_input_value.dart';
part 'model/release_not_created_event.dart';
part 'model/release_reference.dart';
part 'model/release_reference2.dart';
part 'model/release_revision.dart';
part 'model/release_schedule.dart';
part 'model/release_settings.dart';
part 'model/release_shallow_reference.dart';
part 'model/release_start_environment_metadata.dart';
part 'model/release_start_metadata.dart';
part 'model/release_task.dart';
part 'model/release_task_attachment.dart';
part 'model/release_task_log_updated_event.dart';
part 'model/release_tasks_updated_event.dart';
part 'model/release_trigger_base.dart';
part 'model/release_update_metadata.dart';
part 'model/release_updated_event.dart';
part 'model/release_work_item_ref.dart';
part 'model/reorder_operation.dart';
part 'model/reorder_result.dart';
part 'model/reporting_work_item_links_batch.dart';
part 'model/reporting_work_item_revisions_batch.dart';
part 'model/reporting_work_item_revisions_filter.dart';
part 'model/repository.dart';
part 'model/repository_webhook.dart';
part 'model/request.dart';
part 'model/request_summary.dart';
part 'model/requested_extension.dart';
part 'model/requirements_to_tests_mapping2.dart';
part 'model/reset_test_results_request.dart';
part 'model/resolved_data_provider.dart';
part 'model/resource_base.dart';
part 'model/resource_container.dart';
part 'model/resource_filter_options.dart';
part 'model/resource_filters.dart';
part 'model/resource_item.dart';
part 'model/resource_limit.dart';
part 'model/resource_ref.dart';
part 'model/resource_reference.dart';
part 'model/resource_usage.dart';
part 'model/resources_hub_data.dart';
part 'model/response.dart';
part 'model/result_retention_settings.dart';
part 'model/result_transformation_details.dart';
part 'model/result_update_request.dart';
part 'model/result_update_request_model.dart';
part 'model/result_update_response.dart';
part 'model/result_update_response_model.dart';
part 'model/results.dart';
part 'model/results_by_query_request.dart';
part 'model/results_by_query_response.dart';
part 'model/results_filter.dart';
part 'model/results_store_query.dart';
part 'model/retarget_event.dart';
part 'model/retention_policy.dart';
part 'model/retention_settings.dart';
part 'model/reviewer_vote_updated_event.dart';
part 'model/reviewers_updated_event.dart';
part 'model/reviewers_votes_reset_event.dart';
part 'model/role_based_filter.dart';
part 'model/rule.dart';
part 'model/rule_action.dart';
part 'model/rule_action_model.dart';
part 'model/rule_condition.dart';
part 'model/rule_condition_model.dart';
part 'model/run_create_model.dart';
part 'model/run_filter.dart';
part 'model/run_on_server_deploy_phase.dart';
part 'model/run_statistic.dart';
part 'model/run_summary_model.dart';
part 'model/run_update_model.dart';
part 'model/save_cached_packages_data.dart';
part 'model/scenario_summary.dart';
part 'model/schedule.dart';
part 'model/schedule_trigger.dart';
part 'model/scheduled_release_trigger.dart';
part 'model/scope.dart';
part 'model/scroll_search_request.dart';
part 'model/section.dart';
part 'model/secure_file.dart';
part 'model/secure_file_event.dart';
part 'model/secure_file_reference.dart';
part 'model/security_namespace_description.dart';
part 'model/semantic_version.dart';
part 'model/send_job_response.dart';
part 'model/server_deployment_input.dart';
part 'model/server_execution_definition.dart';
part 'model/server_target.dart';
part 'model/server_target_execution_options.dart';
part 'model/server_task_request_message.dart';
part 'model/service_bus_subscription_channel.dart';
part 'model/service_endpoint.dart';
part 'model/service_endpoint_authentication_scheme.dart';
part 'model/service_endpoint_details.dart';
part 'model/service_endpoint_execution_data.dart';
part 'model/service_endpoint_execution_owner.dart';
part 'model/service_endpoint_execution_record.dart';
part 'model/service_endpoint_execution_records_input.dart';
part 'model/service_endpoint_o_auth_configuration_reference.dart';
part 'model/service_endpoint_reference.dart';
part 'model/service_endpoint_request.dart';
part 'model/service_endpoint_request_result.dart';
part 'model/service_endpoint_type.dart';
part 'model/service_hooks_subscription_channel.dart';
part 'model/session_request.dart';
part 'model/session_response.dart';
part 'model/session_token.dart';
part 'model/shallow_reference.dart';
part 'model/shallow_test_case_result.dart';
part 'model/share_notification_context.dart';
part 'model/shared_step_model.dart';
part 'model/soap_subscription_channel.dart';
part 'model/sort_option.dart';
part 'model/source_id_input.dart';
part 'model/source_provider_attributes.dart';
part 'model/source_pull_request_version.dart';
part 'model/source_related_work_item.dart';
part 'model/source_repo_trigger.dart';
part 'model/source_repositories.dart';
part 'model/source_repository.dart';
part 'model/source_repository_item.dart';
part 'model/source_test_plan_info.dart';
part 'model/source_test_suite_info.dart';
part 'model/source_testplan_response.dart';
part 'model/source_to_target_ref.dart';
part 'model/stage_reference.dart';
part 'model/static_agent_run_setting.dart';
part 'model/status_added_event.dart';
part 'model/status_updated_event.dart';
part 'model/statuses_deleted_event.dart';
part 'model/streamed_batch.dart';
part 'model/sub_type.dart';
part 'model/subscription.dart';
part 'model/subscription_admin_settings.dart';
part 'model/subscription_channel_with_address.dart';
part 'model/subscription_diagnostics.dart';
part 'model/subscription_evaluation.dart';
part 'model/subscription_evaluation_clause.dart';
part 'model/subscription_evaluation_request.dart';
part 'model/subscription_evaluation_result.dart';
part 'model/subscription_evaluation_settings.dart';
part 'model/subscription_input_values_query.dart';
part 'model/subscription_management.dart';
part 'model/subscription_query.dart';
part 'model/subscription_query_condition.dart';
part 'model/subscription_scope.dart';
part 'model/subscription_trace_diagnostic_log.dart';
part 'model/subscription_trace_event_processing_log.dart';
part 'model/subscription_trace_notification_delivery_log.dart';
part 'model/subscription_tracing.dart';
part 'model/subscription_user_settings.dart';
part 'model/subscriptions_query.dart';
part 'model/suite_create_model.dart';
part 'model/suite_entry.dart';
part 'model/suite_entry_update_model.dart';
part 'model/suite_entry_update_params.dart';
part 'model/suite_test_case.dart';
part 'model/suite_test_case_create_update_parameters.dart';
part 'model/suite_test_case_update_model.dart';
part 'model/suite_update_model.dart';
part 'model/summary_data.dart';
part 'model/summary_mail_section.dart';
part 'model/summary_percentile_data.dart';
part 'model/supported_extension.dart';
part 'model/supported_ide.dart';
part 'model/supported_trigger.dart';
part 'model/svn_mapping_details.dart';
part 'model/svn_workspace.dart';
part 'model/tcm_property_bag2.dart';
part 'model/tag_filter.dart';
part 'model/task_agent.dart';
part 'model/task_agent_authorization.dart';
part 'model/task_agent_cloud.dart';
part 'model/task_agent_cloud_request.dart';
part 'model/task_agent_cloud_type.dart';
part 'model/task_agent_delay_source.dart';
part 'model/task_agent_job.dart';
part 'model/task_agent_job_request.dart';
part 'model/task_agent_job_step.dart';
part 'model/task_agent_job_task.dart';
part 'model/task_agent_job_variable.dart';
part 'model/task_agent_manual_update.dart';
part 'model/task_agent_message.dart';
part 'model/task_agent_min_agent_version_required_update.dart';
part 'model/task_agent_pool.dart';
part 'model/task_agent_pool_maintenance_definition.dart';
part 'model/task_agent_pool_maintenance_job.dart';
part 'model/task_agent_pool_maintenance_job_target_agent.dart';
part 'model/task_agent_pool_maintenance_options.dart';
part 'model/task_agent_pool_maintenance_retention_policy.dart';
part 'model/task_agent_pool_maintenance_schedule.dart';
part 'model/task_agent_pool_reference.dart';
part 'model/task_agent_pool_status.dart';
part 'model/task_agent_pool_summary.dart';
part 'model/task_agent_public_key.dart';
part 'model/task_agent_queue.dart';
part 'model/task_agent_reference.dart';
part 'model/task_agent_session.dart';
part 'model/task_agent_session_key.dart';
part 'model/task_agent_update.dart';
part 'model/task_agent_update_reason.dart';
part 'model/task_assigned_event.dart';
part 'model/task_attachment.dart';
part 'model/task_completed_event.dart';
part 'model/task_definition.dart';
part 'model/task_definition_endpoint.dart';
part 'model/task_definition_reference.dart';
part 'model/task_event.dart';
part 'model/task_execution.dart';
part 'model/task_group.dart';
part 'model/task_group_create_parameter.dart';
part 'model/task_group_definition.dart';
part 'model/task_group_revision.dart';
part 'model/task_group_step.dart';
part 'model/task_group_update_parameter.dart';
part 'model/task_hub_license_details.dart';
part 'model/task_input_definition.dart';
part 'model/task_input_definition_base.dart';
part 'model/task_input_validation.dart';
part 'model/task_instance.dart';
part 'model/task_log.dart';
part 'model/task_log_reference.dart';
part 'model/task_orchestration_container.dart';
part 'model/task_orchestration_item.dart';
part 'model/task_orchestration_job.dart';
part 'model/task_orchestration_owner.dart';
part 'model/task_orchestration_plan.dart';
part 'model/task_orchestration_plan_group.dart';
part 'model/task_orchestration_plan_group_reference.dart';
part 'model/task_orchestration_plan_groups_queue_metrics.dart';
part 'model/task_orchestration_plan_groups_started_event.dart';
part 'model/task_orchestration_plan_reference.dart';
part 'model/task_orchestration_queued_plan.dart';
part 'model/task_orchestration_queued_plan_group.dart';
part 'model/task_output_variable.dart';
part 'model/task_package_metadata.dart';
part 'model/task_reference.dart';
part 'model/task_source_definition.dart';
part 'model/task_source_definition_base.dart';
part 'model/task_started_event.dart';
part 'model/task_version.dart';
part 'model/team_backlog_mapping.dart';
part 'model/team_context.dart';
part 'model/team_field_value.dart';
part 'model/team_field_values.dart';
part 'model/team_field_values_patch.dart';
part 'model/team_iteration_attributes.dart';
part 'model/team_member.dart';
part 'model/team_member_capacity.dart';
part 'model/team_member_capacity_identity_ref.dart';
part 'model/team_project.dart';
part 'model/team_project_collection.dart';
part 'model/team_project_collection_reference.dart';
part 'model/team_project_reference.dart';
part 'model/team_ref.dart';
part 'model/team_setting.dart';
part 'model/team_settings_data_contract_base.dart';
part 'model/team_settings_days_off.dart';
part 'model/team_settings_days_off_patch.dart';
part 'model/team_settings_iteration.dart';
part 'model/team_settings_patch.dart';
part 'model/temporary_data_created_dto.dart';
part 'model/temporary_data_dto.dart';
part 'model/tenant_details.dart';
part 'model/test_action_result.dart';
part 'model/test_action_result2.dart';
part 'model/test_action_result_model.dart';
part 'model/test_attachment.dart';
part 'model/test_attachment_reference.dart';
part 'model/test_attachment_request_model.dart';
part 'model/test_authoring_details.dart';
part 'model/test_case.dart';
part 'model/test_case_metadata2.dart';
part 'model/test_case_reference.dart';
part 'model/test_case_reference2.dart';
part 'model/test_case_result.dart';
part 'model/test_case_result_attachment_model.dart';
part 'model/test_case_result_id_and_rev.dart';
part 'model/test_case_result_identifier.dart';
part 'model/test_case_result_update_model.dart';
part 'model/test_configuration.dart';
part 'model/test_configuration_create_update_parameters.dart';
part 'model/test_configuration_reference.dart';
part 'model/test_definition.dart';
part 'model/test_definition_basic.dart';
part 'model/test_drop.dart';
part 'model/test_drop_ref.dart';
part 'model/test_environment.dart';
part 'model/test_execution_report_data.dart';
part 'model/test_extension_field.dart';
part 'model/test_extension_field_details.dart';
part 'model/test_failure_details.dart';
part 'model/test_failure_type.dart';
part 'model/test_failures_analysis.dart';
part 'model/test_field_data.dart';
part 'model/test_fields_ex2.dart';
part 'model/test_flaky_identifier.dart';
part 'model/test_history_query.dart';
part 'model/test_iteration_details_model.dart';
part 'model/test_log.dart';
part 'model/test_log_reference.dart';
part 'model/test_log_status.dart';
part 'model/test_log_store_endpoint_details.dart';
part 'model/test_message_log2.dart';
part 'model/test_message_log_details.dart';
part 'model/test_message_log_entry.dart';
part 'model/test_message_log_entry2.dart';
part 'model/test_method.dart';
part 'model/test_operation_reference.dart';
part 'model/test_outcome_settings.dart';
part 'model/test_parameter2.dart';
part 'model/test_plan.dart';
part 'model/test_plan_clone_request.dart';
part 'model/test_plan_create_params.dart';
part 'model/test_plan_detailed_reference.dart';
part 'model/test_plan_hub_data.dart';
part 'model/test_plan_reference.dart';
part 'model/test_plan_update_params.dart';
part 'model/test_plans_hub_refresh_data.dart';
part 'model/test_plans_with_selection.dart';
part 'model/test_point.dart';
part 'model/test_point_count.dart';
part 'model/test_point_reference.dart';
part 'model/test_point_results.dart';
part 'model/test_point_update_params.dart';
part 'model/test_points_event.dart';
part 'model/test_points_query.dart';
part 'model/test_points_updated_event.dart';
part 'model/test_resolution_state.dart';
part 'model/test_result2.dart';
part 'model/test_result_across_project_response.dart';
part 'model/test_result_attachment.dart';
part 'model/test_result_attachment_identity.dart';
part 'model/test_result_create_model.dart';
part 'model/test_result_document.dart';
part 'model/test_result_history.dart';
part 'model/test_result_history_details_for_group.dart';
part 'model/test_result_history_for_group.dart';
part 'model/test_result_meta_data.dart';
part 'model/test_result_meta_data_update_input.dart';
part 'model/test_result_meta_data_update_response.dart';
part 'model/test_result_model_base.dart';
part 'model/test_result_parameter.dart';
part 'model/test_result_parameter_model.dart';
part 'model/test_result_payload.dart';
part 'model/test_result_reset2.dart';
part 'model/test_result_summary.dart';
part 'model/test_result_trend_filter.dart';
part 'model/test_results.dart';
part 'model/test_results_context.dart';
part 'model/test_results_details.dart';
part 'model/test_results_details_for_group.dart';
part 'model/test_results_ex2.dart';
part 'model/test_results_groups_for_build.dart';
part 'model/test_results_groups_for_release.dart';
part 'model/test_results_query.dart';
part 'model/test_results_settings.dart';
part 'model/test_results_summary.dart';
part 'model/test_results_update_settings.dart';
part 'model/test_results_with_watermark.dart';
part 'model/test_run.dart';
part 'model/test_run2.dart';
part 'model/test_run_abort_message.dart';
part 'model/test_run_basic.dart';
part 'model/test_run_canceled_event.dart';
part 'model/test_run_context2.dart';
part 'model/test_run_counter_instance.dart';
part 'model/test_run_coverage.dart';
part 'model/test_run_created_event.dart';
part 'model/test_run_event.dart';
part 'model/test_run_ex2.dart';
part 'model/test_run_extended2.dart';
part 'model/test_run_message.dart';
part 'model/test_run_started_event.dart';
part 'model/test_run_statistic.dart';
part 'model/test_run_summary2.dart';
part 'model/test_run_with_dtl_env_event.dart';
part 'model/test_session.dart';
part 'model/test_session_explored_work_item_reference.dart';
part 'model/test_session_work_item_reference.dart';
part 'model/test_settings.dart';
part 'model/test_settings2.dart';
part 'model/test_settings_machine_role.dart';
part 'model/test_sub_result.dart';
part 'model/test_suite.dart';
part 'model/test_suite_clone_request.dart';
part 'model/test_suite_create_params.dart';
part 'model/test_suite_create_update_common_params.dart';
part 'model/test_suite_reference.dart';
part 'model/test_suite_reference_with_project.dart';
part 'model/test_suite_update_params.dart';
part 'model/test_summary.dart';
part 'model/test_summary_for_work_item.dart';
part 'model/test_tag.dart';
part 'model/test_tag_summary.dart';
part 'model/test_tags_update_model.dart';
part 'model/test_to_work_item_links.dart';
part 'model/test_variable.dart';
part 'model/test_variable_create_update_parameters.dart';
part 'model/tfvc_artifact_download_input.dart';
part 'model/tfvc_branch.dart';
part 'model/tfvc_branch_mapping.dart';
part 'model/tfvc_branch_ref.dart';
part 'model/tfvc_change.dart';
part 'model/tfvc_changeset.dart';
part 'model/tfvc_changeset_ref.dart';
part 'model/tfvc_changeset_search_criteria.dart';
part 'model/tfvc_changesets_request_data.dart';
part 'model/tfvc_checkin_event_data.dart';
part 'model/tfvc_history_entry.dart';
part 'model/tfvc_item.dart';
part 'model/tfvc_item_descriptor.dart';
part 'model/tfvc_item_previous_hash.dart';
part 'model/tfvc_item_request_data.dart';
part 'model/tfvc_label.dart';
part 'model/tfvc_label_ref.dart';
part 'model/tfvc_label_request_data.dart';
part 'model/tfvc_mapping_filter.dart';
part 'model/tfvc_merge_source.dart';
part 'model/tfvc_policy_failure_info.dart';
part 'model/tfvc_policy_override_info.dart';
part 'model/tfvc_shallow_branch_ref.dart';
part 'model/tfvc_shelveset.dart';
part 'model/tfvc_shelveset_ref.dart';
part 'model/tfvc_shelveset_request_data.dart';
part 'model/tfvc_statistics.dart';
part 'model/tfvc_version_descriptor.dart';
part 'model/time_zone.dart';
part 'model/time_zone_list.dart';
part 'model/timeline.dart';
part 'model/timeline_attempt.dart';
part 'model/timeline_criteria_status.dart';
part 'model/timeline_iteration_status.dart';
part 'model/timeline_record.dart';
part 'model/timeline_record_feed_lines_wrapper.dart';
part 'model/timeline_records_updated_event.dart';
part 'model/timeline_reference.dart';
part 'model/timeline_team_data.dart';
part 'model/timeline_team_iteration.dart';
part 'model/timeline_team_status.dart';
part 'model/title_description_updated_event.dart';
part 'model/token_admin_paged_session_tokens.dart';
part 'model/token_admin_revocation.dart';
part 'model/token_admin_revocation_rule.dart';
part 'model/token_administration_revocation.dart';
part 'model/transaction_summary.dart';
part 'model/type.dart';
part 'model/u_pack_package_version_deletion_state.dart';
part 'model/u_pack_packages_batch_request.dart';
part 'model/u_pack_recycle_bin_package_version_details.dart';
part 'model/unsupported_filter.dart';
part 'model/unsupported_subscription_channel.dart';
part 'model/update_plan.dart';
part 'model/update_process_model.dart';
part 'model/update_process_rule_request.dart';
part 'model/update_process_work_item_type_field_request.dart';
part 'model/update_process_work_item_type_request.dart';
part 'model/update_refs_request.dart';
part 'model/update_subscripiton_diagnostics_parameters.dart';
part 'model/update_subscripiton_tracing_parameters.dart';
part 'model/update_team.dart';
part 'model/update_test_run_request.dart';
part 'model/update_test_run_response.dart';
part 'model/updated_properties.dart';
part 'model/upload_attachments_request.dart';
part 'model/upstream_source.dart';
part 'model/upstream_source_info.dart';
part 'model/user_entitlement.dart';
part 'model/user_entitlement_operation_reference.dart';
part 'model/user_entitlement_operation_result.dart';
part 'model/user_entitlements_patch_response.dart';
part 'model/user_entitlements_post_response.dart';
part 'model/user_entitlements_response_base.dart';
part 'model/user_extension_policy.dart';
part 'model/user_subscription_channel.dart';
part 'model/user_system_subscription_channel.dart';
part 'model/users_summary.dart';
part 'model/validation_issue.dart';
part 'model/validation_item.dart';
part 'model/value_definition.dart';
part 'model/variable_group.dart';
part 'model/variable_group_parameters.dart';
part 'model/variable_group_reference.dart';
part 'model/variable_multipliers_agent_execution_options.dart';
part 'model/variable_multipliers_server_execution_options.dart';
part 'model/variable_value.dart';
part 'model/version.dart';
part 'model/version_control_project_info.dart';
part 'model/versioned_policy_configuration_ref.dart';
part 'model/versioned_resource.dart';
part 'model/virtual_machine.dart';
part 'model/virtual_machine_group.dart';
part 'model/virtual_machine_group_create_parameters.dart';
part 'model/vss_json_collection_wrapper.dart';
part 'model/vss_json_collection_wrapper_base.dart';
part 'model/vss_notification_event.dart';
part 'model/web_api_connected_service.dart';
part 'model/web_api_connected_service_details.dart';
part 'model/web_api_connected_service_ref.dart';
part 'model/web_api_create_tag_request_data.dart';
part 'model/web_api_load_test_machine_input.dart';
part 'model/web_api_project.dart';
part 'model/web_api_project_collection.dart';
part 'model/web_api_project_collection_ref.dart';
part 'model/web_api_setup_paramaters.dart';
part 'model/web_api_tag_definition.dart';
part 'model/web_api_team.dart';
part 'model/web_api_team_ref.dart';
part 'model/web_api_test_machine.dart';
part 'model/web_api_user_load_test_machine_input.dart';
part 'model/web_instance_summary_data.dart';
part 'model/widget.dart';
part 'model/widget_metadata.dart';
part 'model/widget_metadata_response.dart';
part 'model/widget_position.dart';
part 'model/widget_response.dart';
part 'model/widget_size.dart';
part 'model/widget_types_response.dart';
part 'model/widgets_versioned_list.dart';
part 'model/wiki.dart';
part 'model/wiki_attachment.dart';
part 'model/wiki_attachment_response.dart';
part 'model/wiki_create_base_parameters.dart';
part 'model/wiki_create_parameters.dart';
part 'model/wiki_create_parameters_v2.dart';
part 'model/wiki_hit.dart';
part 'model/wiki_page.dart';
part 'model/wiki_page_create_or_update_parameters.dart';
part 'model/wiki_page_move.dart';
part 'model/wiki_page_move_parameters.dart';
part 'model/wiki_page_move_response.dart';
part 'model/wiki_page_response.dart';
part 'model/wiki_page_view_stats.dart';
part 'model/wiki_result.dart';
part 'model/wiki_search_request.dart';
part 'model/wiki_search_response.dart';
part 'model/wiki_update_parameters.dart';
part 'model/wiki_updated_notification_message.dart';
part 'model/wiki_v2.dart';
part 'model/wiql.dart';
part 'model/wit_contribution.dart';
part 'model/work_artifact_link.dart';
part 'model/work_item.dart';
part 'model/work_item_batch_get_request.dart';
part 'model/work_item_behavior.dart';
part 'model/work_item_behavior_field.dart';
part 'model/work_item_behavior_reference.dart';
part 'model/work_item_classification_node.dart';
part 'model/work_item_color.dart';
part 'model/work_item_comment.dart';
part 'model/work_item_comment_version_ref.dart';
part 'model/work_item_comments.dart';
part 'model/work_item_delete.dart';
part 'model/work_item_delete_reference.dart';
part 'model/work_item_delete_shallow_reference.dart';
part 'model/work_item_delete_update.dart';
part 'model/work_item_details.dart';
part 'model/work_item_field.dart';
part 'model/work_item_field_operation.dart';
part 'model/work_item_field_reference.dart';
part 'model/work_item_field_update.dart';
part 'model/work_item_history.dart';
part 'model/work_item_hit.dart';
part 'model/work_item_icon.dart';
part 'model/work_item_link.dart';
part 'model/work_item_next_state_on_transition.dart';
part 'model/work_item_query_clause.dart';
part 'model/work_item_query_result.dart';
part 'model/work_item_query_sort_column.dart';
part 'model/work_item_reference.dart';
part 'model/work_item_relation.dart';
part 'model/work_item_relation_type.dart';
part 'model/work_item_relation_updates.dart';
part 'model/work_item_result.dart';
part 'model/work_item_search_request.dart';
part 'model/work_item_search_response.dart';
part 'model/work_item_state_color.dart';
part 'model/work_item_state_input_model.dart';
part 'model/work_item_state_result_model.dart';
part 'model/work_item_state_transition.dart';
part 'model/work_item_template.dart';
part 'model/work_item_template_reference.dart';
part 'model/work_item_to_test_links.dart';
part 'model/work_item_tracking_reference.dart';
part 'model/work_item_tracking_resource.dart';
part 'model/work_item_tracking_resource_reference.dart';
part 'model/work_item_type.dart';
part 'model/work_item_type_behavior.dart';
part 'model/work_item_type_category.dart';
part 'model/work_item_type_color.dart';
part 'model/work_item_type_color_and_icon.dart';
part 'model/work_item_type_field_instance.dart';
part 'model/work_item_type_field_instance_base.dart';
part 'model/work_item_type_field_with_references.dart';
part 'model/work_item_type_model.dart';
part 'model/work_item_type_reference.dart';
part 'model/work_item_type_state_colors.dart';
part 'model/work_item_type_state_info.dart';
part 'model/work_item_type_template.dart';
part 'model/work_item_type_template_update_model.dart';
part 'model/work_item_update.dart';
part 'model/workflow_task.dart';
part 'model/workflow_task_reference.dart';
part 'model/workspace_mapping.dart';
part 'model/workspace_template.dart';
part 'model/xaml_build_controller_reference.dart';
part 'model/xaml_build_definition.dart';
part 'model/xaml_build_reference.dart';
part 'model/xaml_build_server_reference.dart';
part 'model/xaml_definition_reference.dart';
part 'model/yaml_file_source.dart';
part 'model/yaml_pipeline_process.dart';
part 'model/yaml_pipeline_process_resources.dart';
part 'model/yaml_process.dart';
part 'model/yaml_source_reference.dart';


ApiClient defaultApiClient = ApiClient();
