# azure_devops_sdk
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 5.1
- Build package: org.openapitools.codegen.languages.DartClientCodegen

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: azure_devops_sdk
version: 1.0.0
description: OpenAPI API client
dependencies:
  azure_devops_sdk:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  azure_devops_sdk:
    path: /path/to/azure_devops_sdk
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:azure_devops_sdk/api.dart';

// TODO Configure OAuth2 access token for authorization: oauth2
//defaultApiClient.getAuthentication<OAuth>('oauth2').accessToken = 'YOUR_ACCESS_TOKEN';

var api_instance = AccessControlEntriesApi();
var securityNamespaceId = 38400000-8cf0-11bd-b23e-10b96e4ef00d; // String | Security namespace identifier.
var organization = organization_example; // String | The name of the Azure DevOps organization.
var apiVersion = apiVersion_example; // String | Version of the API to use.  This should be set to '5.1' to use this version of the api.
var token = token_example; // String | The token whose ACL should be modified.
var descriptors = descriptors_example; // String | String containing a list of identity descriptors separated by ',' whose entries should be removed.

try {
    var result = api_instance.remove Access Control Entries(securityNamespaceId, organization, apiVersion, token, descriptors);
    print(result);
} catch (e) {
    print("Exception when calling AccessControlEntriesApi->remove Access Control Entries: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *https://app.vssps.visualstudio.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccessControlEntriesApi* | [**remove Access Control Entries**](docs//AccessControlEntriesApi.md#remove access control entries) | **DELETE** /{organization}/_apis/accesscontrolentries/{securityNamespaceId} | 
*AccessControlEntriesApi* | [**set Access Control Entries**](docs//AccessControlEntriesApi.md#set access control entries) | **POST** /{organization}/_apis/accesscontrolentries/{securityNamespaceId} | 
*AccessControlListsApi* | [**query**](docs//AccessControlListsApi.md#query) | **GET** /{organization}/_apis/accesscontrollists/{securityNamespaceId} | 
*AccessControlListsApi* | [**remove Access Control Lists**](docs//AccessControlListsApi.md#remove access control lists) | **DELETE** /{organization}/_apis/accesscontrollists/{securityNamespaceId} | 
*AccessControlListsApi* | [**set Access Control Lists**](docs//AccessControlListsApi.md#set access control lists) | **POST** /{organization}/_apis/accesscontrollists/{securityNamespaceId} | 
*AccountMyWorkRecentActivityApi* | [**list**](docs//AccountMyWorkRecentActivityApi.md#list) | **GET** /{organization}/_apis/work/accountmyworkrecentactivity | 
*AccountsApi* | [**list**](docs//AccountsApi.md#list) | **GET** /_apis/accounts | 
*ActionResultsApi* | [**list**](docs//ActionResultsApi.md#list) | **GET** /{organization}/{project}/_apis/test/Runs/{runId}/Results/{testCaseResultId}/Iterations/{iterationId}/actionresults/{actionPath} | 
*AgentGroupsApi* | [**callGet**](docs//AgentGroupsApi.md#callget) | **GET** /{organization}/_apis/clt/agentgroups/{agentGroupId} | 
*AgentGroupsApi* | [**create**](docs//AgentGroupsApi.md#create) | **POST** /{organization}/_apis/clt/agentgroups | 
*AgentcloudsApi* | [**add**](docs//AgentcloudsApi.md#add) | **POST** /{organization}/_apis/distributedtask/agentclouds | 
*AgentcloudsApi* | [**callGet**](docs//AgentcloudsApi.md#callget) | **GET** /{organization}/_apis/distributedtask/agentclouds/{agentCloudId} | 
*AgentcloudsApi* | [**delete**](docs//AgentcloudsApi.md#delete) | **DELETE** /{organization}/_apis/distributedtask/agentclouds/{agentCloudId} | 
*AgentcloudsApi* | [**list**](docs//AgentcloudsApi.md#list) | **GET** /{organization}/_apis/distributedtask/agentclouds | 
*AgentcloudtypesApi* | [**list**](docs//AgentcloudtypesApi.md#list) | **GET** /{organization}/_apis/distributedtask/agentcloudtypes | 
*AgentsApi* | [**add**](docs//AgentsApi.md#add) | **POST** /{organization}/_apis/distributedtask/pools/{poolId}/agents | 
*AgentsApi* | [**callGet**](docs//AgentsApi.md#callget) | **GET** /{organization}/_apis/clt/agentGroups/{agentGroupId}/agents | 
*AgentsApi* | [**callGet_0**](docs//AgentsApi.md#callget_0) | **GET** /{organization}/_apis/distributedtask/pools/{poolId}/agents/{agentId} | 
*AgentsApi* | [**delete**](docs//AgentsApi.md#delete) | **DELETE** /{organization}/_apis/clt/agentGroups/{agentGroupId}/agents | 
*AgentsApi* | [**delete_0**](docs//AgentsApi.md#delete_0) | **DELETE** /{organization}/_apis/distributedtask/pools/{poolId}/agents/{agentId} | 
*AgentsApi* | [**list**](docs//AgentsApi.md#list) | **GET** /{organization}/_apis/distributedtask/pools/{poolId}/agents | 
*AgentsApi* | [**replace Agent**](docs//AgentsApi.md#replace agent) | **PUT** /{organization}/_apis/distributedtask/pools/{poolId}/agents/{agentId} | 
*AgentsApi* | [**update**](docs//AgentsApi.md#update) | **PATCH** /{organization}/_apis/distributedtask/pools/{poolId}/agents/{agentId} | 
*AnnotatedTagsApi* | [**callGet**](docs//AnnotatedTagsApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/annotatedtags/{objectId} | 
*AnnotatedTagsApi* | [**create**](docs//AnnotatedTagsApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/annotatedtags | 
*ApplicationsApi* | [**callGet**](docs//ApplicationsApi.md#callget) | **GET** /{organization}/_apis/clt/apm/applications/{applicationId} | 
*ApplicationsApi* | [**list**](docs//ApplicationsApi.md#list) | **GET** /{organization}/_apis/clt/apm/applications | 
*ApprovalsApi* | [**list**](docs//ApprovalsApi.md#list) | **GET** /{organization}/{project}/_apis/release/approvals | 
*ApprovalsApi* | [**update**](docs//ApprovalsApi.md#update) | **PATCH** /{organization}/{project}/_apis/release/approvals/{approvalId} | 
*ArtifactDetailsApi* | [**get Badge**](docs//ArtifactDetailsApi.md#get badge) | **GET** /{organization}/{project}/_apis/public/packaging/Feeds/{feedId}/Packages/{packageId}/badge | 
*ArtifactDetailsApi* | [**get Package**](docs//ArtifactDetailsApi.md#get package) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/packages/{packageId} | 
*ArtifactDetailsApi* | [**get Package Version**](docs//ArtifactDetailsApi.md#get package version) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/Packages/{packageId}/versions/{packageVersionId} | 
*ArtifactDetailsApi* | [**get Package Versions**](docs//ArtifactDetailsApi.md#get package versions) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/Packages/{packageId}/versions | 
*ArtifactDetailsApi* | [**get Packages**](docs//ArtifactDetailsApi.md#get packages) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/packages | 
*ArtifactDetailsApi* | [**getPackageVersionProvenance**](docs//ArtifactDetailsApi.md#getpackageversionprovenance) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/Packages/{packageId}/Versions/{packageVersionId}/provenance | 
*ArtifactDetailsApi* | [**query Package Metrics**](docs//ArtifactDetailsApi.md#query package metrics) | **POST** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/packagemetricsbatch | 
*ArtifactDetailsApi* | [**query Package Version Metrics**](docs//ArtifactDetailsApi.md#query package version metrics) | **POST** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/Packages/{packageId}/versionmetricsbatch | 
*ArtifactLinkTypesApi* | [**list**](docs//ArtifactLinkTypesApi.md#list) | **GET** /{organization}/_apis/wit/artifactlinktypes | 
*ArtifactUriQueryApi* | [**query**](docs//ArtifactUriQueryApi.md#query) | **POST** /{organization}/{project}/_apis/wit/artifacturiquery | 
*ArtifactsApi* | [**create**](docs//ArtifactsApi.md#create) | **POST** /{organization}/{project}/_apis/build/builds/{buildId}/artifacts | 
*ArtifactsApi* | [**list**](docs//ArtifactsApi.md#list) | **GET** /{organization}/{project}/_apis/build/builds/{buildId}/artifacts | 
*AttachmentsApi* | [**callGet**](docs//AttachmentsApi.md#callget) | **GET** /{organization}/{project}/_apis/build/builds/{buildId}/{timelineId}/{recordId}/attachments/{type}/{name} | 
*AttachmentsApi* | [**callGet_0**](docs//AttachmentsApi.md#callget_0) | **GET** /{organization}/{project}/_apis/wit/attachments/{id} | 
*AttachmentsApi* | [**create**](docs//AttachmentsApi.md#create) | **PUT** /{organization}/{project}/_apis/wiki/wikis/{wikiIdentifier}/attachments | 
*AttachmentsApi* | [**create Test Result Attachment**](docs//AttachmentsApi.md#create test result attachment) | **POST** /{organization}/{project}/_apis/test/Runs/{runId}/Results/{testCaseResultId}/attachments | 
*AttachmentsApi* | [**create Test Run Attachment**](docs//AttachmentsApi.md#create test run attachment) | **POST** /{organization}/{project}/_apis/test/Runs/{runId}/attachments | 
*AttachmentsApi* | [**create_0**](docs//AttachmentsApi.md#create_0) | **POST** /{organization}/{project}/_apis/wit/attachments | 
*AttachmentsApi* | [**get Release Task Attachment Content**](docs//AttachmentsApi.md#get release task attachment content) | **GET** /{organization}/{project}/_apis/release/releases/{releaseId}/environments/{environmentId}/attempts/{attemptId}/plan/{planId}/timelines/{timelineId}/records/{recordId}/attachments/{type}/{name} | 
*AttachmentsApi* | [**get Release Task Attachments**](docs//AttachmentsApi.md#get release task attachments) | **GET** /{organization}/{project}/_apis/release/releases/{releaseId}/environments/{environmentId}/attempts/{attemptId}/plan/{planId}/attachments/{type} | 
*AttachmentsApi* | [**get Task Attachment Content**](docs//AttachmentsApi.md#get task attachment content) | **GET** /{organization}/{project}/_apis/release/releases/{releaseId}/environments/{environmentId}/attempts/{attemptId}/timelines/{timelineId}/records/{recordId}/attachments/{type}/{name} | 
*AttachmentsApi* | [**get Task Attachments**](docs//AttachmentsApi.md#get task attachments) | **GET** /{organization}/{project}/_apis/release/releases/{releaseId}/environments/{environmentId}/attempts/{attemptId}/timelines/{timelineId}/attachments/{type} | 
*AttachmentsApi* | [**get Test Result Attachment Zip**](docs//AttachmentsApi.md#get test result attachment zip) | **GET** /{organization}/{project}/_apis/test/Runs/{runId}/Results/{testCaseResultId}/attachments/{attachmentId} | 
*AttachmentsApi* | [**get Test Result Attachments**](docs//AttachmentsApi.md#get test result attachments) | **GET** /{organization}/{project}/_apis/test/Runs/{runId}/Results/{testCaseResultId}/attachments | 
*AttachmentsApi* | [**get Test Run Attachment Zip**](docs//AttachmentsApi.md#get test run attachment zip) | **GET** /{organization}/{project}/_apis/test/Runs/{runId}/attachments/{attachmentId} | 
*AttachmentsApi* | [**get Test Run Attachments**](docs//AttachmentsApi.md#get test run attachments) | **GET** /{organization}/{project}/_apis/test/Runs/{runId}/attachments | 
*AttachmentsApi* | [**list**](docs//AttachmentsApi.md#list) | **GET** /{organization}/{project}/_apis/build/builds/{buildId}/attachments/{type} | 
*AttachmentsApi* | [**upload Chunk**](docs//AttachmentsApi.md#upload chunk) | **PUT** /{organization}/{project}/_apis/wit/attachments/{id} | 
*AuditLogApi* | [**query**](docs//AuditLogApi.md#query) | **GET** /{organization}/_apis/audit/auditlog | 
*AuthorizedresourcesApi* | [**authorize Project Resources**](docs//AuthorizedresourcesApi.md#authorize project resources) | **PATCH** /{organization}/{project}/_apis/build/authorizedresources | 
*AuthorizedresourcesApi* | [**list**](docs//AuthorizedresourcesApi.md#list) | **GET** /{organization}/{project}/_apis/build/authorizedresources | 
*AvailabilityApi* | [**check Availability**](docs//AvailabilityApi.md#check availability) | **GET** /{organization}/_apis/symbol/availability | 
*AvatarApi* | [**remove Project Avatar**](docs//AvatarApi.md#remove project avatar) | **DELETE** /{organization}/_apis/projects/{projectId}/avatar | 
*AvatarApi* | [**set Project Avatar**](docs//AvatarApi.md#set project avatar) | **PUT** /{organization}/_apis/projects/{projectId}/avatar | 
*AvatarsApi* | [**callGet**](docs//AvatarsApi.md#callget) | **GET** /{organization}/_apis/graph/Subjects/{subjectDescriptor}/avatars | 
*AvatarsApi* | [**delete**](docs//AvatarsApi.md#delete) | **DELETE** /{organization}/_apis/graph/Subjects/{subjectDescriptor}/avatars | 
*AvatarsApi* | [**set Avatar**](docs//AvatarsApi.md#set avatar) | **PUT** /{organization}/_apis/graph/Subjects/{subjectDescriptor}/avatars | 
*BacklogconfigurationApi* | [**callGet**](docs//BacklogconfigurationApi.md#callget) | **GET** /{organization}/{project}/{team}/_apis/work/backlogconfiguration | 
*BacklogsApi* | [**get Backlog**](docs//BacklogsApi.md#get backlog) | **GET** /{organization}/{project}/{team}/_apis/work/backlogs/{id} | 
*BacklogsApi* | [**get Backlog Level Work Items**](docs//BacklogsApi.md#get backlog level work items) | **GET** /{organization}/{project}/{team}/_apis/work/backlogs/{backlogId}/workItems | 
*BacklogsApi* | [**list**](docs//BacklogsApi.md#list) | **GET** /{organization}/{project}/{team}/_apis/work/backlogs | 
*BadgeApi* | [**callGet**](docs//BadgeApi.md#callget) | **GET** /{organization}/_apis/public/build/definitions/{project}/{definitionId}/badge | 
*BadgeApi* | [**get Build Badge Data**](docs//BadgeApi.md#get build badge data) | **GET** /{organization}/{project}/_apis/build/repos/{repoType}/badge | 
*BehaviorsApi* | [**callGet**](docs//BehaviorsApi.md#callget) | **GET** /{organization}/_apis/work/processes/{processId}/behaviors/{behaviorRefName} | 
*BehaviorsApi* | [**create**](docs//BehaviorsApi.md#create) | **POST** /{organization}/_apis/work/processes/{processId}/behaviors | 
*BehaviorsApi* | [**delete**](docs//BehaviorsApi.md#delete) | **DELETE** /{organization}/_apis/work/processes/{processId}/behaviors/{behaviorRefName} | 
*BehaviorsApi* | [**list**](docs//BehaviorsApi.md#list) | **GET** /{organization}/_apis/work/processes/{processId}/behaviors | 
*BehaviorsApi* | [**list_0**](docs//BehaviorsApi.md#list_0) | **GET** /{organization}/_apis/work/processadmin/{processId}/behaviors | 
*BehaviorsApi* | [**update**](docs//BehaviorsApi.md#update) | **PUT** /{organization}/_apis/work/processes/{processId}/behaviors/{behaviorRefName} | 
*BlobsApi* | [**get Blob**](docs//BlobsApi.md#get blob) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/blobs/{sha1} | 
*BlobsApi* | [**get Blobs Zip**](docs//BlobsApi.md#get blobs zip) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/blobs | 
*BoardcolumnsApi* | [**list**](docs//BoardcolumnsApi.md#list) | **GET** /{organization}/{project}/_apis/work/boardcolumns | 
*BoardparentsApi* | [**list**](docs//BoardparentsApi.md#list) | **GET** /{organization}/{project}/{team}/_apis/work/boards/boardparents | 
*BoardrowsApi* | [**list**](docs//BoardrowsApi.md#list) | **GET** /{organization}/{project}/_apis/work/boardrows | 
*BoardsApi* | [**callGet**](docs//BoardsApi.md#callget) | **GET** /{organization}/{project}/{team}/_apis/work/boards/{id} | 
*BoardsApi* | [**list**](docs//BoardsApi.md#list) | **GET** /{organization}/{project}/{team}/_apis/work/boards | 
*BoardsApi* | [**set Board Options**](docs//BoardsApi.md#set board options) | **PUT** /{organization}/{project}/{team}/_apis/work/boards/{id} | 
*BoardusersettingsApi* | [**callGet**](docs//BoardusersettingsApi.md#callget) | **GET** /{organization}/{project}/{team}/_apis/work/boards/{board}/boardusersettings | 
*BoardusersettingsApi* | [**update**](docs//BoardusersettingsApi.md#update) | **PATCH** /{organization}/{project}/{team}/_apis/work/boards/{board}/boardusersettings | 
*BranchesApi* | [**get Branch Refs**](docs//BranchesApi.md#get branch refs) | **GET** /{organization}/{project}/_apis/tfvc/branches | 
*BuildsApi* | [**callGet**](docs//BuildsApi.md#callget) | **GET** /{organization}/{project}/_apis/build/builds/{buildId} | 
*BuildsApi* | [**delete**](docs//BuildsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/build/builds/{buildId} | 
*BuildsApi* | [**get Build Changes**](docs//BuildsApi.md#get build changes) | **GET** /{organization}/{project}/_apis/build/builds/{buildId}/changes | 
*BuildsApi* | [**get Build Log**](docs//BuildsApi.md#get build log) | **GET** /{organization}/{project}/_apis/build/builds/{buildId}/logs/{logId} | 
*BuildsApi* | [**get Build Logs**](docs//BuildsApi.md#get build logs) | **GET** /{organization}/{project}/_apis/build/builds/{buildId}/logs | 
*BuildsApi* | [**get Build Work Items Refs**](docs//BuildsApi.md#get build work items refs) | **GET** /{organization}/{project}/_apis/build/builds/{buildId}/workitems | 
*BuildsApi* | [**get Build Work Items Refs From Commits**](docs//BuildsApi.md#get build work items refs from commits) | **POST** /{organization}/{project}/_apis/build/builds/{buildId}/workitems | 
*BuildsApi* | [**get Changes Between Builds**](docs//BuildsApi.md#get changes between builds) | **GET** /{organization}/{project}/_apis/build/changes | 
*BuildsApi* | [**get Work Items Between Builds**](docs//BuildsApi.md#get work items between builds) | **GET** /{organization}/{project}/_apis/build/workitems | 
*BuildsApi* | [**list**](docs//BuildsApi.md#list) | **GET** /{organization}/{project}/_apis/build/builds | 
*BuildsApi* | [**queue**](docs//BuildsApi.md#queue) | **POST** /{organization}/{project}/_apis/build/builds | 
*BuildsApi* | [**update Build**](docs//BuildsApi.md#update build) | **PATCH** /{organization}/{project}/_apis/build/builds/{buildId} | 
*BuildsApi* | [**update Builds**](docs//BuildsApi.md#update builds) | **PATCH** /{organization}/{project}/_apis/build/builds | 
*CapacitiesApi* | [**callGet**](docs//CapacitiesApi.md#callget) | **GET** /{organization}/{project}/{team}/_apis/work/teamsettings/iterations/{iterationId}/capacities/{teamMemberId} | 
*CapacitiesApi* | [**list**](docs//CapacitiesApi.md#list) | **GET** /{organization}/{project}/{team}/_apis/work/teamsettings/iterations/{iterationId}/capacities | 
*CapacitiesApi* | [**replace Capacities With Identity Ref**](docs//CapacitiesApi.md#replace capacities with identity ref) | **PUT** /{organization}/{project}/{team}/_apis/work/teamsettings/iterations/{iterationId}/capacities | 
*CapacitiesApi* | [**update**](docs//CapacitiesApi.md#update) | **PATCH** /{organization}/{project}/{team}/_apis/work/teamsettings/iterations/{iterationId}/capacities/{teamMemberId} | 
*CardrulesettingsApi* | [**callGet**](docs//CardrulesettingsApi.md#callget) | **GET** /{organization}/{project}/{team}/_apis/work/boards/{board}/cardrulesettings | 
*CardrulesettingsApi* | [**update Board Card Rule Settings**](docs//CardrulesettingsApi.md#update board card rule settings) | **PATCH** /{organization}/{project}/{team}/_apis/work/boards/{board}/cardrulesettings | 
*CardrulesettingsApi* | [**update Taskboard Card Rule Settings**](docs//CardrulesettingsApi.md#update taskboard card rule settings) | **PATCH** /{organization}/{project}/{team}/_apis/work/taskboard/cardrulesettings | 
*CardsettingsApi* | [**callGet**](docs//CardsettingsApi.md#callget) | **GET** /{organization}/{project}/{team}/_apis/work/boards/{board}/cardsettings | 
*CardsettingsApi* | [**update Board Card Settings**](docs//CardsettingsApi.md#update board card settings) | **PUT** /{organization}/{project}/{team}/_apis/work/boards/{board}/cardsettings | 
*CardsettingsApi* | [**update Taskboard Card Settings**](docs//CardsettingsApi.md#update taskboard card settings) | **PUT** /{organization}/{project}/{team}/_apis/work/taskboard/cardsettings | 
*ChangeTrackingApi* | [**get Feed Change**](docs//ChangeTrackingApi.md#get feed change) | **GET** /{organization}/{project}/_apis/packaging/feedchanges/{feedId} | 
*ChangeTrackingApi* | [**get Feed Changes**](docs//ChangeTrackingApi.md#get feed changes) | **GET** /{organization}/{project}/_apis/packaging/feedchanges | 
*ChangeTrackingApi* | [**get Package Changes**](docs//ChangeTrackingApi.md#get package changes) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/packagechanges | 
*ChangesetsApi* | [**callGet**](docs//ChangesetsApi.md#callget) | **GET** /{organization}/{project}/_apis/tfvc/changesets/{id} | 
*ChangesetsApi* | [**create**](docs//ChangesetsApi.md#create) | **POST** /{organization}/{project}/_apis/tfvc/changesets | 
*ChangesetsApi* | [**get Batched Changesets**](docs//ChangesetsApi.md#get batched changesets) | **POST** /{organization}/_apis/tfvc/changesetsbatch | 
*ChangesetsApi* | [**get Changeset Changes**](docs//ChangesetsApi.md#get changeset changes) | **GET** /{organization}/_apis/tfvc/changesets/{id}/changes | 
*ChangesetsApi* | [**get Changeset Work Items**](docs//ChangesetsApi.md#get changeset work items) | **GET** /{organization}/_apis/tfvc/changesets/{id}/workItems | 
*ChangesetsApi* | [**get Changesets**](docs//ChangesetsApi.md#get changesets) | **GET** /{organization}/{project}/_apis/tfvc/changesets | 
*ChartimagesApi* | [**get Board Chart Image**](docs//ChartimagesApi.md#get board chart image) | **GET** /{organization}/{project}/{team}/_apis/work/boards/{board}/chartimages/{name} | 
*ChartimagesApi* | [**get Iteration Chart Image**](docs//ChartimagesApi.md#get iteration chart image) | **GET** /{organization}/{project}/{team}/_apis/work/iterations/{iterationId}/chartimages/{name} | 
*ChartimagesApi* | [**get Iterations Chart Image**](docs//ChartimagesApi.md#get iterations chart image) | **GET** /{organization}/{project}/{team}/_apis/work/iterations/chartimages/{name} | 
*ChartsApi* | [**callGet**](docs//ChartsApi.md#callget) | **GET** /{organization}/{project}/{team}/_apis/work/boards/{board}/charts/{name} | 
*ChartsApi* | [**list**](docs//ChartsApi.md#list) | **GET** /{organization}/{project}/{team}/_apis/work/boards/{board}/charts | 
*ChartsApi* | [**update**](docs//ChartsApi.md#update) | **PATCH** /{organization}/{project}/{team}/_apis/work/boards/{board}/charts/{name} | 
*CherryPicksApi* | [**create**](docs//CherryPicksApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/cherryPicks | 
*CherryPicksApi* | [**get Cherry Pick**](docs//CherryPicksApi.md#get cherry pick) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/cherryPicks/{cherryPickId} | 
*CherryPicksApi* | [**get Cherry Pick For Ref Name**](docs//CherryPicksApi.md#get cherry pick for ref name) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/cherryPicks | 
*ClassificationNodesApi* | [**callGet**](docs//ClassificationNodesApi.md#callget) | **GET** /{organization}/{project}/_apis/wit/classificationnodes/{structureGroup}/{path} | 
*ClassificationNodesApi* | [**create Or Update**](docs//ClassificationNodesApi.md#create or update) | **POST** /{organization}/{project}/_apis/wit/classificationnodes/{structureGroup}/{path} | 
*ClassificationNodesApi* | [**delete**](docs//ClassificationNodesApi.md#delete) | **DELETE** /{organization}/{project}/_apis/wit/classificationnodes/{structureGroup}/{path} | 
*ClassificationNodesApi* | [**get Root Nodes**](docs//ClassificationNodesApi.md#get root nodes) | **GET** /{organization}/{project}/_apis/wit/classificationnodes | 
*ClassificationNodesApi* | [**update**](docs//ClassificationNodesApi.md#update) | **PATCH** /{organization}/{project}/_apis/wit/classificationnodes/{structureGroup}/{path} | 
*ClientApi* | [**callGet**](docs//ClientApi.md#callget) | **GET** /{organization}/_apis/symbol/client/{clientType} | 
*ClientApi* | [**head Client**](docs//ClientApi.md#head client) | **HEAD** /{organization}/_apis/symbol/client | 
*CodeCoverageApi* | [**get Build Code Coverage**](docs//CodeCoverageApi.md#get build code coverage) | **GET** /{organization}/{project}/_apis/test/codecoverage | 
*CodeCoverageApi* | [**get Test Run Code Coverage**](docs//CodeCoverageApi.md#get test run code coverage) | **GET** /{organization}/{project}/_apis/test/Runs/{runId}/codecoverage | 
*CodeSearchResultsApi* | [**fetch Code Search Results**](docs//CodeSearchResultsApi.md#fetch code search results) | **POST** /{organization}/{project}/_apis/search/codesearchresults | 
*ColumnsApi* | [**list**](docs//ColumnsApi.md#list) | **GET** /{organization}/{project}/{team}/_apis/work/boards/{board}/columns | 
*ColumnsApi* | [**update**](docs//ColumnsApi.md#update) | **PUT** /{organization}/{project}/{team}/_apis/work/boards/{board}/columns | 
*CommentReactionsEngagedUsersApi* | [**list**](docs//CommentReactionsEngagedUsersApi.md#list) | **GET** /{organization}/{project}/_apis/wit/workItems/{workItemId}/comments/{commentId}/reactions/{reactionType}/users | 
*CommentsApi* | [**add**](docs//CommentsApi.md#add) | **POST** /{organization}/{project}/_apis/wit/workItems/{workItemId}/comments | 
*CommentsApi* | [**delete**](docs//CommentsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/wit/workItems/{workItemId}/comments/{commentId} | 
*CommentsApi* | [**get Comment**](docs//CommentsApi.md#get comment) | **GET** /{organization}/{project}/_apis/wit/workItems/{workItemId}/comments/{commentId} | 
*CommentsApi* | [**get Comments Batch**](docs//CommentsApi.md#get comments batch) | **GET** /{organization}/{project}/_apis/wit/workItems/{workItemId}/comments | 
*CommentsApi* | [**update**](docs//CommentsApi.md#update) | **PATCH** /{organization}/{project}/_apis/wit/workItems/{workItemId}/comments/{commentId} | 
*CommentsReactionsApi* | [**create**](docs//CommentsReactionsApi.md#create) | **PUT** /{organization}/{project}/_apis/wit/workItems/{workItemId}/comments/{commentId}/reactions/{reactionType} | 
*CommentsReactionsApi* | [**delete**](docs//CommentsReactionsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/wit/workItems/{workItemId}/comments/{commentId}/reactions/{reactionType} | 
*CommentsReactionsApi* | [**list**](docs//CommentsReactionsApi.md#list) | **GET** /{organization}/{project}/_apis/wit/workItems/{workItemId}/comments/{commentId}/reactions | 
*CommentsVersionsApi* | [**callGet**](docs//CommentsVersionsApi.md#callget) | **GET** /{organization}/{project}/_apis/wit/workItems/{workItemId}/comments/{commentId}/versions/{version} | 
*CommentsVersionsApi* | [**list**](docs//CommentsVersionsApi.md#list) | **GET** /{organization}/{project}/_apis/wit/workItems/{workItemId}/comments/{commentId}/versions | 
*CommitsApi* | [**callGet**](docs//CommitsApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/commits/{commitId} | 
*CommitsApi* | [**get Changes**](docs//CommitsApi.md#get changes) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/commits/{commitId}/changes | 
*CommitsApi* | [**get Commits Batch**](docs//CommitsApi.md#get commits batch) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/commitsbatch | 
*CommitsApi* | [**get Push Commits**](docs//CommitsApi.md#get push commits) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/commits | 
*ConfigurationsApi* | [**callGet**](docs//ConfigurationsApi.md#callget) | **GET** /{organization}/{project}/_apis/policy/configurations/{configurationId} | 
*ConfigurationsApi* | [**callGet_0**](docs//ConfigurationsApi.md#callget_0) | **GET** /{organization}/{project}/_apis/testplan/configurations/{testConfigurationId} | 
*ConfigurationsApi* | [**create**](docs//ConfigurationsApi.md#create) | **POST** /{organization}/{project}/_apis/policy/configurations/{configurationId} | 
*ConfigurationsApi* | [**create_0**](docs//ConfigurationsApi.md#create_0) | **POST** /{organization}/{project}/_apis/testplan/configurations | 
*ConfigurationsApi* | [**delete**](docs//ConfigurationsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/policy/configurations/{configurationId} | 
*ConfigurationsApi* | [**delete_0**](docs//ConfigurationsApi.md#delete_0) | **DELETE** /{organization}/{project}/_apis/testplan/configurations | 
*ConfigurationsApi* | [**list**](docs//ConfigurationsApi.md#list) | **GET** /{organization}/{project}/_apis/policy/configurations | 
*ConfigurationsApi* | [**list_0**](docs//ConfigurationsApi.md#list_0) | **GET** /{organization}/{project}/_apis/testplan/configurations | 
*ConfigurationsApi* | [**update**](docs//ConfigurationsApi.md#update) | **PUT** /{organization}/{project}/_apis/policy/configurations/{configurationId} | 
*ConfigurationsApi* | [**update_0**](docs//ConfigurationsApi.md#update_0) | **PATCH** /{organization}/{project}/_apis/testplan/configurations | 
*ConsumersApi* | [**callGet**](docs//ConsumersApi.md#callget) | **GET** /{organization}/_apis/hooks/consumers/{consumerId} | 
*ConsumersApi* | [**get Consumer Action**](docs//ConsumersApi.md#get consumer action) | **GET** /{organization}/_apis/hooks/consumers/{consumerId}/actions/{consumerActionId} | 
*ConsumersApi* | [**list**](docs//ConsumersApi.md#list) | **GET** /{organization}/_apis/hooks/consumers | 
*ConsumersApi* | [**list Consumer Actions**](docs//ConsumersApi.md#list consumer actions) | **GET** /{organization}/_apis/hooks/consumers/{consumerId}/actions | 
*ControllersApi* | [**callGet**](docs//ControllersApi.md#callget) | **GET** /{organization}/_apis/build/controllers/{controllerId} | 
*ControllersApi* | [**list**](docs//ControllersApi.md#list) | **GET** /{organization}/_apis/build/controllers | 
*ControlsApi* | [**create**](docs//ControlsApi.md#create) | **POST** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/layout/groups/{groupId}/controls | 
*ControlsApi* | [**move Control To Group**](docs//ControlsApi.md#move control to group) | **PUT** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/layout/groups/{groupId}/controls/{controlId} | 
*ControlsApi* | [**remove Control From Group**](docs//ControlsApi.md#remove control from group) | **DELETE** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/layout/groups/{groupId}/controls/{controlId} | 
*ControlsApi* | [**update**](docs//ControlsApi.md#update) | **PATCH** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/layout/groups/{groupId}/controls/{controlId} | 
*CounterInstancesApi* | [**list**](docs//CounterInstancesApi.md#list) | **GET** /{organization}/_apis/clt/testRuns/{testRunId}/counterinstances | 
*CounterSamplesApi* | [**callGet**](docs//CounterSamplesApi.md#callget) | **POST** /{organization}/_apis/clt/testRuns/{testRunId}/countersamples | 
*CountersApi* | [**list**](docs//CountersApi.md#list) | **GET** /{organization}/_apis/clt/apm/counters | 
*DashboardsApi* | [**callGet**](docs//DashboardsApi.md#callget) | **GET** /{organization}/{project}/{team}/_apis/dashboard/dashboards/{dashboardId} | 
*DashboardsApi* | [**create**](docs//DashboardsApi.md#create) | **POST** /{organization}/{project}/{team}/_apis/dashboard/dashboards | 
*DashboardsApi* | [**delete**](docs//DashboardsApi.md#delete) | **DELETE** /{organization}/{project}/{team}/_apis/dashboard/dashboards/{dashboardId} | 
*DashboardsApi* | [**list**](docs//DashboardsApi.md#list) | **GET** /{organization}/{project}/{team}/_apis/dashboard/dashboards | 
*DashboardsApi* | [**replace Dashboard**](docs//DashboardsApi.md#replace dashboard) | **PUT** /{organization}/{project}/{team}/_apis/dashboard/dashboards/{dashboardId} | 
*DashboardsApi* | [**replace Dashboards**](docs//DashboardsApi.md#replace dashboards) | **PUT** /{organization}/{project}/{team}/_apis/dashboard/dashboards | 
*DefinitionsApi* | [**callGet**](docs//DefinitionsApi.md#callget) | **GET** /{organization}/{project}/_apis/build/definitions/{definitionId} | 
*DefinitionsApi* | [**callGet_0**](docs//DefinitionsApi.md#callget_0) | **GET** /{organization}/{project}/_apis/release/definitions/{definitionId} | 
*DefinitionsApi* | [**create**](docs//DefinitionsApi.md#create) | **POST** /{organization}/{project}/_apis/build/definitions | 
*DefinitionsApi* | [**create_0**](docs//DefinitionsApi.md#create_0) | **POST** /{organization}/{project}/_apis/release/definitions | 
*DefinitionsApi* | [**delete**](docs//DefinitionsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/build/definitions/{definitionId} | 
*DefinitionsApi* | [**delete_0**](docs//DefinitionsApi.md#delete_0) | **DELETE** /{organization}/{project}/_apis/release/definitions/{definitionId} | 
*DefinitionsApi* | [**get Definition Revision**](docs//DefinitionsApi.md#get definition revision) | **GET** /{organization}/{project}/_apis/Release/definitions/{definitionId}/revisions/{revision} | 
*DefinitionsApi* | [**get Definition Revisions**](docs//DefinitionsApi.md#get definition revisions) | **GET** /{organization}/{project}/_apis/build/definitions/{definitionId}/revisions | 
*DefinitionsApi* | [**get Release Definition History**](docs//DefinitionsApi.md#get release definition history) | **GET** /{organization}/{project}/_apis/Release/definitions/{definitionId}/revisions | 
*DefinitionsApi* | [**list**](docs//DefinitionsApi.md#list) | **GET** /{organization}/{project}/_apis/build/definitions | 
*DefinitionsApi* | [**list_0**](docs//DefinitionsApi.md#list_0) | **GET** /{organization}/{project}/_apis/release/definitions | 
*DefinitionsApi* | [**restore Definition**](docs//DefinitionsApi.md#restore definition) | **PATCH** /{organization}/{project}/_apis/build/definitions/{definitionId} | 
*DefinitionsApi* | [**update**](docs//DefinitionsApi.md#update) | **PUT** /{organization}/{project}/_apis/build/definitions/{definitionId} | 
*DefinitionsApi* | [**update_0**](docs//DefinitionsApi.md#update_0) | **PUT** /{organization}/{project}/_apis/release/definitions | 
*DeliverytimelineApi* | [**callGet**](docs//DeliverytimelineApi.md#callget) | **GET** /{organization}/{project}/_apis/work/plans/{id}/deliverytimeline | 
*DeploymentgroupsApi* | [**add**](docs//DeploymentgroupsApi.md#add) | **POST** /{organization}/{project}/_apis/distributedtask/deploymentgroups | 
*DeploymentgroupsApi* | [**callGet**](docs//DeploymentgroupsApi.md#callget) | **GET** /{organization}/{project}/_apis/distributedtask/deploymentgroups/{deploymentGroupId} | 
*DeploymentgroupsApi* | [**delete**](docs//DeploymentgroupsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/distributedtask/deploymentgroups/{deploymentGroupId} | 
*DeploymentgroupsApi* | [**list**](docs//DeploymentgroupsApi.md#list) | **GET** /{organization}/{project}/_apis/distributedtask/deploymentgroups | 
*DeploymentgroupsApi* | [**update**](docs//DeploymentgroupsApi.md#update) | **PATCH** /{organization}/{project}/_apis/distributedtask/deploymentgroups/{deploymentGroupId} | 
*DeploymentsApi* | [**list**](docs//DeploymentsApi.md#list) | **GET** /{organization}/{project}/_apis/release/deployments | 
*DescriptorsApi* | [**callGet**](docs//DescriptorsApi.md#callget) | **GET** /{organization}/_apis/graph/descriptors/{storageKey} | 
*DiagnosticLogsApi* | [**list**](docs//DiagnosticLogsApi.md#list) | **GET** /{organization}/_apis/notification/diagnosticlogs/{source}/entries/{entryId} | 
*DiagnosticsApi* | [**callGet**](docs//DiagnosticsApi.md#callget) | **GET** /{organization}/_apis/notification/subscriptions/{subscriptionId}/diagnostics | 
*DiagnosticsApi* | [**callGet_0**](docs//DiagnosticsApi.md#callget_0) | **GET** /{organization}/_apis/hooks/subscriptions/{subscriptionId}/diagnostics | 
*DiagnosticsApi* | [**update**](docs//DiagnosticsApi.md#update) | **PUT** /{organization}/_apis/notification/subscriptions/{subscriptionId}/diagnostics | 
*DiagnosticsApi* | [**update_0**](docs//DiagnosticsApi.md#update_0) | **PUT** /{organization}/_apis/hooks/subscriptions/{subscriptionId}/diagnostics | 
*DiffsApi* | [**callGet**](docs//DiffsApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/diffs/commits | 
*DownloadLogApi* | [**download Log**](docs//DownloadLogApi.md#download log) | **GET** /{organization}/_apis/audit/downloadlog | 
*EndpointproxyApi* | [**query**](docs//EndpointproxyApi.md#query) | **POST** /{organization}/{project}/_apis/serviceendpoint/endpointproxy | 
*EndpointsApi* | [**callGet**](docs//EndpointsApi.md#callget) | **GET** /{organization}/{project}/_apis/serviceendpoint/endpoints/{endpointId} | 
*EndpointsApi* | [**create**](docs//EndpointsApi.md#create) | **POST** /{organization}/{project}/_apis/serviceendpoint/endpoints | 
*EndpointsApi* | [**delete**](docs//EndpointsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/serviceendpoint/endpoints/{endpointId} | 
*EndpointsApi* | [**get Service Endpoints By Names**](docs//EndpointsApi.md#get service endpoints by names) | **GET** /{organization}/{project}/_apis/serviceendpoint/endpoints | 
*EndpointsApi* | [**update Service Endpoint**](docs//EndpointsApi.md#update service endpoint) | **PUT** /{organization}/{project}/_apis/serviceendpoint/endpoints/{endpointId} | 
*EndpointsApi* | [**update Service Endpoints**](docs//EndpointsApi.md#update service endpoints) | **PUT** /{organization}/{project}/_apis/serviceendpoint/endpoints | 
*ErrorsApi* | [**callGet**](docs//ErrorsApi.md#callget) | **GET** /{organization}/_apis/clt/testRuns/{testRunId}/errors | 
*EvaluationsApi* | [**callGet**](docs//EvaluationsApi.md#callget) | **GET** /{organization}/{project}/_apis/policy/evaluations/{evaluationId} | 
*EvaluationsApi* | [**list**](docs//EvaluationsApi.md#list) | **GET** /{organization}/{project}/_apis/policy/evaluations | 
*EvaluationsApi* | [**requeue Policy Evaluation**](docs//EvaluationsApi.md#requeue policy evaluation) | **PATCH** /{organization}/{project}/_apis/policy/evaluations/{evaluationId} | 
*EventTypesApi* | [**callGet**](docs//EventTypesApi.md#callget) | **GET** /{organization}/_apis/notification/eventtypes/{eventType} | 
*EventTypesApi* | [**list**](docs//EventTypesApi.md#list) | **GET** /{organization}/_apis/notification/eventtypes | 
*ExecutionhistoryApi* | [**list**](docs//ExecutionhistoryApi.md#list) | **GET** /{organization}/{project}/_apis/serviceendpoint/{endpointId}/executionhistory | 
*FeedManagementApi* | [**create Feed**](docs//FeedManagementApi.md#create feed) | **POST** /{organization}/{project}/_apis/packaging/feeds | 
*FeedManagementApi* | [**create Feed View**](docs//FeedManagementApi.md#create feed view) | **POST** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/views | 
*FeedManagementApi* | [**delete Feed**](docs//FeedManagementApi.md#delete feed) | **DELETE** /{organization}/{project}/_apis/packaging/feeds/{feedId} | 
*FeedManagementApi* | [**delete Feed View**](docs//FeedManagementApi.md#delete feed view) | **DELETE** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/views/{viewId} | 
*FeedManagementApi* | [**get Feed**](docs//FeedManagementApi.md#get feed) | **GET** /{organization}/{project}/_apis/packaging/feeds/{feedId} | 
*FeedManagementApi* | [**get Feed Permissions**](docs//FeedManagementApi.md#get feed permissions) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/permissions | 
*FeedManagementApi* | [**get Feed View**](docs//FeedManagementApi.md#get feed view) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/views/{viewId} | 
*FeedManagementApi* | [**get Feed Views**](docs//FeedManagementApi.md#get feed views) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/views | 
*FeedManagementApi* | [**get Feeds**](docs//FeedManagementApi.md#get feeds) | **GET** /{organization}/{project}/_apis/packaging/feeds | 
*FeedManagementApi* | [**set Feed Permissions**](docs//FeedManagementApi.md#set feed permissions) | **PATCH** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/permissions | 
*FeedManagementApi* | [**update Feed**](docs//FeedManagementApi.md#update feed) | **PATCH** /{organization}/{project}/_apis/packaging/feeds/{feedId} | 
*FeedManagementApi* | [**update Feed View**](docs//FeedManagementApi.md#update feed view) | **PATCH** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/views/{viewId} | 
*FieldsApi* | [**add**](docs//FieldsApi.md#add) | **POST** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/fields | 
*FieldsApi* | [**callGet**](docs//FieldsApi.md#callget) | **GET** /{organization}/{project}/_apis/wit/fields/{fieldNameOrRefName} | 
*FieldsApi* | [**callGet_0**](docs//FieldsApi.md#callget_0) | **GET** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/fields/{fieldRefName} | 
*FieldsApi* | [**create**](docs//FieldsApi.md#create) | **POST** /{organization}/{project}/_apis/wit/fields | 
*FieldsApi* | [**delete**](docs//FieldsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/wit/fields/{fieldNameOrRefName} | 
*FieldsApi* | [**list**](docs//FieldsApi.md#list) | **GET** /{organization}/{project}/_apis/wit/fields | 
*FieldsApi* | [**list_0**](docs//FieldsApi.md#list_0) | **GET** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/fields | 
*FieldsApi* | [**remove Work Item Type Field**](docs//FieldsApi.md#remove work item type field) | **DELETE** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/fields/{fieldRefName} | 
*FieldsApi* | [**update**](docs//FieldsApi.md#update) | **PATCH** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/fields/{fieldRefName} | 
*FoldersApi* | [**create**](docs//FoldersApi.md#create) | **PUT** /{organization}/{project}/_apis/build/folders | 
*FoldersApi* | [**create_0**](docs//FoldersApi.md#create_0) | **POST** /{organization}/{project}/_apis/release/folders/{path} | 
*FoldersApi* | [**delete**](docs//FoldersApi.md#delete) | **DELETE** /{organization}/{project}/_apis/build/folders | 
*FoldersApi* | [**delete_0**](docs//FoldersApi.md#delete_0) | **DELETE** /{organization}/{project}/_apis/release/folders/{path} | 
*FoldersApi* | [**list**](docs//FoldersApi.md#list) | **GET** /{organization}/{project}/_apis/build/folders/{path} | 
*FoldersApi* | [**list_0**](docs//FoldersApi.md#list_0) | **GET** /{organization}/{project}/_apis/release/folders/{path} | 
*FoldersApi* | [**update**](docs//FoldersApi.md#update) | **POST** /{organization}/{project}/_apis/build/folders | 
*FoldersApi* | [**update_0**](docs//FoldersApi.md#update_0) | **PATCH** /{organization}/{project}/_apis/release/folders/{path} | 
*ForksApi* | [**create fork sync request**](docs//ForksApi.md#create fork sync request) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryNameOrId}/forkSyncRequests | 
*ForksApi* | [**get Fork Sync Requests**](docs//ForksApi.md#get fork sync requests) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryNameOrId}/forkSyncRequests | 
*ForksApi* | [**get fork sync request**](docs//ForksApi.md#get fork sync request) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryNameOrId}/forkSyncRequests/{forkSyncOperationId} | 
*ForksApi* | [**list**](docs//ForksApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryNameOrId}/forks/{collectionId} | 
*GatesApi* | [**update**](docs//GatesApi.md#update) | **PATCH** /{organization}/{project}/_apis/release/gates/{gateStepId} | 
*GroupEntitlementsApi* | [**add**](docs//GroupEntitlementsApi.md#add) | **POST** /{organization}/_apis/groupentitlements | 
*GroupEntitlementsApi* | [**callGet**](docs//GroupEntitlementsApi.md#callget) | **GET** /{organization}/_apis/groupentitlements/{groupId} | 
*GroupEntitlementsApi* | [**delete**](docs//GroupEntitlementsApi.md#delete) | **DELETE** /{organization}/_apis/groupentitlements/{groupId} | 
*GroupEntitlementsApi* | [**list**](docs//GroupEntitlementsApi.md#list) | **GET** /{organization}/_apis/groupentitlements | 
*GroupEntitlementsApi* | [**update**](docs//GroupEntitlementsApi.md#update) | **PATCH** /{organization}/_apis/groupentitlements/{groupId} | 
*GroupsApi* | [**add**](docs//GroupsApi.md#add) | **POST** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/layout/pages/{pageId}/sections/{sectionId}/groups | 
*GroupsApi* | [**callGet**](docs//GroupsApi.md#callget) | **GET** /{organization}/_apis/graph/groups/{groupDescriptor} | 
*GroupsApi* | [**create**](docs//GroupsApi.md#create) | **POST** /{organization}/_apis/graph/groups | 
*GroupsApi* | [**delete**](docs//GroupsApi.md#delete) | **DELETE** /{organization}/_apis/graph/groups/{groupDescriptor} | 
*GroupsApi* | [**list**](docs//GroupsApi.md#list) | **GET** /{organization}/_apis/graph/groups | 
*GroupsApi* | [**move Group To Section**](docs//GroupsApi.md#move group to section) | **PUT** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/layout/pages/{pageId}/sections/{sectionId}/groups/{groupId} | 
*GroupsApi* | [**remove Group**](docs//GroupsApi.md#remove group) | **DELETE** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/layout/pages/{pageId}/sections/{sectionId}/groups/{groupId} | 
*GroupsApi* | [**update**](docs//GroupsApi.md#update) | **PATCH** /{organization}/_apis/graph/groups/{groupDescriptor} | 
*GroupsApi* | [**update_0**](docs//GroupsApi.md#update_0) | **PATCH** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/layout/pages/{pageId}/sections/{sectionId}/groups/{groupId} | 
*ImportRequestsApi* | [**callGet**](docs//ImportRequestsApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/importRequests/{importRequestId} | 
*ImportRequestsApi* | [**create**](docs//ImportRequestsApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/importRequests | 
*ImportRequestsApi* | [**query**](docs//ImportRequestsApi.md#query) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/importRequests | 
*ImportRequestsApi* | [**update**](docs//ImportRequestsApi.md#update) | **PATCH** /{organization}/{project}/_apis/git/repositories/{repositoryId}/importRequests/{importRequestId} | 
*InstalledExtensionsApi* | [**callGet**](docs//InstalledExtensionsApi.md#callget) | **GET** /{organization}/_apis/extensionmanagement/installedextensionsbyname/{publisherName}/{extensionName} | 
*InstalledExtensionsApi* | [**install Extension By Name**](docs//InstalledExtensionsApi.md#install extension by name) | **POST** /{organization}/_apis/extensionmanagement/installedextensionsbyname/{publisherName}/{extensionName}/{version} | 
*InstalledExtensionsApi* | [**list**](docs//InstalledExtensionsApi.md#list) | **GET** /{organization}/_apis/extensionmanagement/installedextensions | 
*InstalledExtensionsApi* | [**uninstall Extension By Name**](docs//InstalledExtensionsApi.md#uninstall extension by name) | **DELETE** /{organization}/_apis/extensionmanagement/installedextensionsbyname/{publisherName}/{extensionName} | 
*InstalledExtensionsApi* | [**update**](docs//InstalledExtensionsApi.md#update) | **PATCH** /{organization}/_apis/extensionmanagement/installedextensions | 
*ItemsApi* | [**get Items Batch**](docs//ItemsApi.md#get items batch) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/itemsbatch | 
*ItemsApi* | [**get Items Batch_0**](docs//ItemsApi.md#get items batch_0) | **POST** /{organization}/{project}/_apis/tfvc/itembatch | 
*ItemsApi* | [**list**](docs//ItemsApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/items | 
*ItemsApi* | [**list_0**](docs//ItemsApi.md#list_0) | **GET** /{organization}/{project}/_apis/tfvc/items | 
*IterationsApi* | [**callGet**](docs//IterationsApi.md#callget) | **GET** /{organization}/{project}/_apis/test/Runs/{runId}/Results/{testCaseResultId}/iterations/{iterationId} | 
*IterationsApi* | [**callGet_0**](docs//IterationsApi.md#callget_0) | **GET** /{organization}/{project}/{team}/_apis/work/teamsettings/iterations/{id} | 
*IterationsApi* | [**delete**](docs//IterationsApi.md#delete) | **DELETE** /{organization}/{project}/{team}/_apis/work/teamsettings/iterations/{id} | 
*IterationsApi* | [**get Iteration Work Items**](docs//IterationsApi.md#get iteration work items) | **GET** /{organization}/{project}/{team}/_apis/work/teamsettings/iterations/{iterationId}/workitems | 
*IterationsApi* | [**list**](docs//IterationsApi.md#list) | **GET** /{organization}/{project}/_apis/test/Runs/{runId}/Results/{testCaseResultId}/iterations | 
*IterationsApi* | [**list_0**](docs//IterationsApi.md#list_0) | **GET** /{organization}/{project}/{team}/_apis/work/teamsettings/iterations | 
*IterationsApi* | [**post Team Iteration**](docs//IterationsApi.md#post team iteration) | **POST** /{organization}/{project}/{team}/_apis/work/teamsettings/iterations | 
*LabelsApi* | [**callGet**](docs//LabelsApi.md#callget) | **GET** /{organization}/{project}/_apis/tfvc/labels/{labelId} | 
*LabelsApi* | [**get Label Items**](docs//LabelsApi.md#get label items) | **GET** /{organization}/_apis/tfvc/labels/{labelId}/items | 
*LabelsApi* | [**list**](docs//LabelsApi.md#list) | **GET** /{organization}/{project}/_apis/tfvc/labels | 
*LatestApi* | [**callGet**](docs//LatestApi.md#callget) | **GET** /{organization}/{project}/_apis/build/latest/{definition} | 
*LayoutApi* | [**callGet**](docs//LayoutApi.md#callget) | **GET** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/layout | 
*ListsApi* | [**callGet**](docs//ListsApi.md#callget) | **GET** /{organization}/_apis/work/processes/lists/{listId} | 
*ListsApi* | [**create**](docs//ListsApi.md#create) | **POST** /{organization}/_apis/work/processes/lists | 
*ListsApi* | [**delete**](docs//ListsApi.md#delete) | **DELETE** /{organization}/_apis/work/processes/lists/{listId} | 
*ListsApi* | [**list**](docs//ListsApi.md#list) | **GET** /{organization}/_apis/work/processes/lists | 
*ListsApi* | [**update**](docs//ListsApi.md#update) | **PUT** /{organization}/_apis/work/processes/lists/{listId} | 
*ManualInterventionsApi* | [**callGet**](docs//ManualInterventionsApi.md#callget) | **GET** /{organization}/{project}/_apis/Release/releases/{releaseId}/manualinterventions/{manualInterventionId} | 
*ManualInterventionsApi* | [**list**](docs//ManualInterventionsApi.md#list) | **GET** /{organization}/{project}/_apis/Release/releases/{releaseId}/manualinterventions | 
*ManualInterventionsApi* | [**update**](docs//ManualInterventionsApi.md#update) | **PATCH** /{organization}/{project}/_apis/Release/releases/{releaseId}/manualinterventions/{manualInterventionId} | 
*MavenApi* | [**deletePackageVersion**](docs//MavenApi.md#deletepackageversion) | **DELETE** /{organization}/{project}/_apis/packaging/feeds/{feed}/maven/groups/{groupId}/artifacts/{artifactId}/versions/{version} | 
*MavenApi* | [**deletePackageVersionFromRecycleBin**](docs//MavenApi.md#deletepackageversionfromrecyclebin) | **DELETE** /{organization}/{project}/_apis/packaging/feeds/{feed}/maven/RecycleBin/groups/{groupId}/artifacts/{artifactId}/versions/{version} | 
*MavenApi* | [**downloadPackage**](docs//MavenApi.md#downloadpackage) | **GET** /{organization}/{project}/_apis/packaging/feeds/{feedId}/maven/{groupId}/{artifactId}/{version}/{fileName}/content | 
*MavenApi* | [**get Package Version**](docs//MavenApi.md#get package version) | **GET** /{organization}/{project}/_apis/packaging/feeds/{feed}/maven/groups/{groupId}/artifacts/{artifactId}/versions/{version} | 
*MavenApi* | [**getPackageVersionFromRecycleBin**](docs//MavenApi.md#getpackageversionfromrecyclebin) | **GET** /{organization}/{project}/_apis/packaging/feeds/{feed}/maven/RecycleBin/groups/{groupId}/artifacts/{artifactId}/versions/{version} | 
*MavenApi* | [**restore Package Version From Recycle Bin**](docs//MavenApi.md#restore package version from recycle bin) | **PATCH** /{organization}/{project}/_apis/packaging/feeds/{feed}/maven/RecycleBin/groups/{groupId}/artifacts/{artifactId}/versions/{version} | 
*MembersApi* | [**add**](docs//MembersApi.md#add) | **PUT** /{organization}/_apis/GroupEntitlements/{groupId}/members/{memberId} | 
*MembersApi* | [**callGet**](docs//MembersApi.md#callget) | **GET** /{organization}/_apis/GroupEntitlements/{groupId}/members | 
*MembersApi* | [**remove Member From Group**](docs//MembersApi.md#remove member from group) | **DELETE** /{organization}/_apis/GroupEntitlements/{groupId}/members/{memberId} | 
*MembershipStatesApi* | [**callGet**](docs//MembershipStatesApi.md#callget) | **GET** /{organization}/_apis/graph/membershipstates/{subjectDescriptor} | 
*MembershipsApi* | [**add**](docs//MembershipsApi.md#add) | **PUT** /{organization}/_apis/graph/memberships/{subjectDescriptor}/{containerDescriptor} | 
*MembershipsApi* | [**callGet**](docs//MembershipsApi.md#callget) | **GET** /{organization}/_apis/graph/memberships/{subjectDescriptor}/{containerDescriptor} | 
*MembershipsApi* | [**check Membership Existence**](docs//MembershipsApi.md#check membership existence) | **HEAD** /{organization}/_apis/graph/memberships/{subjectDescriptor}/{containerDescriptor} | 
*MembershipsApi* | [**list**](docs//MembershipsApi.md#list) | **GET** /{organization}/_apis/graph/Memberships/{subjectDescriptor} | 
*MembershipsApi* | [**remove Membership**](docs//MembershipsApi.md#remove membership) | **DELETE** /{organization}/_apis/graph/memberships/{subjectDescriptor}/{containerDescriptor} | 
*MergeBasesApi* | [**list**](docs//MergeBasesApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryNameOrId}/commits/{commitId}/mergebases | 
*MergesApi* | [**callGet**](docs//MergesApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryNameOrId}/merges/{mergeOperationId} | 
*MergesApi* | [**create**](docs//MergesApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryNameOrId}/merges | 
*MessagesApi* | [**list**](docs//MessagesApi.md#list) | **GET** /{organization}/_apis/clt/testRuns/{testRunId}/messages | 
*MetricsApi* | [**get Definition Metrics**](docs//MetricsApi.md#get definition metrics) | **GET** /{organization}/{project}/_apis/build/definitions/{definitionId}/metrics | 
*MetricsApi* | [**get Project Metrics**](docs//MetricsApi.md#get project metrics) | **GET** /{organization}/{project}/_apis/build/metrics/{metricAggregationType} | 
*NotificationsApi* | [**callGet**](docs//NotificationsApi.md#callget) | **GET** /{organization}/_apis/hooks/subscriptions/{subscriptionId}/notifications/{notificationId} | 
*NotificationsApi* | [**create**](docs//NotificationsApi.md#create) | **POST** /{organization}/_apis/hooks/testnotifications | 
*NotificationsApi* | [**list**](docs//NotificationsApi.md#list) | **GET** /{organization}/_apis/hooks/subscriptions/{subscriptionId}/notifications | 
*NotificationsApi* | [**query**](docs//NotificationsApi.md#query) | **POST** /{organization}/_apis/hooks/notificationsquery | 
*NpmApi* | [**delete Package Version From Recycle Bin**](docs//NpmApi.md#delete package version from recycle bin) | **DELETE** /{organization}/_apis/packaging/feeds/{feedId}/npm/RecycleBin/packages/{packageName}/versions/{packageVersion} | 
*NpmApi* | [**delete Scoped Package Version From Recycle Bin**](docs//NpmApi.md#delete scoped package version from recycle bin) | **DELETE** /{organization}/_apis/packaging/feeds/{feedId}/npm/RecycleBin/packages/@{packageScope}/{unscopedPackageName}/versions/{packageVersion} | 
*NpmApi* | [**downloadPackage**](docs//NpmApi.md#downloadpackage) | **GET** /{organization}/_apis/packaging/feeds/{feedId}/npm/packages/{packageName}/versions/{packageVersion}/content | 
*NpmApi* | [**downloadScopedPackage**](docs//NpmApi.md#downloadscopedpackage) | **GET** /{organization}/_apis/packaging/feeds/{feedId}/npm/packages/@{packageScope}/{unscopedPackageName}/versions/{packageVersion}/content | 
*NpmApi* | [**getPackageReadme**](docs//NpmApi.md#getpackagereadme) | **GET** /{organization}/_apis/packaging/feeds/{feedId}/npm/packages/{packageName}/versions/{packageVersion}/readme | 
*NpmApi* | [**getPackageVersion**](docs//NpmApi.md#getpackageversion) | **GET** /{organization}/_apis/packaging/feeds/{feedId}/npm/{packageName}/versions/{packageVersion} | 
*NpmApi* | [**getPackageVersionFromRecycleBin**](docs//NpmApi.md#getpackageversionfromrecyclebin) | **GET** /{organization}/_apis/packaging/feeds/{feedId}/npm/RecycleBin/packages/{packageName}/versions/{packageVersion} | 
*NpmApi* | [**getScopedPackageReadme**](docs//NpmApi.md#getscopedpackagereadme) | **GET** /{organization}/_apis/packaging/feeds/{feedId}/npm/packages/@{packageScope}/{unscopedPackageName}/versions/{packageVersion}/readme | 
*NpmApi* | [**getScopedPackageVersion**](docs//NpmApi.md#getscopedpackageversion) | **GET** /{organization}/_apis/packaging/feeds/{feedId}/npm/@{packageScope}/{unscopedPackageName}/versions/{packageVersion} | 
*NpmApi* | [**getScopedPackageVersionFromRecycleBin**](docs//NpmApi.md#getscopedpackageversionfromrecyclebin) | **GET** /{organization}/_apis/packaging/feeds/{feedId}/npm/RecycleBin/packages/@{packageScope}/{unscopedPackageName}/versions/{packageVersion} | 
*NpmApi* | [**restore Package Version From Recycle Bin**](docs//NpmApi.md#restore package version from recycle bin) | **PATCH** /{organization}/_apis/packaging/feeds/{feedId}/npm/RecycleBin/packages/{packageName}/versions/{packageVersion} | 
*NpmApi* | [**restore Scoped Package Version From Recycle Bin**](docs//NpmApi.md#restore scoped package version from recycle bin) | **PATCH** /{organization}/_apis/packaging/feeds/{feedId}/npm/RecycleBin/packages/@{packageScope}/{unscopedPackageName}/versions/{packageVersion} | 
*NpmApi* | [**unpublish Package**](docs//NpmApi.md#unpublish package) | **DELETE** /{organization}/_apis/packaging/feeds/{feedId}/npm/{packageName}/versions/{packageVersion} | 
*NpmApi* | [**unpublish Scoped Package**](docs//NpmApi.md#unpublish scoped package) | **DELETE** /{organization}/_apis/packaging/feeds/{feedId}/npm/@{packageScope}/{unscopedPackageName}/versions/{packageVersion} | 
*NpmApi* | [**update Package**](docs//NpmApi.md#update package) | **PATCH** /{organization}/_apis/packaging/feeds/{feedId}/npm/{packageName}/versions/{packageVersion} | 
*NpmApi* | [**update Packages**](docs//NpmApi.md#update packages) | **POST** /{organization}/_apis/packaging/feeds/{feedId}/npm/packagesbatch | 
*NpmApi* | [**update Scoped Package**](docs//NpmApi.md#update scoped package) | **PATCH** /{organization}/_apis/packaging/feeds/{feedId}/npm/@{packageScope}/{unscopedPackageName}/versions/{packageVersion} | 
*NuGetApi* | [**delete Package Version**](docs//NuGetApi.md#delete package version) | **DELETE** /{organization}/{project}/_apis/packaging/feeds/{feedId}/nuget/packages/{packageName}/versions/{packageVersion} | 
*NuGetApi* | [**delete Package Version From Recycle Bin**](docs//NuGetApi.md#delete package version from recycle bin) | **DELETE** /{organization}/{project}/_apis/packaging/feeds/{feedId}/nuget/RecycleBin/packages/{packageName}/versions/{packageVersion} | 
*NuGetApi* | [**download Package**](docs//NuGetApi.md#download package) | **GET** /{organization}/{project}/_apis/packaging/feeds/{feedId}/nuget/packages/{packageName}/versions/{packageVersion}/content | 
*NuGetApi* | [**get Package Version**](docs//NuGetApi.md#get package version) | **GET** /{organization}/{project}/_apis/packaging/feeds/{feedId}/nuget/packages/{packageName}/versions/{packageVersion} | 
*NuGetApi* | [**getPackageVersionFromRecycleBin**](docs//NuGetApi.md#getpackageversionfromrecyclebin) | **GET** /{organization}/{project}/_apis/packaging/feeds/{feedId}/nuget/RecycleBin/packages/{packageName}/versions/{packageVersion} | 
*NuGetApi* | [**restore Package Version From Recycle Bin**](docs//NuGetApi.md#restore package version from recycle bin) | **PATCH** /{organization}/{project}/_apis/packaging/feeds/{feedId}/nuget/RecycleBin/packages/{packageName}/versions/{packageVersion} | 
*NuGetApi* | [**update Package Version**](docs//NuGetApi.md#update package version) | **PATCH** /{organization}/{project}/_apis/packaging/feeds/{feedId}/nuget/packages/{packageName}/versions/{packageVersion} | 
*NuGetApi* | [**update Package Versions**](docs//NuGetApi.md#update package versions) | **POST** /{organization}/{project}/_apis/packaging/feeds/{feedId}/nuget/packagesbatch | 
*OperationsApi* | [**callGet**](docs//OperationsApi.md#callget) | **GET** /{organization}/_apis/operations/{operationId} | 
*OptionsApi* | [**list**](docs//OptionsApi.md#list) | **GET** /{organization}/{project}/_apis/build/options | 
*PackageSearchResultsApi* | [**fetch Package Search Results**](docs//PackageSearchResultsApi.md#fetch package search results) | **POST** /{organization}/_apis/search/packagesearchresults | 
*PageMovesApi* | [**create**](docs//PageMovesApi.md#create) | **POST** /{organization}/{project}/_apis/wiki/wikis/{wikiIdentifier}/pagemoves | 
*PagesApi* | [**add**](docs//PagesApi.md#add) | **POST** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/layout/pages | 
*PagesApi* | [**create Or Update**](docs//PagesApi.md#create or update) | **PUT** /{organization}/{project}/_apis/wiki/wikis/{wikiIdentifier}/pages | 
*PagesApi* | [**delete Page**](docs//PagesApi.md#delete page) | **DELETE** /{organization}/{project}/_apis/wiki/wikis/{wikiIdentifier}/pages | 
*PagesApi* | [**delete Page By Id**](docs//PagesApi.md#delete page by id) | **DELETE** /{organization}/{project}/_apis/wiki/wikis/{wikiIdentifier}/pages/{id} | 
*PagesApi* | [**get Page**](docs//PagesApi.md#get page) | **GET** /{organization}/{project}/_apis/wiki/wikis/{wikiIdentifier}/pages | 
*PagesApi* | [**get Page By Id**](docs//PagesApi.md#get page by id) | **GET** /{organization}/{project}/_apis/wiki/wikis/{wikiIdentifier}/pages/{id} | 
*PagesApi* | [**remove Page**](docs//PagesApi.md#remove page) | **DELETE** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/layout/pages/{pageId} | 
*PagesApi* | [**update**](docs//PagesApi.md#update) | **PATCH** /{organization}/{project}/_apis/wiki/wikis/{wikiIdentifier}/pages/{id} | 
*PagesApi* | [**update_0**](docs//PagesApi.md#update_0) | **PATCH** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/layout/pages | 
*ParameterResultsApi* | [**list**](docs//ParameterResultsApi.md#list) | **GET** /{organization}/{project}/_apis/test/Runs/{runId}/Results/{testCaseResultId}/Iterations/{iterationId}/parameterresults | 
*PermissionsApi* | [**has Permissions**](docs//PermissionsApi.md#has permissions) | **GET** /{organization}/_apis/permissions/{securityNamespaceId}/{permissions} | 
*PermissionsApi* | [**has Permissions Batch**](docs//PermissionsApi.md#has permissions batch) | **POST** /{organization}/_apis/security/permissionevaluationbatch | 
*PermissionsApi* | [**remove Permission**](docs//PermissionsApi.md#remove permission) | **DELETE** /{organization}/_apis/permissions/{securityNamespaceId}/{permissions} | 
*PersonalAccessTokensApi* | [**list**](docs//PersonalAccessTokensApi.md#list) | **GET** /{organization}/_apis/tokenadmin/personalaccesstokens/{subjectDescriptor} | 
*PlansApi* | [**callGet**](docs//PlansApi.md#callget) | **GET** /{organization}/{project}/_apis/work/plans/{id} | 
*PlansApi* | [**create**](docs//PlansApi.md#create) | **POST** /{organization}/{project}/_apis/work/plans | 
*PlansApi* | [**delete**](docs//PlansApi.md#delete) | **DELETE** /{organization}/{project}/_apis/work/plans/{id} | 
*PlansApi* | [**list**](docs//PlansApi.md#list) | **GET** /{organization}/{project}/_apis/work/plans | 
*PlansApi* | [**update**](docs//PlansApi.md#update) | **PUT** /{organization}/{project}/_apis/work/plans/{id} | 
*PluginsApi* | [**callGet**](docs//PluginsApi.md#callget) | **GET** /{organization}/_apis/clt/apm/plugins/{type} | 
*PluginsApi* | [**list**](docs//PluginsApi.md#list) | **GET** /{organization}/_apis/clt/apm/plugins | 
*PointsApi* | [**get Point**](docs//PointsApi.md#get point) | **GET** /{organization}/{project}/_apis/test/Plans/{planId}/Suites/{suiteId}/points/{pointIds} | 
*PointsApi* | [**get Points By Query**](docs//PointsApi.md#get points by query) | **POST** /{organization}/{project}/_apis/test/points | 
*PointsApi* | [**list**](docs//PointsApi.md#list) | **GET** /{organization}/{project}/_apis/test/Plans/{planId}/Suites/{suiteId}/points | 
*PointsApi* | [**update**](docs//PointsApi.md#update) | **PATCH** /{organization}/{project}/_apis/test/Plans/{planId}/Suites/{suiteId}/points/{pointIds} | 
*PolicyConfigurationsApi* | [**callGet**](docs//PolicyConfigurationsApi.md#callget) | **GET** /{organization}/{project}/_apis/git/policy/configurations | 
*PoolsApi* | [**add**](docs//PoolsApi.md#add) | **POST** /{organization}/_apis/distributedtask/pools | 
*PoolsApi* | [**callGet**](docs//PoolsApi.md#callget) | **GET** /{organization}/_apis/distributedtask/pools/{poolId} | 
*PoolsApi* | [**delete**](docs//PoolsApi.md#delete) | **DELETE** /{organization}/_apis/distributedtask/pools/{poolId} | 
*PoolsApi* | [**get Agent Pools By Ids**](docs//PoolsApi.md#get agent pools by ids) | **GET** /{organization}/_apis/distributedtask/pools | 
*PoolsApi* | [**update**](docs//PoolsApi.md#update) | **PATCH** /{organization}/_apis/distributedtask/pools/{poolId} | 
*ProcessconfigurationApi* | [**callGet**](docs//ProcessconfigurationApi.md#callget) | **GET** /{organization}/{project}/_apis/work/processconfiguration | 
*ProcessesApi* | [**callGet**](docs//ProcessesApi.md#callget) | **GET** /{organization}/_apis/process/processes/{processId} | 
*ProcessesApi* | [**callGet_0**](docs//ProcessesApi.md#callget_0) | **GET** /{organization}/_apis/work/processes/{processTypeId} | 
*ProcessesApi* | [**create**](docs//ProcessesApi.md#create) | **POST** /{organization}/_apis/work/processes | 
*ProcessesApi* | [**delete**](docs//ProcessesApi.md#delete) | **DELETE** /{organization}/_apis/work/processes/{processTypeId} | 
*ProcessesApi* | [**edit Process**](docs//ProcessesApi.md#edit process) | **PATCH** /{organization}/_apis/work/processes/{processTypeId} | 
*ProcessesApi* | [**export Process Template**](docs//ProcessesApi.md#export process template) | **GET** /{organization}/_apis/work/processadmin/processes/export/{id} | 
*ProcessesApi* | [**import Process Template**](docs//ProcessesApi.md#import process template) | **POST** /{organization}/_apis/work/processadmin/processes/import | 
*ProcessesApi* | [**import Process Template Status**](docs//ProcessesApi.md#import process template status) | **GET** /{organization}/_apis/work/processadmin/processes/status/{id} | 
*ProcessesApi* | [**list**](docs//ProcessesApi.md#list) | **GET** /{organization}/_apis/process/processes | 
*ProcessesApi* | [**list_0**](docs//ProcessesApi.md#list_0) | **GET** /{organization}/_apis/work/processes | 
*ProfilesApi* | [**callGet**](docs//ProfilesApi.md#callget) | **GET** /_apis/profile/profiles/{id} | 
*ProjectsApi* | [**callGet**](docs//ProjectsApi.md#callget) | **GET** /{organization}/_apis/projects/{projectId} | 
*ProjectsApi* | [**create**](docs//ProjectsApi.md#create) | **POST** /{organization}/_apis/projects | 
*ProjectsApi* | [**delete**](docs//ProjectsApi.md#delete) | **DELETE** /{organization}/_apis/projects/{projectId} | 
*ProjectsApi* | [**get Project Properties**](docs//ProjectsApi.md#get project properties) | **GET** /{organization}/_apis/projects/{projectId}/properties | 
*ProjectsApi* | [**list**](docs//ProjectsApi.md#list) | **GET** /{organization}/_apis/projects | 
*ProjectsApi* | [**set Project Properties**](docs//ProjectsApi.md#set project properties) | **PATCH** /{organization}/_apis/projects/{projectId}/properties | 
*ProjectsApi* | [**update**](docs//ProjectsApi.md#update) | **PATCH** /{organization}/_apis/projects/{projectId} | 
*PropertiesApi* | [**get Build Properties**](docs//PropertiesApi.md#get build properties) | **GET** /{organization}/{project}/_apis/build/builds/{buildId}/properties | 
*PropertiesApi* | [**get Definition Properties**](docs//PropertiesApi.md#get definition properties) | **GET** /{organization}/{project}/_apis/build/definitions/{definitionId}/properties | 
*PropertiesApi* | [**update Build Properties**](docs//PropertiesApi.md#update build properties) | **PATCH** /{organization}/{project}/_apis/build/builds/{buildId}/properties | 
*PropertiesApi* | [**update Definition Properties**](docs//PropertiesApi.md#update definition properties) | **PATCH** /{organization}/{project}/_apis/build/definitions/{definitionId}/properties | 
*ProvenanceApi* | [**createSession**](docs//ProvenanceApi.md#createsession) | **POST** /{organization}/{project}/_apis/provenance/session/{protocol} | 
*ProviderInfoApi* | [**callGet**](docs//ProviderInfoApi.md#callget) | **GET** /{organization}/_apis/graph/Users/{userDescriptor}/providerinfo | 
*PublishersApi* | [**callGet**](docs//PublishersApi.md#callget) | **GET** /{organization}/_apis/hooks/publishers/{publisherId} | 
*PublishersApi* | [**get Event Type**](docs//PublishersApi.md#get event type) | **GET** /{organization}/_apis/hooks/publishers/{publisherId}/eventtypes/{eventTypeId} | 
*PublishersApi* | [**list**](docs//PublishersApi.md#list) | **GET** /{organization}/_apis/hooks/publishers | 
*PublishersApi* | [**list Event Types**](docs//PublishersApi.md#list event types) | **GET** /{organization}/_apis/hooks/publishers/{publisherId}/eventtypes | 
*PublishersApi* | [**query Input Values**](docs//PublishersApi.md#query input values) | **POST** /{organization}/_apis/hooks/publishers/{publisherId}/inputValuesQuery | 
*PublishersApi* | [**query Publishers**](docs//PublishersApi.md#query publishers) | **POST** /{organization}/_apis/hooks/publishersquery | 
*PullRequestAttachmentsApi* | [**callGet**](docs//PullRequestAttachmentsApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/attachments/{fileName} | 
*PullRequestAttachmentsApi* | [**create**](docs//PullRequestAttachmentsApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/attachments/{fileName} | 
*PullRequestAttachmentsApi* | [**delete**](docs//PullRequestAttachmentsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/attachments/{fileName} | 
*PullRequestAttachmentsApi* | [**list**](docs//PullRequestAttachmentsApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/attachments | 
*PullRequestCommentLikesApi* | [**create**](docs//PullRequestCommentLikesApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads/{threadId}/comments/{commentId}/likes | 
*PullRequestCommentLikesApi* | [**delete**](docs//PullRequestCommentLikesApi.md#delete) | **DELETE** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads/{threadId}/comments/{commentId}/likes | 
*PullRequestCommentLikesApi* | [**list**](docs//PullRequestCommentLikesApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads/{threadId}/comments/{commentId}/likes | 
*PullRequestCommitsApi* | [**get Pull Request Commits**](docs//PullRequestCommitsApi.md#get pull request commits) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/commits | 
*PullRequestCommitsApi* | [**get Pull Request Iteration Commits**](docs//PullRequestCommitsApi.md#get pull request iteration commits) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/iterations/{iterationId}/commits | 
*PullRequestIterationChangesApi* | [**callGet**](docs//PullRequestIterationChangesApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/iterations/{iterationId}/changes | 
*PullRequestIterationStatusesApi* | [**callGet**](docs//PullRequestIterationStatusesApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/iterations/{iterationId}/statuses/{statusId} | 
*PullRequestIterationStatusesApi* | [**create**](docs//PullRequestIterationStatusesApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/iterations/{iterationId}/statuses | 
*PullRequestIterationStatusesApi* | [**delete**](docs//PullRequestIterationStatusesApi.md#delete) | **DELETE** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/iterations/{iterationId}/statuses/{statusId} | 
*PullRequestIterationStatusesApi* | [**list**](docs//PullRequestIterationStatusesApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/iterations/{iterationId}/statuses | 
*PullRequestIterationStatusesApi* | [**update**](docs//PullRequestIterationStatusesApi.md#update) | **PATCH** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/iterations/{iterationId}/statuses | 
*PullRequestIterationsApi* | [**callGet**](docs//PullRequestIterationsApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/iterations/{iterationId} | 
*PullRequestIterationsApi* | [**list**](docs//PullRequestIterationsApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/iterations | 
*PullRequestLabelsApi* | [**callGet**](docs//PullRequestLabelsApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/labels/{labelIdOrName} | 
*PullRequestLabelsApi* | [**create**](docs//PullRequestLabelsApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/labels | 
*PullRequestLabelsApi* | [**delete**](docs//PullRequestLabelsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/labels/{labelIdOrName} | 
*PullRequestLabelsApi* | [**list**](docs//PullRequestLabelsApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/labels | 
*PullRequestPropertiesApi* | [**list**](docs//PullRequestPropertiesApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/properties | 
*PullRequestPropertiesApi* | [**update**](docs//PullRequestPropertiesApi.md#update) | **PATCH** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/properties | 
*PullRequestQueryApi* | [**callGet**](docs//PullRequestQueryApi.md#callget) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullrequestquery | 
*PullRequestReviewersApi* | [**callGet**](docs//PullRequestReviewersApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/reviewers/{reviewerId} | 
*PullRequestReviewersApi* | [**create Pull Request Reviewer**](docs//PullRequestReviewersApi.md#create pull request reviewer) | **PUT** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/reviewers/{reviewerId} | 
*PullRequestReviewersApi* | [**create Pull Request Reviewers**](docs//PullRequestReviewersApi.md#create pull request reviewers) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/reviewers | 
*PullRequestReviewersApi* | [**delete**](docs//PullRequestReviewersApi.md#delete) | **DELETE** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/reviewers/{reviewerId} | 
*PullRequestReviewersApi* | [**list**](docs//PullRequestReviewersApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/reviewers | 
*PullRequestReviewersApi* | [**update**](docs//PullRequestReviewersApi.md#update) | **PATCH** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/reviewers | 
*PullRequestShareApi* | [**share Pull Request**](docs//PullRequestShareApi.md#share pull request) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/share | 
*PullRequestStatusesApi* | [**callGet**](docs//PullRequestStatusesApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/statuses/{statusId} | 
*PullRequestStatusesApi* | [**create**](docs//PullRequestStatusesApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/statuses | 
*PullRequestStatusesApi* | [**delete**](docs//PullRequestStatusesApi.md#delete) | **DELETE** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/statuses/{statusId} | 
*PullRequestStatusesApi* | [**list**](docs//PullRequestStatusesApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/statuses | 
*PullRequestStatusesApi* | [**update**](docs//PullRequestStatusesApi.md#update) | **PATCH** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/statuses | 
*PullRequestThreadCommentsApi* | [**callGet**](docs//PullRequestThreadCommentsApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads/{threadId}/comments/{commentId} | 
*PullRequestThreadCommentsApi* | [**create**](docs//PullRequestThreadCommentsApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads/{threadId}/comments | 
*PullRequestThreadCommentsApi* | [**delete**](docs//PullRequestThreadCommentsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads/{threadId}/comments/{commentId} | 
*PullRequestThreadCommentsApi* | [**list**](docs//PullRequestThreadCommentsApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads/{threadId}/comments | 
*PullRequestThreadCommentsApi* | [**update**](docs//PullRequestThreadCommentsApi.md#update) | **PATCH** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads/{threadId}/comments/{commentId} | 
*PullRequestThreadsApi* | [**callGet**](docs//PullRequestThreadsApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads/{threadId} | 
*PullRequestThreadsApi* | [**create**](docs//PullRequestThreadsApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads | 
*PullRequestThreadsApi* | [**list**](docs//PullRequestThreadsApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads | 
*PullRequestThreadsApi* | [**update**](docs//PullRequestThreadsApi.md#update) | **PATCH** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/threads/{threadId} | 
*PullRequestWorkItemsApi* | [**list**](docs//PullRequestWorkItemsApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/workitems | 
*PullRequestsApi* | [**create**](docs//PullRequestsApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullrequests | 
*PullRequestsApi* | [**get Pull Request**](docs//PullRequestsApi.md#get pull request) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullrequests/{pullRequestId} | 
*PullRequestsApi* | [**get Pull Request By Id**](docs//PullRequestsApi.md#get pull request by id) | **GET** /{organization}/{project}/_apis/git/pullrequests/{pullRequestId} | 
*PullRequestsApi* | [**get Pull Requests**](docs//PullRequestsApi.md#get pull requests) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullrequests | 
*PullRequestsApi* | [**get Pull Requests By Project**](docs//PullRequestsApi.md#get pull requests by project) | **GET** /{organization}/{project}/_apis/git/pullrequests | 
*PullRequestsApi* | [**update**](docs//PullRequestsApi.md#update) | **PATCH** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pullrequests/{pullRequestId} | 
*PushesApi* | [**callGet**](docs//PushesApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pushes/{pushId} | 
*PushesApi* | [**create**](docs//PushesApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pushes | 
*PushesApi* | [**list**](docs//PushesApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/pushes | 
*PythonApi* | [**delete Package Version**](docs//PythonApi.md#delete package version) | **DELETE** /{organization}/{project}/_apis/packaging/feeds/{feedId}/pypi/packages/{packageName}/versions/{packageVersion} | 
*PythonApi* | [**delete Package Version From Recycle Bin**](docs//PythonApi.md#delete package version from recycle bin) | **DELETE** /{organization}/{project}/_apis/packaging/feeds/{feedId}/pypi/RecycleBin/packages/{packageName}/versions/{packageVersion} | 
*PythonApi* | [**download Package**](docs//PythonApi.md#download package) | **GET** /{organization}/{project}/_apis/packaging/feeds/{feedId}/pypi/packages/{packageName}/versions/{packageVersion}/{fileName}/content | 
*PythonApi* | [**get Package Version**](docs//PythonApi.md#get package version) | **GET** /{organization}/{project}/_apis/packaging/feeds/{feedId}/pypi/packages/{packageName}/versions/{packageVersion} | 
*PythonApi* | [**getPackageVersionFromRecycleBin**](docs//PythonApi.md#getpackageversionfromrecyclebin) | **GET** /{organization}/{project}/_apis/packaging/feeds/{feedId}/pypi/RecycleBin/packages/{packageName}/versions/{packageVersion} | 
*PythonApi* | [**restore Package Version From Recycle Bin**](docs//PythonApi.md#restore package version from recycle bin) | **PATCH** /{organization}/{project}/_apis/packaging/feeds/{feedId}/pypi/RecycleBin/packages/{packageName}/versions/{packageVersion} | 
*PythonApi* | [**update Package Version**](docs//PythonApi.md#update package version) | **PATCH** /{organization}/{project}/_apis/packaging/feeds/{feedId}/pypi/packages/{packageName}/versions/{packageVersion} | 
*QueriesApi* | [**callGet**](docs//QueriesApi.md#callget) | **GET** /{organization}/{project}/_apis/wit/queries/{query} | 
*QueriesApi* | [**create**](docs//QueriesApi.md#create) | **POST** /{organization}/{project}/_apis/wit/queries/{query} | 
*QueriesApi* | [**delete**](docs//QueriesApi.md#delete) | **DELETE** /{organization}/{project}/_apis/wit/queries/{query} | 
*QueriesApi* | [**get Queries Batch**](docs//QueriesApi.md#get queries batch) | **POST** /{organization}/{project}/_apis/wit/queriesbatch | 
*QueriesApi* | [**list**](docs//QueriesApi.md#list) | **GET** /{organization}/{project}/_apis/wit/queries | 
*QueriesApi* | [**update**](docs//QueriesApi.md#update) | **PATCH** /{organization}/{project}/_apis/wit/queries/{query} | 
*QueuesApi* | [**add**](docs//QueuesApi.md#add) | **POST** /{organization}/{project}/_apis/distributedtask/queues | 
*QueuesApi* | [**callGet**](docs//QueuesApi.md#callget) | **GET** /{organization}/{project}/_apis/distributedtask/queues/{queueId} | 
*QueuesApi* | [**delete**](docs//QueuesApi.md#delete) | **DELETE** /{organization}/{project}/_apis/distributedtask/queues/{queueId} | 
*QueuesApi* | [**get Agent Queues By Names**](docs//QueuesApi.md#get agent queues by names) | **GET** /{organization}/{project}/_apis/distributedtask/queues | 
*RecycleBinApi* | [**get Recycle Bin Package**](docs//RecycleBinApi.md#get recycle bin package) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/RecycleBin/Packages/{packageId} | 
*RecycleBinApi* | [**get Recycle Bin Package Version**](docs//RecycleBinApi.md#get recycle bin package version) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/RecycleBin/Packages/{packageId}/Versions/{packageVersionId} | 
*RecycleBinApi* | [**get Recycle Bin Package Versions**](docs//RecycleBinApi.md#get recycle bin package versions) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/RecycleBin/Packages/{packageId}/Versions | 
*RecycleBinApi* | [**get Recycle Bin Packages**](docs//RecycleBinApi.md#get recycle bin packages) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/RecycleBin/Packages | 
*RecyclebinApi* | [**callGet**](docs//RecyclebinApi.md#callget) | **GET** /{organization}/{project}/_apis/wit/recyclebin/{id} | 
*RecyclebinApi* | [**destroy Work Item**](docs//RecyclebinApi.md#destroy work item) | **DELETE** /{organization}/{project}/_apis/wit/recyclebin/{id} | 
*RecyclebinApi* | [**get Deleted Work Item Shallow References**](docs//RecyclebinApi.md#get deleted work item shallow references) | **GET** /{organization}/{project}/_apis/wit/recyclebin | 
*RecyclebinApi* | [**restore Work Item**](docs//RecyclebinApi.md#restore work item) | **PATCH** /{organization}/{project}/_apis/wit/recyclebin/{id} | 
*RefsApi* | [**list**](docs//RefsApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/refs | 
*RefsApi* | [**update Ref**](docs//RefsApi.md#update ref) | **PATCH** /{organization}/{project}/_apis/git/repositories/{repositoryId}/refs | 
*RefsApi* | [**update Refs**](docs//RefsApi.md#update refs) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/refs | 
*RefsFavoritesApi* | [**callGet**](docs//RefsFavoritesApi.md#callget) | **GET** /{organization}/{project}/_apis/git/favorites/refs/{favoriteId} | 
*RefsFavoritesApi* | [**create**](docs//RefsFavoritesApi.md#create) | **POST** /{organization}/{project}/_apis/git/favorites/refs | 
*RefsFavoritesApi* | [**delete**](docs//RefsFavoritesApi.md#delete) | **DELETE** /{organization}/{project}/_apis/git/favorites/refs/{favoriteId} | 
*RefsFavoritesApi* | [**list**](docs//RefsFavoritesApi.md#list) | **GET** /{organization}/{project}/_apis/git/favorites/refs | 
*ReleasesApi* | [**create**](docs//ReleasesApi.md#create) | **POST** /{organization}/{project}/_apis/release/releases | 
*ReleasesApi* | [**get Logs**](docs//ReleasesApi.md#get logs) | **GET** /{organization}/{project}/_apis/release/releases/{releaseId}/logs | 
*ReleasesApi* | [**get Release Environment**](docs//ReleasesApi.md#get release environment) | **GET** /{organization}/{project}/_apis/Release/releases/{releaseId}/environments/{environmentId} | 
*ReleasesApi* | [**get Release Revision**](docs//ReleasesApi.md#get release revision) | **GET** /{organization}/{project}/_apis/release/releases/{releaseId} | 
*ReleasesApi* | [**get Task Log**](docs//ReleasesApi.md#get task log) | **GET** /{organization}/{project}/_apis/release/releases/{releaseId}/environments/{environmentId}/deployPhases/{releaseDeployPhaseId}/tasks/{taskId}/logs | 
*ReleasesApi* | [**list**](docs//ReleasesApi.md#list) | **GET** /{organization}/{project}/_apis/release/releases | 
*ReleasesApi* | [**update Release**](docs//ReleasesApi.md#update release) | **PUT** /{organization}/{project}/_apis/release/releases/{releaseId} | 
*ReleasesApi* | [**update Release Environment**](docs//ReleasesApi.md#update release environment) | **PATCH** /{organization}/{project}/_apis/Release/releases/{releaseId}/environments/{environmentId} | 
*ReleasesApi* | [**update Release Resource**](docs//ReleasesApi.md#update release resource) | **PATCH** /{organization}/{project}/_apis/release/releases/{releaseId} | 
*ReportApi* | [**callGet**](docs//ReportApi.md#callget) | **GET** /{organization}/{project}/_apis/build/builds/{buildId}/report | 
*ReportingWorkItemLinksApi* | [**callGet**](docs//ReportingWorkItemLinksApi.md#callget) | **GET** /{organization}/{project}/_apis/wit/reporting/workitemlinks | 
*ReportingWorkItemRevisionsApi* | [**read Reporting Revisions Get**](docs//ReportingWorkItemRevisionsApi.md#read reporting revisions get) | **GET** /{organization}/{project}/_apis/wit/reporting/workitemrevisions | 
*ReportingWorkItemRevisionsApi* | [**read Reporting Revisions Post**](docs//ReportingWorkItemRevisionsApi.md#read reporting revisions post) | **POST** /{organization}/{project}/_apis/wit/reporting/workitemrevisions | 
*RepositoriesApi* | [**create**](docs//RepositoriesApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories | 
*RepositoriesApi* | [**delete**](docs//RepositoriesApi.md#delete) | **DELETE** /{organization}/{project}/_apis/git/repositories/{repositoryId} | 
*RepositoriesApi* | [**delete Repository From Recycle Bin**](docs//RepositoriesApi.md#delete repository from recycle bin) | **DELETE** /{organization}/{project}/_apis/git/recycleBin/repositories/{repositoryId} | 
*RepositoriesApi* | [**get Deleted Repositories**](docs//RepositoriesApi.md#get deleted repositories) | **GET** /{organization}/{project}/_apis/git/deletedrepositories | 
*RepositoriesApi* | [**get Recycle Bin Repositories**](docs//RepositoriesApi.md#get recycle bin repositories) | **GET** /{organization}/{project}/_apis/git/recycleBin/repositories | 
*RepositoriesApi* | [**get Repository**](docs//RepositoriesApi.md#get repository) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId} | 
*RepositoriesApi* | [**list**](docs//RepositoriesApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories | 
*RepositoriesApi* | [**restore Repository From Recycle Bin**](docs//RepositoriesApi.md#restore repository from recycle bin) | **PATCH** /{organization}/{project}/_apis/git/recycleBin/repositories/{repositoryId} | 
*RepositoriesApi* | [**update**](docs//RepositoriesApi.md#update) | **PATCH** /{organization}/{project}/_apis/git/repositories/{repositoryId} | 
*RequestAccessApi* | [**request Access**](docs//RequestAccessApi.md#request access) | **POST** /{organization}/_apis/graph/requestaccess | 
*RequestsApi* | [**create Requests**](docs//RequestsApi.md#create requests) | **POST** /{organization}/_apis/symbol/requests | 
*RequestsApi* | [**create Requests Request Id Debug Entries**](docs//RequestsApi.md#create requests request id debug entries) | **POST** /{organization}/_apis/symbol/requests/{requestId} | 
*RequestsApi* | [**delete Requests Request Id**](docs//RequestsApi.md#delete requests request id) | **DELETE** /{organization}/_apis/symbol/requests/{requestId} | 
*RequestsApi* | [**delete Requests Request Name**](docs//RequestsApi.md#delete requests request name) | **DELETE** /{organization}/_apis/symbol/requests | 
*RequestsApi* | [**get Requests Request Id**](docs//RequestsApi.md#get requests request id) | **GET** /{organization}/_apis/symbol/requests/{requestId} | 
*RequestsApi* | [**get Requests Request Name**](docs//RequestsApi.md#get requests request name) | **GET** /{organization}/_apis/symbol/requests | 
*RequestsApi* | [**list**](docs//RequestsApi.md#list) | **GET** /{organization}/_apis/distributedtask/agentclouds/{agentCloudId}/requests | 
*RequestsApi* | [**update Requests Request Id**](docs//RequestsApi.md#update requests request id) | **PATCH** /{organization}/_apis/symbol/requests/{requestId} | 
*RequestsApi* | [**update Requests Request Name**](docs//RequestsApi.md#update requests request name) | **PATCH** /{organization}/_apis/symbol/requests | 
*ResourceUsageApi* | [**callGet**](docs//ResourceUsageApi.md#callget) | **GET** /{organization}/_apis/build/resourceusage | 
*ResourcesApi* | [**authorize Definition Resources**](docs//ResourcesApi.md#authorize definition resources) | **PATCH** /{organization}/{project}/_apis/build/definitions/{definitionId}/resources | 
*ResourcesApi* | [**list**](docs//ResourcesApi.md#list) | **GET** /{organization}/{project}/_apis/build/definitions/{definitionId}/resources | 
*ResultRetentionSettingsApi* | [**callGet**](docs//ResultRetentionSettingsApi.md#callget) | **GET** /{organization}/{project}/_apis/test/resultretentionsettings | 
*ResultRetentionSettingsApi* | [**update**](docs//ResultRetentionSettingsApi.md#update) | **PATCH** /{organization}/{project}/_apis/test/resultretentionsettings | 
*ResultsApi* | [**add**](docs//ResultsApi.md#add) | **POST** /{organization}/{project}/_apis/test/Runs/{runId}/results | 
*ResultsApi* | [**callGet**](docs//ResultsApi.md#callget) | **GET** /{organization}/_apis/clt/testRuns/{testRunId}/results | 
*ResultsApi* | [**callGet_0**](docs//ResultsApi.md#callget_0) | **GET** /{organization}/{project}/_apis/test/Runs/{runId}/results/{testCaseResultId} | 
*ResultsApi* | [**list**](docs//ResultsApi.md#list) | **GET** /{organization}/{project}/_apis/test/Runs/{runId}/results | 
*ResultsApi* | [**update**](docs//ResultsApi.md#update) | **PATCH** /{organization}/{project}/_apis/test/Runs/{runId}/results | 
*RetentionPoliciesApi* | [**delete Retention Policy**](docs//RetentionPoliciesApi.md#delete retention policy) | **DELETE** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/retentionpolicies | 
*RetentionPoliciesApi* | [**get Retention Policy**](docs//RetentionPoliciesApi.md#get retention policy) | **GET** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/retentionpolicies | 
*RetentionPoliciesApi* | [**set Retention Policy**](docs//RetentionPoliciesApi.md#set retention policy) | **PUT** /{organization}/{project}/_apis/packaging/Feeds/{feedId}/retentionpolicies | 
*RevertsApi* | [**create**](docs//RevertsApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/reverts | 
*RevertsApi* | [**get Revert**](docs//RevertsApi.md#get revert) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/reverts/{revertId} | 
*RevertsApi* | [**get Revert For Ref Name**](docs//RevertsApi.md#get revert for ref name) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/reverts | 
*RevisionsApi* | [**callGet**](docs//RevisionsApi.md#callget) | **GET** /{organization}/{project}/_apis/policy/configurations/{configurationId}/revisions/{revisionId} | 
*RevisionsApi* | [**callGet_0**](docs//RevisionsApi.md#callget_0) | **GET** /{organization}/{project}/_apis/wit/workItems/{id}/revisions/{revisionNumber} | 
*RevisionsApi* | [**list**](docs//RevisionsApi.md#list) | **GET** /{organization}/{project}/_apis/policy/configurations/{configurationId}/revisions | 
*RevisionsApi* | [**list_0**](docs//RevisionsApi.md#list_0) | **GET** /{organization}/{project}/_apis/wit/workItems/{id}/revisions | 
*RevocationRulesApi* | [**create**](docs//RevocationRulesApi.md#create) | **POST** /{organization}/_apis/tokenadmin/revocationrules | 
*RevocationsApi* | [**revoke Authorizations**](docs//RevocationsApi.md#revoke authorizations) | **POST** /{organization}/_apis/tokenadmin/revocations | 
*RowsApi* | [**list**](docs//RowsApi.md#list) | **GET** /{organization}/{project}/{team}/_apis/work/boards/{board}/rows | 
*RowsApi* | [**update**](docs//RowsApi.md#update) | **PUT** /{organization}/{project}/{team}/_apis/work/boards/{board}/rows | 
*RulesApi* | [**add**](docs//RulesApi.md#add) | **POST** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/rules | 
*RulesApi* | [**callGet**](docs//RulesApi.md#callget) | **GET** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/rules/{ruleId} | 
*RulesApi* | [**delete**](docs//RulesApi.md#delete) | **DELETE** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/rules/{ruleId} | 
*RulesApi* | [**list**](docs//RulesApi.md#list) | **GET** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/rules | 
*RulesApi* | [**update**](docs//RulesApi.md#update) | **PUT** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/rules/{ruleId} | 
*RunsApi* | [**create**](docs//RunsApi.md#create) | **POST** /{organization}/{project}/_apis/test/runs | 
*RunsApi* | [**delete**](docs//RunsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/test/runs/{runId} | 
*RunsApi* | [**get Test Run By Id**](docs//RunsApi.md#get test run by id) | **GET** /{organization}/{project}/_apis/test/runs/{runId} | 
*RunsApi* | [**get Test Run Statistics**](docs//RunsApi.md#get test run statistics) | **GET** /{organization}/{project}/_apis/test/runs/{runId}/Statistics | 
*RunsApi* | [**list**](docs//RunsApi.md#list) | **GET** /{organization}/{project}/_apis/test/runs | 
*RunsApi* | [**update**](docs//RunsApi.md#update) | **PATCH** /{organization}/{project}/_apis/test/runs/{runId} | 
*SecurityNamespacesApi* | [**query**](docs//SecurityNamespacesApi.md#query) | **GET** /{organization}/_apis/securitynamespaces/{securityNamespaceId} | 
*ServiceSettingsApi* | [**getGlobalPermissions**](docs//ServiceSettingsApi.md#getglobalpermissions) | **GET** /{organization}/_apis/packaging/globalpermissions | 
*ServiceSettingsApi* | [**setGlobalPermissions**](docs//ServiceSettingsApi.md#setglobalpermissions) | **PATCH** /{organization}/_apis/packaging/globalpermissions | 
*SessionApi* | [**create**](docs//SessionApi.md#create) | **POST** /{organization}/{project}/{team}/_apis/test/session | 
*SessionApi* | [**list**](docs//SessionApi.md#list) | **GET** /{organization}/{project}/{team}/_apis/test/session | 
*SessionApi* | [**update**](docs//SessionApi.md#update) | **PATCH** /{organization}/{project}/{team}/_apis/test/session | 
*SettingsApi* | [**callGet**](docs//SettingsApi.md#callget) | **GET** /{organization}/{project}/_apis/build/settings | 
*SettingsApi* | [**callGet_0**](docs//SettingsApi.md#callget_0) | **GET** /{organization}/_apis/notification/settings | 
*SettingsApi* | [**update**](docs//SettingsApi.md#update) | **PATCH** /{organization}/{project}/_apis/build/settings | 
*SettingsApi* | [**update_0**](docs//SettingsApi.md#update_0) | **PATCH** /{organization}/_apis/notification/settings | 
*ShelvesetsApi* | [**callGet**](docs//ShelvesetsApi.md#callget) | **GET** /{organization}/_apis/tfvc/shelvesets | 
*ShelvesetsApi* | [**get Shelveset Changes**](docs//ShelvesetsApi.md#get shelveset changes) | **GET** /{organization}/_apis/tfvc/shelvesets/changes | 
*ShelvesetsApi* | [**get Shelveset Work Items**](docs//ShelvesetsApi.md#get shelveset work items) | **GET** /{organization}/_apis/tfvc/shelvesets/workitems | 
*SourceProvidersApi* | [**get File Contents**](docs//SourceProvidersApi.md#get file contents) | **GET** /{organization}/{project}/_apis/sourceProviders/{providerName}/filecontents | 
*SourceProvidersApi* | [**get Path Contents**](docs//SourceProvidersApi.md#get path contents) | **GET** /{organization}/{project}/_apis/sourceProviders/{providerName}/pathcontents | 
*SourceProvidersApi* | [**get Pull Request**](docs//SourceProvidersApi.md#get pull request) | **GET** /{organization}/{project}/_apis/sourceProviders/{providerName}/pullrequests/{pullRequestId} | 
*SourceProvidersApi* | [**list**](docs//SourceProvidersApi.md#list) | **GET** /{organization}/{project}/_apis/sourceproviders | 
*SourceProvidersApi* | [**list Branches**](docs//SourceProvidersApi.md#list branches) | **GET** /{organization}/{project}/_apis/sourceProviders/{providerName}/branches | 
*SourceProvidersApi* | [**list Repositories**](docs//SourceProvidersApi.md#list repositories) | **GET** /{organization}/{project}/_apis/sourceProviders/{providerName}/repositories | 
*SourceProvidersApi* | [**list Webhooks**](docs//SourceProvidersApi.md#list webhooks) | **GET** /{organization}/{project}/_apis/sourceProviders/{providerName}/webhooks | 
*SourceProvidersApi* | [**restore Webhooks**](docs//SourceProvidersApi.md#restore webhooks) | **POST** /{organization}/{project}/_apis/sourceProviders/{providerName}/webhooks | 
*StatesApi* | [**callGet**](docs//StatesApi.md#callget) | **GET** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/states/{stateId} | 
*StatesApi* | [**create**](docs//StatesApi.md#create) | **POST** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/states | 
*StatesApi* | [**delete**](docs//StatesApi.md#delete) | **DELETE** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/states/{stateId} | 
*StatesApi* | [**hide State Definition**](docs//StatesApi.md#hide state definition) | **PUT** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/states/{stateId} | 
*StatesApi* | [**list**](docs//StatesApi.md#list) | **GET** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/states | 
*StatesApi* | [**update**](docs//StatesApi.md#update) | **PATCH** /{organization}/_apis/work/processes/{processId}/workItemTypes/{witRefName}/states/{stateId} | 
*StatsApi* | [**list**](docs//StatsApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/stats/branches | 
*StatusApi* | [**callGet**](docs//StatusApi.md#callget) | **GET** /{organization}/{project}/_apis/build/status/{definition} | 
*StatusesApi* | [**create**](docs//StatusesApi.md#create) | **POST** /{organization}/{project}/_apis/git/repositories/{repositoryId}/commits/{commitId}/statuses | 
*StatusesApi* | [**list**](docs//StatusesApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/commits/{commitId}/statuses | 
*StorageKeysApi* | [**callGet**](docs//StorageKeysApi.md#callget) | **GET** /{organization}/_apis/graph/storagekeys/{subjectDescriptor} | 
*SubjectLookupApi* | [**lookup Subjects**](docs//SubjectLookupApi.md#lookup subjects) | **POST** /{organization}/_apis/graph/subjectlookup | 
*SubscribersApi* | [**callGet**](docs//SubscribersApi.md#callget) | **GET** /{organization}/_apis/notification/subscribers/{subscriberId} | 
*SubscribersApi* | [**update**](docs//SubscribersApi.md#update) | **PATCH** /{organization}/_apis/notification/subscribers/{subscriberId} | 
*SubscriptionsApi* | [**callGet**](docs//SubscriptionsApi.md#callget) | **GET** /{organization}/_apis/notification/subscriptions/{subscriptionId} | 
*SubscriptionsApi* | [**callGet_0**](docs//SubscriptionsApi.md#callget_0) | **GET** /{organization}/_apis/hooks/subscriptions/{subscriptionId} | 
*SubscriptionsApi* | [**create**](docs//SubscriptionsApi.md#create) | **POST** /{organization}/_apis/notification/subscriptions | 
*SubscriptionsApi* | [**create Subscriptions Query**](docs//SubscriptionsApi.md#create subscriptions query) | **POST** /{organization}/_apis/hooks/subscriptionsquery | 
*SubscriptionsApi* | [**create_0**](docs//SubscriptionsApi.md#create_0) | **POST** /{organization}/_apis/hooks/subscriptions | 
*SubscriptionsApi* | [**delete**](docs//SubscriptionsApi.md#delete) | **DELETE** /{organization}/_apis/notification/subscriptions/{subscriptionId} | 
*SubscriptionsApi* | [**delete_0**](docs//SubscriptionsApi.md#delete_0) | **DELETE** /{organization}/_apis/hooks/subscriptions/{subscriptionId} | 
*SubscriptionsApi* | [**get Subscription Templates**](docs//SubscriptionsApi.md#get subscription templates) | **GET** /{organization}/_apis/notification/subscriptiontemplates | 
*SubscriptionsApi* | [**list**](docs//SubscriptionsApi.md#list) | **GET** /{organization}/_apis/notification/subscriptions | 
*SubscriptionsApi* | [**list_0**](docs//SubscriptionsApi.md#list_0) | **GET** /{organization}/_apis/hooks/subscriptions | 
*SubscriptionsApi* | [**query**](docs//SubscriptionsApi.md#query) | **POST** /{organization}/_apis/notification/subscriptionquery | 
*SubscriptionsApi* | [**replace Subscription**](docs//SubscriptionsApi.md#replace subscription) | **PUT** /{organization}/_apis/hooks/subscriptions/{subscriptionId} | 
*SubscriptionsApi* | [**update**](docs//SubscriptionsApi.md#update) | **PATCH** /{organization}/_apis/notification/subscriptions/{subscriptionId} | 
*SubscriptionsApi* | [**update Subscription User Settings**](docs//SubscriptionsApi.md#update subscription user settings) | **PUT** /{organization}/_apis/notification/Subscriptions/{subscriptionId}/usersettings/{userId} | 
*SuggestionsApi* | [**list**](docs//SuggestionsApi.md#list) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/suggestions | 
*SuiteTestCaseApi* | [**add**](docs//SuiteTestCaseApi.md#add) | **POST** /{organization}/{project}/_apis/testplan/Plans/{planId}/Suites/{suiteId}/TestCase | 
*SuiteTestCaseApi* | [**get Test Case**](docs//SuiteTestCaseApi.md#get test case) | **GET** /{organization}/{project}/_apis/testplan/Plans/{planId}/Suites/{suiteId}/TestCase/{testCaseIds} | 
*SuiteTestCaseApi* | [**get Test Case List**](docs//SuiteTestCaseApi.md#get test case list) | **GET** /{organization}/{project}/_apis/testplan/Plans/{planId}/Suites/{suiteId}/TestCase | 
*SuiteTestCaseApi* | [**remove Test Cases From Suite**](docs//SuiteTestCaseApi.md#remove test cases from suite) | **DELETE** /{organization}/{project}/_apis/testplan/Plans/{planId}/Suites/{suiteId}/TestCase/{testCaseIds} | 
*SuiteTestCaseApi* | [**update**](docs//SuiteTestCaseApi.md#update) | **PATCH** /{organization}/{project}/_apis/testplan/Plans/{planId}/Suites/{suiteId}/TestCase | 
*SymsrvApi* | [**callGet**](docs//SymsrvApi.md#callget) | **GET** /{organization}/_apis/symbol/symsrv/{debugEntryClientKey} | 
*TagsApi* | [**add Build Tag**](docs//TagsApi.md#add build tag) | **PUT** /{organization}/{project}/_apis/build/builds/{buildId}/tags/{tag} | 
*TagsApi* | [**add Build Tags**](docs//TagsApi.md#add build tags) | **POST** /{organization}/{project}/_apis/build/builds/{buildId}/tags | 
*TagsApi* | [**add Definition Tag**](docs//TagsApi.md#add definition tag) | **PUT** /{organization}/{project}/_apis/build/definitions/{DefinitionId}/tags/{tag} | 
*TagsApi* | [**add Definition Tags**](docs//TagsApi.md#add definition tags) | **POST** /{organization}/{project}/_apis/build/definitions/{DefinitionId}/tags | 
*TagsApi* | [**delete Build Tag**](docs//TagsApi.md#delete build tag) | **DELETE** /{organization}/{project}/_apis/build/builds/{buildId}/tags/{tag} | 
*TagsApi* | [**delete Definition Tag**](docs//TagsApi.md#delete definition tag) | **DELETE** /{organization}/{project}/_apis/build/definitions/{DefinitionId}/tags/{tag} | 
*TagsApi* | [**get Build Tags**](docs//TagsApi.md#get build tags) | **GET** /{organization}/{project}/_apis/build/builds/{buildId}/tags | 
*TagsApi* | [**get Definition Tags**](docs//TagsApi.md#get definition tags) | **GET** /{organization}/{project}/_apis/build/definitions/{DefinitionId}/tags | 
*TagsApi* | [**get Tags**](docs//TagsApi.md#get tags) | **GET** /{organization}/{project}/_apis/build/tags | 
*TargetsApi* | [**callGet**](docs//TargetsApi.md#callget) | **GET** /{organization}/{project}/_apis/distributedtask/deploymentgroups/{deploymentGroupId}/targets/{targetId} | 
*TargetsApi* | [**delete**](docs//TargetsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/distributedtask/deploymentgroups/{deploymentGroupId}/targets/{targetId} | 
*TargetsApi* | [**list**](docs//TargetsApi.md#list) | **GET** /{organization}/{project}/_apis/distributedtask/deploymentgroups/{deploymentGroupId}/targets | 
*TargetsApi* | [**update**](docs//TargetsApi.md#update) | **PATCH** /{organization}/{project}/_apis/distributedtask/deploymentgroups/{deploymentGroupId}/targets | 
*TaskgroupsApi* | [**add**](docs//TaskgroupsApi.md#add) | **POST** /{organization}/{project}/_apis/distributedtask/taskgroups | 
*TaskgroupsApi* | [**delete**](docs//TaskgroupsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/distributedtask/taskgroups/{taskGroupId} | 
*TaskgroupsApi* | [**list**](docs//TaskgroupsApi.md#list) | **GET** /{organization}/{project}/_apis/distributedtask/taskgroups/{taskGroupId} | 
*TaskgroupsApi* | [**update**](docs//TaskgroupsApi.md#update) | **PUT** /{organization}/{project}/_apis/distributedtask/taskgroups/{taskGroupId} | 
*TeamdaysoffApi* | [**callGet**](docs//TeamdaysoffApi.md#callget) | **GET** /{organization}/{project}/{team}/_apis/work/teamsettings/iterations/{iterationId}/teamdaysoff | 
*TeamdaysoffApi* | [**update**](docs//TeamdaysoffApi.md#update) | **PATCH** /{organization}/{project}/{team}/_apis/work/teamsettings/iterations/{iterationId}/teamdaysoff | 
*TeamfieldvaluesApi* | [**callGet**](docs//TeamfieldvaluesApi.md#callget) | **GET** /{organization}/{project}/{team}/_apis/work/teamsettings/teamfieldvalues | 
*TeamfieldvaluesApi* | [**update**](docs//TeamfieldvaluesApi.md#update) | **PATCH** /{organization}/{project}/{team}/_apis/work/teamsettings/teamfieldvalues | 
*TeamsApi* | [**callGet**](docs//TeamsApi.md#callget) | **GET** /{organization}/_apis/projects/{projectId}/teams/{teamId} | 
*TeamsApi* | [**create**](docs//TeamsApi.md#create) | **POST** /{organization}/_apis/projects/{projectId}/teams | 
*TeamsApi* | [**delete**](docs//TeamsApi.md#delete) | **DELETE** /{organization}/_apis/projects/{projectId}/teams/{teamId} | 
*TeamsApi* | [**get All Teams**](docs//TeamsApi.md#get all teams) | **GET** /{organization}/_apis/teams | 
*TeamsApi* | [**get Team Members With Extended Properties**](docs//TeamsApi.md#get team members with extended properties) | **GET** /{organization}/_apis/projects/{projectId}/teams/{teamId}/members | 
*TeamsApi* | [**get Teams**](docs//TeamsApi.md#get teams) | **GET** /{organization}/_apis/projects/{projectId}/teams | 
*TeamsApi* | [**update**](docs//TeamsApi.md#update) | **PATCH** /{organization}/_apis/projects/{projectId}/teams/{teamId} | 
*TeamsettingsApi* | [**callGet**](docs//TeamsettingsApi.md#callget) | **GET** /{organization}/{project}/{team}/_apis/work/teamsettings | 
*TeamsettingsApi* | [**update**](docs//TeamsettingsApi.md#update) | **PATCH** /{organization}/{project}/{team}/_apis/work/teamsettings | 
*TemplatesApi* | [**callGet**](docs//TemplatesApi.md#callget) | **GET** /{organization}/{project}/_apis/build/definitions/templates/{templateId} | 
*TemplatesApi* | [**callGet_0**](docs//TemplatesApi.md#callget_0) | **GET** /{organization}/{project}/{team}/_apis/wit/templates/{templateId} | 
*TemplatesApi* | [**create**](docs//TemplatesApi.md#create) | **POST** /{organization}/{project}/{team}/_apis/wit/templates | 
*TemplatesApi* | [**delete**](docs//TemplatesApi.md#delete) | **DELETE** /{organization}/{project}/_apis/build/definitions/templates/{templateId} | 
*TemplatesApi* | [**delete_0**](docs//TemplatesApi.md#delete_0) | **DELETE** /{organization}/{project}/{team}/_apis/wit/templates/{templateId} | 
*TemplatesApi* | [**list**](docs//TemplatesApi.md#list) | **GET** /{organization}/{project}/_apis/build/definitions/templates | 
*TemplatesApi* | [**list_0**](docs//TemplatesApi.md#list_0) | **GET** /{organization}/{project}/{team}/_apis/wit/templates | 
*TemplatesApi* | [**replace Template**](docs//TemplatesApi.md#replace template) | **PUT** /{organization}/{project}/{team}/_apis/wit/templates/{templateId} | 
*TemplatesApi* | [**save Template**](docs//TemplatesApi.md#save template) | **PUT** /{organization}/{project}/_apis/build/definitions/templates/{templateId} | 
*TestCasesApi* | [**delete**](docs//TestCasesApi.md#delete) | **DELETE** /{organization}/{project}/_apis/test/testcases/{testCaseId} | 
*TestCasesApi* | [**delete_0**](docs//TestCasesApi.md#delete_0) | **DELETE** /{organization}/{project}/_apis/testplan/testcases/{testCaseId} | 
*TestDefinitionsApi* | [**callGet**](docs//TestDefinitionsApi.md#callget) | **GET** /{organization}/_apis/clt/testdefinitions/{testDefinitionId} | 
*TestDefinitionsApi* | [**create**](docs//TestDefinitionsApi.md#create) | **POST** /{organization}/_apis/clt/testdefinitions | 
*TestDefinitionsApi* | [**list**](docs//TestDefinitionsApi.md#list) | **GET** /{organization}/_apis/clt/testdefinitions | 
*TestDefinitionsApi* | [**update**](docs//TestDefinitionsApi.md#update) | **PUT** /{organization}/_apis/clt/testdefinitions | 
*TestDropsApi* | [**callGet**](docs//TestDropsApi.md#callget) | **GET** /{organization}/_apis/clt/testdrops/{testDropId} | 
*TestDropsApi* | [**create**](docs//TestDropsApi.md#create) | **POST** /{organization}/_apis/clt/testdrops | 
*TestHistoryApi* | [**query**](docs//TestHistoryApi.md#query) | **POST** /{organization}/{project}/_apis/test/Results/testhistory | 
*TestPlanCloneApi* | [**callGet**](docs//TestPlanCloneApi.md#callget) | **GET** /{organization}/{project}/_apis/testplan/Plans/CloneOperation/{cloneOperationId} | 
*TestPlanCloneApi* | [**clone Test Plan**](docs//TestPlanCloneApi.md#clone test plan) | **POST** /{organization}/{project}/_apis/testplan/Plans/CloneOperation | 
*TestPlansApi* | [**callGet**](docs//TestPlansApi.md#callget) | **GET** /{organization}/{project}/_apis/testplan/plans/{planId} | 
*TestPlansApi* | [**create**](docs//TestPlansApi.md#create) | **POST** /{organization}/{project}/_apis/testplan/plans | 
*TestPlansApi* | [**delete**](docs//TestPlansApi.md#delete) | **DELETE** /{organization}/{project}/_apis/testplan/plans/{planId} | 
*TestPlansApi* | [**list**](docs//TestPlansApi.md#list) | **GET** /{organization}/{project}/_apis/testplan/plans | 
*TestPlansApi* | [**update**](docs//TestPlansApi.md#update) | **PATCH** /{organization}/{project}/_apis/testplan/plans/{planId} | 
*TestPointApi* | [**get Points**](docs//TestPointApi.md#get points) | **GET** /{organization}/{project}/_apis/testplan/Plans/{planId}/Suites/{suiteId}/TestPoint/{pointIds} | 
*TestPointApi* | [**get Points List**](docs//TestPointApi.md#get points list) | **GET** /{organization}/{project}/_apis/testplan/Plans/{planId}/Suites/{suiteId}/TestPoint | 
*TestPointApi* | [**update**](docs//TestPointApi.md#update) | **PATCH** /{organization}/{project}/_apis/testplan/Plans/{planId}/Suites/{suiteId}/TestPoint | 
*TestRunsApi* | [**create**](docs//TestRunsApi.md#create) | **POST** /{organization}/_apis/clt/testruns | 
*TestRunsApi* | [**get Test Run**](docs//TestRunsApi.md#get test run) | **GET** /{organization}/_apis/clt/testruns/{testRunId} | 
*TestRunsApi* | [**get Test Runs**](docs//TestRunsApi.md#get test runs) | **GET** /{organization}/_apis/clt/testruns | 
*TestRunsApi* | [**update**](docs//TestRunsApi.md#update) | **PATCH** /{organization}/_apis/clt/testruns/{testRunId} | 
*TestSuiteCloneApi* | [**callGet**](docs//TestSuiteCloneApi.md#callget) | **GET** /{organization}/{project}/_apis/testplan/Suites/CloneOperation/{cloneOperationId} | 
*TestSuiteCloneApi* | [**clone Test Suite**](docs//TestSuiteCloneApi.md#clone test suite) | **POST** /{organization}/{project}/_apis/testplan/Suites/CloneOperation | 
*TestSuiteEntryApi* | [**list**](docs//TestSuiteEntryApi.md#list) | **GET** /{organization}/{project}/_apis/testplan/suiteentry/{suiteId} | 
*TestSuiteEntryApi* | [**reorder Suite Entries**](docs//TestSuiteEntryApi.md#reorder suite entries) | **PATCH** /{organization}/{project}/_apis/testplan/suiteentry/{suiteId} | 
*TestSuitesApi* | [**add**](docs//TestSuitesApi.md#add) | **POST** /{organization}/{project}/_apis/test/Plans/{planId}/suites/{suiteId}/testcases/{testCaseIds} | 
*TestSuitesApi* | [**callGet**](docs//TestSuitesApi.md#callget) | **GET** /{organization}/{project}/_apis/test/Plans/{planId}/suites/{suiteId}/testcases/{testCaseIds} | 
*TestSuitesApi* | [**callGet_0**](docs//TestSuitesApi.md#callget_0) | **GET** /{organization}/{project}/_apis/testplan/Plans/{planId}/suites/{suiteId} | 
*TestSuitesApi* | [**create**](docs//TestSuitesApi.md#create) | **POST** /{organization}/{project}/_apis/testplan/Plans/{planId}/suites | 
*TestSuitesApi* | [**delete**](docs//TestSuitesApi.md#delete) | **DELETE** /{organization}/{project}/_apis/testplan/Plans/{planId}/suites/{suiteId} | 
*TestSuitesApi* | [**get Suites By Test Case Id**](docs//TestSuitesApi.md#get suites by test case id) | **GET** /{organization}/_apis/testplan/suites | 
*TestSuitesApi* | [**get Test Suites For Plan**](docs//TestSuitesApi.md#get test suites for plan) | **GET** /{organization}/{project}/_apis/testplan/Plans/{planId}/suites | 
*TestSuitesApi* | [**list**](docs//TestSuitesApi.md#list) | **GET** /{organization}/{project}/_apis/test/Plans/{planId}/suites/{suiteId}/testcases | 
*TestSuitesApi* | [**remove Test Cases From Suite Url**](docs//TestSuitesApi.md#remove test cases from suite url) | **DELETE** /{organization}/{project}/_apis/test/Plans/{planId}/suites/{suiteId}/testcases/{testCaseIds} | 
*TestSuitesApi* | [**update**](docs//TestSuitesApi.md#update) | **PATCH** /{organization}/{project}/_apis/test/Plans/{planId}/suites/{suiteId}/testcases/{testCaseIds} | 
*TestSuitesApi* | [**update_0**](docs//TestSuitesApi.md#update_0) | **PATCH** /{organization}/{project}/_apis/testplan/Plans/{planId}/suites/{suiteId} | 
*TimelineApi* | [**callGet**](docs//TimelineApi.md#callget) | **GET** /{organization}/{project}/_apis/build/builds/{buildId}/timeline/{timelineId} | 
*TokenListGlobalIdentitiesApi* | [**list**](docs//TokenListGlobalIdentitiesApi.md#list) | **POST** /_apis/tokenadministration/tokenlistglobalidentities | 
*TokenPersonalAccessTokensApi* | [**list**](docs//TokenPersonalAccessTokensApi.md#list) | **POST** /_apis/tokenadministration/tokenpersonalaccesstokens/{subjectDescriptor} | 
*TokenRevocationsApi* | [**revoke Authorizations**](docs//TokenRevocationsApi.md#revoke authorizations) | **POST** /_apis/tokenadministration/tokenrevocations | 
*TreesApi* | [**callGet**](docs//TreesApi.md#callget) | **GET** /{organization}/{project}/_apis/git/repositories/{repositoryId}/trees/{sha1} | 
*TypesApi* | [**callGet**](docs//TypesApi.md#callget) | **GET** /{organization}/{project}/_apis/policy/types/{typeId} | 
*TypesApi* | [**list**](docs//TypesApi.md#list) | **GET** /{organization}/{project}/_apis/policy/types | 
*TypesApi* | [**list_0**](docs//TypesApi.md#list_0) | **GET** /{organization}/_apis/serviceendpoint/types | 
*UniversalApi* | [**delete Package Version**](docs//UniversalApi.md#delete package version) | **DELETE** /{organization}/_apis/packaging/feeds/{feedId}/upack/packages/{packageName}/versions/{packageVersion} | 
*UniversalApi* | [**delete Package Version From Recycle Bin**](docs//UniversalApi.md#delete package version from recycle bin) | **DELETE** /{organization}/_apis/packaging/feeds/{feedId}/upack/RecycleBin/packages/{packageName}/versions/{packageVersion} | 
*UniversalApi* | [**get Package Version**](docs//UniversalApi.md#get package version) | **GET** /{organization}/_apis/packaging/feeds/{feedId}/upack/packages/{packageName}/versions/{packageVersion} | 
*UniversalApi* | [**getPackageVersionFromRecycleBin**](docs//UniversalApi.md#getpackageversionfromrecyclebin) | **GET** /{organization}/_apis/packaging/feeds/{feedId}/upack/RecycleBin/packages/{packageName}/versions/{packageVersion} | 
*UniversalApi* | [**restore Package Version From Recycle Bin**](docs//UniversalApi.md#restore package version from recycle bin) | **PATCH** /{organization}/_apis/packaging/feeds/{feedId}/upack/RecycleBin/packages/{packageName}/versions/{packageVersion} | 
*UniversalApi* | [**update Package Version**](docs//UniversalApi.md#update package version) | **PATCH** /{organization}/_apis/packaging/feeds/{feedId}/upack/packages/{packageName}/versions/{packageVersion} | 
*UpdatesApi* | [**callGet**](docs//UpdatesApi.md#callget) | **GET** /{organization}/{project}/_apis/wit/workItems/{id}/updates/{updateNumber} | 
*UpdatesApi* | [**list**](docs//UpdatesApi.md#list) | **GET** /{organization}/{project}/_apis/wit/workItems/{id}/updates | 
*UserEntitlementSummaryApi* | [**callGet**](docs//UserEntitlementSummaryApi.md#callget) | **GET** /{organization}/_apis/userentitlementsummary | 
*UserEntitlementsApi* | [**add**](docs//UserEntitlementsApi.md#add) | **POST** /{organization}/_apis/userentitlements | 
*UserEntitlementsApi* | [**delete**](docs//UserEntitlementsApi.md#delete) | **DELETE** /{organization}/_apis/userentitlements/{userId} | 
*UserEntitlementsApi* | [**get User Entitlement**](docs//UserEntitlementsApi.md#get user entitlement) | **GET** /{organization}/_apis/userentitlements/{userId} | 
*UserEntitlementsApi* | [**get User Entitlements**](docs//UserEntitlementsApi.md#get user entitlements) | **GET** /{organization}/_apis/userentitlements | 
*UserEntitlementsApi* | [**update User Entitlement**](docs//UserEntitlementsApi.md#update user entitlement) | **PATCH** /{organization}/_apis/userentitlements/{userId} | 
*UserEntitlementsApi* | [**update User Entitlements**](docs//UserEntitlementsApi.md#update user entitlements) | **PATCH** /{organization}/_apis/userentitlements | 
*UsersApi* | [**callGet**](docs//UsersApi.md#callget) | **GET** /{organization}/_apis/graph/users/{userDescriptor} | 
*UsersApi* | [**create**](docs//UsersApi.md#create) | **POST** /{organization}/_apis/graph/users | 
*UsersApi* | [**delete**](docs//UsersApi.md#delete) | **DELETE** /{organization}/_apis/graph/users/{userDescriptor} | 
*UsersApi* | [**list**](docs//UsersApi.md#list) | **GET** /{organization}/_apis/graph/users | 
*UsersApi* | [**update**](docs//UsersApi.md#update) | **PATCH** /{organization}/_apis/graph/users/{userDescriptor} | 
*VariablegroupsApi* | [**add**](docs//VariablegroupsApi.md#add) | **POST** /{organization}/{project}/_apis/distributedtask/variablegroups | 
*VariablegroupsApi* | [**callGet**](docs//VariablegroupsApi.md#callget) | **GET** /{organization}/{project}/_apis/distributedtask/variablegroups/{groupId} | 
*VariablegroupsApi* | [**delete**](docs//VariablegroupsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/distributedtask/variablegroups/{groupId} | 
*VariablegroupsApi* | [**get Variable Groups By Id**](docs//VariablegroupsApi.md#get variable groups by id) | **GET** /{organization}/{project}/_apis/distributedtask/variablegroups | 
*VariablegroupsApi* | [**update**](docs//VariablegroupsApi.md#update) | **PUT** /{organization}/{project}/_apis/distributedtask/variablegroups/{groupId} | 
*VariablesApi* | [**callGet**](docs//VariablesApi.md#callget) | **GET** /{organization}/{project}/_apis/testplan/variables/{testVariableId} | 
*VariablesApi* | [**create**](docs//VariablesApi.md#create) | **POST** /{organization}/{project}/_apis/testplan/variables | 
*VariablesApi* | [**delete**](docs//VariablesApi.md#delete) | **DELETE** /{organization}/{project}/_apis/testplan/variables/{testVariableId} | 
*VariablesApi* | [**list**](docs//VariablesApi.md#list) | **GET** /{organization}/{project}/_apis/testplan/variables | 
*VariablesApi* | [**update**](docs//VariablesApi.md#update) | **PATCH** /{organization}/{project}/_apis/testplan/variables/{testVariableId} | 
*WidgetTypesApi* | [**get Widget Metadata**](docs//WidgetTypesApi.md#get widget metadata) | **GET** /{organization}/{project}/_apis/dashboard/widgettypes/{contributionId} | 
*WidgetTypesApi* | [**get Widget Types**](docs//WidgetTypesApi.md#get widget types) | **GET** /{organization}/{project}/_apis/dashboard/widgettypes | 
*WidgetsApi* | [**create**](docs//WidgetsApi.md#create) | **POST** /{organization}/{project}/{team}/_apis/dashboard/dashboards/{dashboardId}/widgets | 
*WidgetsApi* | [**delete**](docs//WidgetsApi.md#delete) | **DELETE** /{organization}/{project}/{team}/_apis/dashboard/dashboards/{dashboardId}/widgets/{widgetId} | 
*WidgetsApi* | [**get Widget**](docs//WidgetsApi.md#get widget) | **GET** /{organization}/{project}/{team}/_apis/dashboard/dashboards/{dashboardId}/widgets/{widgetId} | 
*WidgetsApi* | [**get Widgets**](docs//WidgetsApi.md#get widgets) | **GET** /{organization}/{project}/{team}/_apis/dashboard/dashboards/{dashboardId}/widgets | 
*WidgetsApi* | [**replace Widget**](docs//WidgetsApi.md#replace widget) | **PUT** /{organization}/{project}/{team}/_apis/dashboard/dashboards/{dashboardId}/widgets/{widgetId} | 
*WidgetsApi* | [**replace Widgets**](docs//WidgetsApi.md#replace widgets) | **PUT** /{organization}/{project}/{team}/_apis/dashboard/dashboards/{dashboardId}/widgets | 
*WidgetsApi* | [**update Widget**](docs//WidgetsApi.md#update widget) | **PATCH** /{organization}/{project}/{team}/_apis/dashboard/dashboards/{dashboardId}/widgets/{widgetId} | 
*WidgetsApi* | [**update Widgets**](docs//WidgetsApi.md#update widgets) | **PATCH** /{organization}/{project}/{team}/_apis/dashboard/dashboards/{dashboardId}/widgets | 
*WikiSearchResultsApi* | [**fetch Wiki Search Results**](docs//WikiSearchResultsApi.md#fetch wiki search results) | **POST** /{organization}/{project}/_apis/search/wikisearchresults | 
*WikisApi* | [**callGet**](docs//WikisApi.md#callget) | **GET** /{organization}/{project}/_apis/wiki/wikis/{wikiIdentifier} | 
*WikisApi* | [**create**](docs//WikisApi.md#create) | **POST** /{organization}/{project}/_apis/wiki/wikis | 
*WikisApi* | [**delete**](docs//WikisApi.md#delete) | **DELETE** /{organization}/{project}/_apis/wiki/wikis/{wikiIdentifier} | 
*WikisApi* | [**list**](docs//WikisApi.md#list) | **GET** /{organization}/{project}/_apis/wiki/wikis | 
*WikisApi* | [**update**](docs//WikisApi.md#update) | **PATCH** /{organization}/{project}/_apis/wiki/wikis/{wikiIdentifier} | 
*WiqlApi* | [**callGet**](docs//WiqlApi.md#callget) | **HEAD** /{organization}/{project}/{team}/_apis/wit/wiql/{id} | 
*WiqlApi* | [**query By Id**](docs//WiqlApi.md#query by id) | **GET** /{organization}/{project}/{team}/_apis/wit/wiql/{id} | 
*WiqlApi* | [**query By Wiql**](docs//WiqlApi.md#query by wiql) | **POST** /{organization}/{project}/{team}/_apis/wit/wiql | 
*WorkItemIconsApi* | [**callGet**](docs//WorkItemIconsApi.md#callget) | **GET** /{organization}/_apis/wit/workitemicons/{icon} | 
*WorkItemIconsApi* | [**list**](docs//WorkItemIconsApi.md#list) | **GET** /{organization}/_apis/wit/workitemicons | 
*WorkItemRelationTypesApi* | [**callGet**](docs//WorkItemRelationTypesApi.md#callget) | **GET** /{organization}/_apis/wit/workitemrelationtypes/{relation} | 
*WorkItemRelationTypesApi* | [**list**](docs//WorkItemRelationTypesApi.md#list) | **GET** /{organization}/_apis/wit/workitemrelationtypes | 
*WorkItemRevisionsDiscussionsApi* | [**read Reporting Discussions**](docs//WorkItemRevisionsDiscussionsApi.md#read reporting discussions) | **GET** /{organization}/{project}/_apis/wit/reporting/workItemRevisions/discussions | 
*WorkItemSearchResultsApi* | [**fetch Work Item Search Results**](docs//WorkItemSearchResultsApi.md#fetch work item search results) | **POST** /{organization}/{project}/_apis/search/workitemsearchresults | 
*WorkItemTransitionsApi* | [**list**](docs//WorkItemTransitionsApi.md#list) | **GET** /{organization}/_apis/wit/workitemtransitions | 
*WorkItemTypeCategoriesApi* | [**callGet**](docs//WorkItemTypeCategoriesApi.md#callget) | **GET** /{organization}/{project}/_apis/wit/workitemtypecategories/{category} | 
*WorkItemTypeCategoriesApi* | [**list**](docs//WorkItemTypeCategoriesApi.md#list) | **GET** /{organization}/{project}/_apis/wit/workitemtypecategories | 
*WorkItemTypeStatesApi* | [**list**](docs//WorkItemTypeStatesApi.md#list) | **GET** /{organization}/{project}/_apis/wit/workitemtypes/{type}/states | 
*WorkItemTypesApi* | [**callGet**](docs//WorkItemTypesApi.md#callget) | **GET** /{organization}/{project}/_apis/wit/workitemtypes/{type} | 
*WorkItemTypesApi* | [**callGet_0**](docs//WorkItemTypesApi.md#callget_0) | **GET** /{organization}/_apis/work/processes/{processId}/workitemtypes/{witRefName} | 
*WorkItemTypesApi* | [**create**](docs//WorkItemTypesApi.md#create) | **POST** /{organization}/_apis/work/processes/{processId}/workitemtypes | 
*WorkItemTypesApi* | [**delete**](docs//WorkItemTypesApi.md#delete) | **DELETE** /{organization}/_apis/work/processes/{processId}/workitemtypes/{witRefName} | 
*WorkItemTypesApi* | [**list**](docs//WorkItemTypesApi.md#list) | **GET** /{organization}/{project}/_apis/wit/workitemtypes | 
*WorkItemTypesApi* | [**list_0**](docs//WorkItemTypesApi.md#list_0) | **GET** /{organization}/_apis/work/processes/{processId}/workitemtypes | 
*WorkItemTypesApi* | [**update**](docs//WorkItemTypesApi.md#update) | **PATCH** /{organization}/_apis/work/processes/{processId}/workitemtypes/{witRefName} | 
*WorkItemTypesBehaviorsApi* | [**add**](docs//WorkItemTypesBehaviorsApi.md#add) | **POST** /{organization}/_apis/work/processes/{processId}/workitemtypesbehaviors/{witRefNameForBehaviors}/behaviors | 
*WorkItemTypesBehaviorsApi* | [**callGet**](docs//WorkItemTypesBehaviorsApi.md#callget) | **GET** /{organization}/_apis/work/processes/{processId}/workitemtypesbehaviors/{witRefNameForBehaviors}/behaviors/{behaviorRefName} | 
*WorkItemTypesBehaviorsApi* | [**list**](docs//WorkItemTypesBehaviorsApi.md#list) | **GET** /{organization}/_apis/work/processes/{processId}/workitemtypesbehaviors/{witRefNameForBehaviors}/behaviors | 
*WorkItemTypesBehaviorsApi* | [**remove Behavior From Work Item Type**](docs//WorkItemTypesBehaviorsApi.md#remove behavior from work item type) | **DELETE** /{organization}/_apis/work/processes/{processId}/workitemtypesbehaviors/{witRefNameForBehaviors}/behaviors/{behaviorRefName} | 
*WorkItemTypesBehaviorsApi* | [**update**](docs//WorkItemTypesBehaviorsApi.md#update) | **PATCH** /{organization}/_apis/work/processes/{processId}/workitemtypesbehaviors/{witRefNameForBehaviors}/behaviors | 
*WorkItemTypesFieldApi* | [**callGet**](docs//WorkItemTypesFieldApi.md#callget) | **GET** /{organization}/{project}/_apis/wit/workitemtypes/{type}/fields/{field} | 
*WorkItemTypesFieldApi* | [**list**](docs//WorkItemTypesFieldApi.md#list) | **GET** /{organization}/{project}/_apis/wit/workitemtypes/{type}/fields | 
*WorkItemsApi* | [**create**](docs//WorkItemsApi.md#create) | **POST** /{organization}/{project}/_apis/wit/workitems/${type} | 
*WorkItemsApi* | [**delete**](docs//WorkItemsApi.md#delete) | **DELETE** /{organization}/{project}/_apis/wit/workitems/{id} | 
*WorkItemsApi* | [**get Work Item**](docs//WorkItemsApi.md#get work item) | **GET** /{organization}/{project}/_apis/wit/workitems/{id} | 
*WorkItemsApi* | [**get Work Item Template**](docs//WorkItemsApi.md#get work item template) | **GET** /{organization}/{project}/_apis/wit/workitems/${type} | 
*WorkItemsApi* | [**get Work Items Batch**](docs//WorkItemsApi.md#get work items batch) | **POST** /{organization}/{project}/_apis/wit/workitemsbatch | 
*WorkItemsApi* | [**list**](docs//WorkItemsApi.md#list) | **GET** /{organization}/{project}/_apis/wit/workitems | 
*WorkItemsApi* | [**update**](docs//WorkItemsApi.md#update) | **PATCH** /{organization}/{project}/_apis/wit/workitems/{id} | 
*WorkitemsorderApi* | [**reorder Backlog Work Items**](docs//WorkitemsorderApi.md#reorder backlog work items) | **PATCH** /{organization}/{project}/{team}/_apis/work/workitemsorder | 
*WorkitemsorderApi* | [**reorder Iteration Work Items**](docs//WorkitemsorderApi.md#reorder iteration work items) | **PATCH** /{organization}/{project}/{team}/_apis/work/iterations/{iterationId}/workitemsorder | 
*YamlschemaApi* | [**callGet**](docs//YamlschemaApi.md#callget) | **GET** /{organization}/_apis/distributedtask/yamlschema | 


## Documentation For Models

 - [AadOauthTokenRequest](docs//AadOauthTokenRequest.md)
 - [AadOauthTokenResult](docs//AadOauthTokenResult.md)
 - [AbortTestRunRequest](docs//AbortTestRunRequest.md)
 - [AccessControlEntry](docs//AccessControlEntry.md)
 - [AccessControlList](docs//AccessControlList.md)
 - [AccessControlListsCollection](docs//AccessControlListsCollection.md)
 - [AccessLevel](docs//AccessLevel.md)
 - [Account](docs//Account.md)
 - [AccountCreateInfoInternal](docs//AccountCreateInfoInternal.md)
 - [AccountMyWorkResult](docs//AccountMyWorkResult.md)
 - [AccountPreferencesInternal](docs//AccountPreferencesInternal.md)
 - [AccountRecentActivityWorkItemModel](docs//AccountRecentActivityWorkItemModel.md)
 - [AccountRecentActivityWorkItemModel2](docs//AccountRecentActivityWorkItemModel2.md)
 - [AccountRecentActivityWorkItemModelBase](docs//AccountRecentActivityWorkItemModelBase.md)
 - [AccountRecentMentionWorkItemModel](docs//AccountRecentMentionWorkItemModel.md)
 - [AccountWorkWorkItemModel](docs//AccountWorkWorkItemModel.md)
 - [AceExtendedInformation](docs//AceExtendedInformation.md)
 - [AcquisitionOperation](docs//AcquisitionOperation.md)
 - [AcquisitionOperationDisallowReason](docs//AcquisitionOperationDisallowReason.md)
 - [AcquisitionOptions](docs//AcquisitionOptions.md)
 - [ActionDefinition](docs//ActionDefinition.md)
 - [Activity](docs//Activity.md)
 - [ActorFilter](docs//ActorFilter.md)
 - [ActorNotificationReason](docs//ActorNotificationReason.md)
 - [AddProcessWorkItemTypeFieldRequest](docs//AddProcessWorkItemTypeFieldRequest.md)
 - [AdminBehavior](docs//AdminBehavior.md)
 - [AdminBehaviorField](docs//AdminBehaviorField.md)
 - [AfnStrip](docs//AfnStrip.md)
 - [AgentArtifactDefinition](docs//AgentArtifactDefinition.md)
 - [AgentBasedDeployPhase](docs//AgentBasedDeployPhase.md)
 - [AgentChangeEvent](docs//AgentChangeEvent.md)
 - [AgentDeploymentInput](docs//AgentDeploymentInput.md)
 - [AgentGroup](docs//AgentGroup.md)
 - [AgentGroupAccessData](docs//AgentGroupAccessData.md)
 - [AgentJobRequestMessage](docs//AgentJobRequestMessage.md)
 - [AgentMigrationMessage](docs//AgentMigrationMessage.md)
 - [AgentPoolEvent](docs//AgentPoolEvent.md)
 - [AgentPoolQueue](docs//AgentPoolQueue.md)
 - [AgentPoolQueueReference](docs//AgentPoolQueueReference.md)
 - [AgentPoolQueueTarget](docs//AgentPoolQueueTarget.md)
 - [AgentQueueEvent](docs//AgentQueueEvent.md)
 - [AgentQueuesEvent](docs//AgentQueuesEvent.md)
 - [AgentRefreshMessage](docs//AgentRefreshMessage.md)
 - [AgentSpecification](docs//AgentSpecification.md)
 - [AgentTargetExecutionOptions](docs//AgentTargetExecutionOptions.md)
 - [AggregatedDataForResultTrend](docs//AggregatedDataForResultTrend.md)
 - [AggregatedResultsAnalysis](docs//AggregatedResultsAnalysis.md)
 - [AggregatedResultsByOutcome](docs//AggregatedResultsByOutcome.md)
 - [AggregatedResultsDifference](docs//AggregatedResultsDifference.md)
 - [AggregatedRunsByOutcome](docs//AggregatedRunsByOutcome.md)
 - [AggregatedRunsByState](docs//AggregatedRunsByState.md)
 - [Application](docs//Application.md)
 - [ApplicationCounters](docs//ApplicationCounters.md)
 - [ApplicationType](docs//ApplicationType.md)
 - [ApprovalOptions](docs//ApprovalOptions.md)
 - [Artifact](docs//Artifact.md)
 - [ArtifactContributionDefinition](docs//ArtifactContributionDefinition.md)
 - [ArtifactDownloadInputBase](docs//ArtifactDownloadInputBase.md)
 - [ArtifactFilter](docs//ArtifactFilter.md)
 - [ArtifactInstanceData](docs//ArtifactInstanceData.md)
 - [ArtifactMetadata](docs//ArtifactMetadata.md)
 - [ArtifactProvider](docs//ArtifactProvider.md)
 - [ArtifactResource](docs//ArtifactResource.md)
 - [ArtifactSourceId](docs//ArtifactSourceId.md)
 - [ArtifactSourceIdsQueryResult](docs//ArtifactSourceIdsQueryResult.md)
 - [ArtifactSourceReference](docs//ArtifactSourceReference.md)
 - [ArtifactSourceTrigger](docs//ArtifactSourceTrigger.md)
 - [ArtifactTriggerConfiguration](docs//ArtifactTriggerConfiguration.md)
 - [ArtifactTypeDefinition](docs//ArtifactTypeDefinition.md)
 - [ArtifactUriQuery](docs//ArtifactUriQuery.md)
 - [ArtifactUriQueryResult](docs//ArtifactUriQueryResult.md)
 - [ArtifactVersion](docs//ArtifactVersion.md)
 - [ArtifactVersionQueryResult](docs//ArtifactVersionQueryResult.md)
 - [ArtifactsDownloadInput](docs//ArtifactsDownloadInput.md)
 - [AssociatedWorkItem](docs//AssociatedWorkItem.md)
 - [AsyncGitOperationNotification](docs//AsyncGitOperationNotification.md)
 - [AsyncRefOperationCommitLevelEventNotification](docs//AsyncRefOperationCommitLevelEventNotification.md)
 - [AsyncRefOperationCompletedNotification](docs//AsyncRefOperationCompletedNotification.md)
 - [AsyncRefOperationConflictNotification](docs//AsyncRefOperationConflictNotification.md)
 - [AsyncRefOperationGeneralFailureNotification](docs//AsyncRefOperationGeneralFailureNotification.md)
 - [AsyncRefOperationProgressNotification](docs//AsyncRefOperationProgressNotification.md)
 - [AsyncRefOperationTimeoutNotification](docs//AsyncRefOperationTimeoutNotification.md)
 - [Attachment](docs//Attachment.md)
 - [AttachmentReference](docs//AttachmentReference.md)
 - [Attribute](docs//Attribute.md)
 - [AttributeDescriptor](docs//AttributeDescriptor.md)
 - [AttributesContainer](docs//AttributesContainer.md)
 - [AuditLogEntry](docs//AuditLogEntry.md)
 - [AuditLogQueryResult](docs//AuditLogQueryResult.md)
 - [AuthConfiguration](docs//AuthConfiguration.md)
 - [AuthenticationSchemeReference](docs//AuthenticationSchemeReference.md)
 - [AuthorizationHeader](docs//AuthorizationHeader.md)
 - [AutoCompleteUpdatedEvent](docs//AutoCompleteUpdatedEvent.md)
 - [AutoTriggerIssue](docs//AutoTriggerIssue.md)
 - [Avatar](docs//Avatar.md)
 - [AzureKeyVaultPermission](docs//AzureKeyVaultPermission.md)
 - [AzureKeyVaultVariableGroupProviderData](docs//AzureKeyVaultVariableGroupProviderData.md)
 - [AzureKeyVaultVariableValue](docs//AzureKeyVaultVariableValue.md)
 - [AzureMLWorkspace](docs//AzureMLWorkspace.md)
 - [AzureManagementGroup](docs//AzureManagementGroup.md)
 - [AzureManagementGroupQueryResult](docs//AzureManagementGroupQueryResult.md)
 - [AzurePermission](docs//AzurePermission.md)
 - [AzureResourcePermission](docs//AzureResourcePermission.md)
 - [AzureRoleAssignmentPermission](docs//AzureRoleAssignmentPermission.md)
 - [AzureSpnOperationStatus](docs//AzureSpnOperationStatus.md)
 - [AzureSubscription](docs//AzureSubscription.md)
 - [AzureSubscriptionQueryResult](docs//AzureSubscriptionQueryResult.md)
 - [BacklogColumn](docs//BacklogColumn.md)
 - [BacklogConfiguration](docs//BacklogConfiguration.md)
 - [BacklogFields](docs//BacklogFields.md)
 - [BacklogLevel](docs//BacklogLevel.md)
 - [BacklogLevelConfiguration](docs//BacklogLevelConfiguration.md)
 - [BacklogLevelWorkItems](docs//BacklogLevelWorkItems.md)
 - [BaseDeploymentInput](docs//BaseDeploymentInput.md)
 - [BaseOperationResult](docs//BaseOperationResult.md)
 - [BaseSubscriptionFilter](docs//BaseSubscriptionFilter.md)
 - [BatchDeprecateData](docs//BatchDeprecateData.md)
 - [BatchListData](docs//BatchListData.md)
 - [BatchNotificationOperation](docs//BatchNotificationOperation.md)
 - [BatchResponse](docs//BatchResponse.md)
 - [BlockFilter](docs//BlockFilter.md)
 - [BlockSubscriptionChannel](docs//BlockSubscriptionChannel.md)
 - [Board](docs//Board.md)
 - [BoardBadge](docs//BoardBadge.md)
 - [BoardCardRuleSettings](docs//BoardCardRuleSettings.md)
 - [BoardCardSettings](docs//BoardCardSettings.md)
 - [BoardChart](docs//BoardChart.md)
 - [BoardChartReference](docs//BoardChartReference.md)
 - [BoardColumn](docs//BoardColumn.md)
 - [BoardFields](docs//BoardFields.md)
 - [BoardReference](docs//BoardReference.md)
 - [BoardRow](docs//BoardRow.md)
 - [BoardSuggestedValue](docs//BoardSuggestedValue.md)
 - [BoardUserSettings](docs//BoardUserSettings.md)
 - [BranchUpdatedEvent](docs//BranchUpdatedEvent.md)
 - [BrowserMix](docs//BrowserMix.md)
 - [Build](docs//Build.md)
 - [BuildAgent](docs//BuildAgent.md)
 - [BuildAgentReference](docs//BuildAgentReference.md)
 - [BuildArtifact](docs//BuildArtifact.md)
 - [BuildArtifactDownloadInput](docs//BuildArtifactDownloadInput.md)
 - [BuildBadge](docs//BuildBadge.md)
 - [BuildCompletedEvent](docs//BuildCompletedEvent.md)
 - [BuildCompletionTrigger](docs//BuildCompletionTrigger.md)
 - [BuildConfiguration](docs//BuildConfiguration.md)
 - [BuildController](docs//BuildController.md)
 - [BuildCoverage](docs//BuildCoverage.md)
 - [BuildDefinition](docs//BuildDefinition.md)
 - [BuildDefinition32](docs//BuildDefinition32.md)
 - [BuildDefinitionReference](docs//BuildDefinitionReference.md)
 - [BuildDefinitionReference32](docs//BuildDefinitionReference32.md)
 - [BuildDefinitionRevision](docs//BuildDefinitionRevision.md)
 - [BuildDefinitionSourceProvider](docs//BuildDefinitionSourceProvider.md)
 - [BuildDefinitionStep](docs//BuildDefinitionStep.md)
 - [BuildDefinitionTemplate](docs//BuildDefinitionTemplate.md)
 - [BuildDefinitionTemplate32](docs//BuildDefinitionTemplate32.md)
 - [BuildDefinitionVariable](docs//BuildDefinitionVariable.md)
 - [BuildDeletedEvent](docs//BuildDeletedEvent.md)
 - [BuildDeployment](docs//BuildDeployment.md)
 - [BuildEvent](docs//BuildEvent.md)
 - [BuildLog](docs//BuildLog.md)
 - [BuildLogReference](docs//BuildLogReference.md)
 - [BuildMetric](docs//BuildMetric.md)
 - [BuildOption](docs//BuildOption.md)
 - [BuildOptionDefinition](docs//BuildOptionDefinition.md)
 - [BuildOptionDefinitionReference](docs//BuildOptionDefinitionReference.md)
 - [BuildOptionGroupDefinition](docs//BuildOptionGroupDefinition.md)
 - [BuildOptionInputDefinition](docs//BuildOptionInputDefinition.md)
 - [BuildProcess](docs//BuildProcess.md)
 - [BuildProcessResources](docs//BuildProcessResources.md)
 - [BuildProcessTemplate](docs//BuildProcessTemplate.md)
 - [BuildQueuedEvent](docs//BuildQueuedEvent.md)
 - [BuildReference](docs//BuildReference.md)
 - [BuildReference2](docs//BuildReference2.md)
 - [BuildReportMetadata](docs//BuildReportMetadata.md)
 - [BuildRepository](docs//BuildRepository.md)
 - [BuildRequestValidationResult](docs//BuildRequestValidationResult.md)
 - [BuildResourceUsage](docs//BuildResourceUsage.md)
 - [BuildServer](docs//BuildServer.md)
 - [BuildSettings](docs//BuildSettings.md)
 - [BuildSummary](docs//BuildSummary.md)
 - [BuildTagsAddedEvent](docs//BuildTagsAddedEvent.md)
 - [BuildTrigger](docs//BuildTrigger.md)
 - [BuildUpdatedEvent](docs//BuildUpdatedEvent.md)
 - [BuildVersion](docs//BuildVersion.md)
 - [BuildWorkspace](docs//BuildWorkspace.md)
 - [BuildsDeletedEvent](docs//BuildsDeletedEvent.md)
 - [BuildsDeletedEvent1](docs//BuildsDeletedEvent1.md)
 - [BulkResultUpdateRequest](docs//BulkResultUpdateRequest.md)
 - [CapacityContractBase](docs//CapacityContractBase.md)
 - [CapacityPatch](docs//CapacityPatch.md)
 - [CardFieldSettings](docs//CardFieldSettings.md)
 - [CardSettings](docs//CardSettings.md)
 - [CategoryConfiguration](docs//CategoryConfiguration.md)
 - [Change](docs//Change.md)
 - [ChangeCountDictionary](docs//ChangeCountDictionary.md)
 - [ChangeList](docs//ChangeList.md)
 - [ChangeListSearchCriteria](docs//ChangeListSearchCriteria.md)
 - [CheckTemplateExistenceResult](docs//CheckTemplateExistenceResult.md)
 - [CheckinNote](docs//CheckinNote.md)
 - [ClientCertificate](docs//ClientCertificate.md)
 - [ClientContribution](docs//ClientContribution.md)
 - [ClientContributionNode](docs//ClientContributionNode.md)
 - [ClientContributionProviderDetails](docs//ClientContributionProviderDetails.md)
 - [ClientDataProviderQuery](docs//ClientDataProviderQuery.md)
 - [CloneOperationCommonResponse](docs//CloneOperationCommonResponse.md)
 - [CloneOperationInformation](docs//CloneOperationInformation.md)
 - [CloneOptions](docs//CloneOptions.md)
 - [CloneStatistics](docs//CloneStatistics.md)
 - [CloneTestPlanOperationInformation](docs//CloneTestPlanOperationInformation.md)
 - [CloneTestPlanParams](docs//CloneTestPlanParams.md)
 - [CloneTestSuiteOperationInformation](docs//CloneTestSuiteOperationInformation.md)
 - [CloneTestSuiteParams](docs//CloneTestSuiteParams.md)
 - [CltCustomerIntelligenceData](docs//CltCustomerIntelligenceData.md)
 - [CodeCoverageData](docs//CodeCoverageData.md)
 - [CodeCoverageStatistics](docs//CodeCoverageStatistics.md)
 - [CodeCoverageSummary](docs//CodeCoverageSummary.md)
 - [CodeCoverageSummary2](docs//CodeCoverageSummary2.md)
 - [CodeRepositoryReference](docs//CodeRepositoryReference.md)
 - [CodeResult](docs//CodeResult.md)
 - [CodeSearchRequest](docs//CodeSearchRequest.md)
 - [CodeSearchResponse](docs//CodeSearchResponse.md)
 - [Collection](docs//Collection.md)
 - [Comment](docs//Comment.md)
 - [CommentCreate](docs//CommentCreate.md)
 - [CommentIterationContext](docs//CommentIterationContext.md)
 - [CommentList](docs//CommentList.md)
 - [CommentMention](docs//CommentMention.md)
 - [CommentPosition](docs//CommentPosition.md)
 - [CommentReaction](docs//CommentReaction.md)
 - [CommentThread](docs//CommentThread.md)
 - [CommentThreadContext](docs//CommentThreadContext.md)
 - [CommentTrackingCriteria](docs//CommentTrackingCriteria.md)
 - [CommentUpdate](docs//CommentUpdate.md)
 - [CommentVersion](docs//CommentVersion.md)
 - [CompletionErrorsEvent](docs//CompletionErrorsEvent.md)
 - [ComplianceSettings](docs//ComplianceSettings.md)
 - [Condition](docs//Condition.md)
 - [Configuration](docs//Configuration.md)
 - [ConfigurationVariableValue](docs//ConfigurationVariableValue.md)
 - [ConsoleLogEvent](docs//ConsoleLogEvent.md)
 - [Consumer](docs//Consumer.md)
 - [ConsumerAction](docs//ConsumerAction.md)
 - [ContainerImageTrigger](docs//ContainerImageTrigger.md)
 - [ContinuousDeploymentDefinition](docs//ContinuousDeploymentDefinition.md)
 - [ContinuousDeploymentTriggerIssue](docs//ContinuousDeploymentTriggerIssue.md)
 - [ContinuousIntegrationTrigger](docs//ContinuousIntegrationTrigger.md)
 - [Contribution](docs//Contribution.md)
 - [ContributionBase](docs//ContributionBase.md)
 - [ContributionConstraint](docs//ContributionConstraint.md)
 - [ContributionNodeQuery](docs//ContributionNodeQuery.md)
 - [ContributionNodeQueryResult](docs//ContributionNodeQueryResult.md)
 - [ContributionPropertyDescription](docs//ContributionPropertyDescription.md)
 - [ContributionProviderDetails](docs//ContributionProviderDetails.md)
 - [ContributionType](docs//ContributionType.md)
 - [Control](docs//Control.md)
 - [ControlOptions](docs//ControlOptions.md)
 - [CoreProfileAttribute](docs//CoreProfileAttribute.md)
 - [CounterGroup](docs//CounterGroup.md)
 - [CounterInstanceSamples](docs//CounterInstanceSamples.md)
 - [CounterSample](docs//CounterSample.md)
 - [CounterSampleQueryDetails](docs//CounterSampleQueryDetails.md)
 - [CounterSamplesResult](docs//CounterSamplesResult.md)
 - [CounterVariable](docs//CounterVariable.md)
 - [Coverage2](docs//Coverage2.md)
 - [CoverageStatistics](docs//CoverageStatistics.md)
 - [CreatePlan](docs//CreatePlan.md)
 - [CreateProcessModel](docs//CreateProcessModel.md)
 - [CreateProcessRuleRequest](docs//CreateProcessRuleRequest.md)
 - [CreateProcessWorkItemTypeRequest](docs//CreateProcessWorkItemTypeRequest.md)
 - [CreateProfileContext](docs//CreateProfileContext.md)
 - [CreateTestMessageLogEntryRequest](docs//CreateTestMessageLogEntryRequest.md)
 - [CreateTestResultsRequest](docs//CreateTestResultsRequest.md)
 - [CreateTestRunRequest](docs//CreateTestRunRequest.md)
 - [CustomArtifactDownloadInput](docs//CustomArtifactDownloadInput.md)
 - [CustomTestField](docs//CustomTestField.md)
 - [CustomTestFieldDefinition](docs//CustomTestFieldDefinition.md)
 - [Dashboard](docs//Dashboard.md)
 - [DashboardGroup](docs//DashboardGroup.md)
 - [DashboardGroupEntry](docs//DashboardGroupEntry.md)
 - [DashboardGroupEntryResponse](docs//DashboardGroupEntryResponse.md)
 - [DashboardResponse](docs//DashboardResponse.md)
 - [DataProviderContext](docs//DataProviderContext.md)
 - [DataProviderExceptionDetails](docs//DataProviderExceptionDetails.md)
 - [DataProviderQuery](docs//DataProviderQuery.md)
 - [DataProviderResult](docs//DataProviderResult.md)
 - [DataProviderSharedData](docs//DataProviderSharedData.md)
 - [DataSource](docs//DataSource.md)
 - [DataSourceBinding](docs//DataSourceBinding.md)
 - [DataSourceBindingBase](docs//DataSourceBindingBase.md)
 - [DataSourceDetails](docs//DataSourceDetails.md)
 - [DateRange](docs//DateRange.md)
 - [DatedTestFieldData](docs//DatedTestFieldData.md)
 - [DebugEntry](docs//DebugEntry.md)
 - [DebugEntryCreateBatch](docs//DebugEntryCreateBatch.md)
 - [DecoratedAuditLogEntry](docs//DecoratedAuditLogEntry.md)
 - [DefaultAfnStripBinding](docs//DefaultAfnStripBinding.md)
 - [DefinitionEnvironmentReference](docs//DefinitionEnvironmentReference.md)
 - [DefinitionReference](docs//DefinitionReference.md)
 - [DefinitionResourceReference](docs//DefinitionResourceReference.md)
 - [DeleteTestRunRequest](docs//DeleteTestRunRequest.md)
 - [DeliveryViewData](docs//DeliveryViewData.md)
 - [DeliveryViewPropertyCollection](docs//DeliveryViewPropertyCollection.md)
 - [Demand](docs//Demand.md)
 - [DemandEquals](docs//DemandEquals.md)
 - [DemandExists](docs//DemandExists.md)
 - [DemandMinimumVersion](docs//DemandMinimumVersion.md)
 - [Dependency](docs//Dependency.md)
 - [DependencyBinding](docs//DependencyBinding.md)
 - [DependencyData](docs//DependencyData.md)
 - [DependsOn](docs//DependsOn.md)
 - [DeployPhase](docs//DeployPhase.md)
 - [Deployment](docs//Deployment.md)
 - [DeploymentApprovalCompletedEvent](docs//DeploymentApprovalCompletedEvent.md)
 - [DeploymentApprovalPendingEvent](docs//DeploymentApprovalPendingEvent.md)
 - [DeploymentAttempt](docs//DeploymentAttempt.md)
 - [DeploymentAuthorizationInfo](docs//DeploymentAuthorizationInfo.md)
 - [DeploymentBuild](docs//DeploymentBuild.md)
 - [DeploymentCompletedEvent](docs//DeploymentCompletedEvent.md)
 - [DeploymentDeploy](docs//DeploymentDeploy.md)
 - [DeploymentGatesChangeEvent](docs//DeploymentGatesChangeEvent.md)
 - [DeploymentGroup](docs//DeploymentGroup.md)
 - [DeploymentGroupCreateParameter](docs//DeploymentGroupCreateParameter.md)
 - [DeploymentGroupCreateParameterPoolProperty](docs//DeploymentGroupCreateParameterPoolProperty.md)
 - [DeploymentGroupMetrics](docs//DeploymentGroupMetrics.md)
 - [DeploymentGroupReference](docs//DeploymentGroupReference.md)
 - [DeploymentGroupUpdateParameter](docs//DeploymentGroupUpdateParameter.md)
 - [DeploymentInput](docs//DeploymentInput.md)
 - [DeploymentJob](docs//DeploymentJob.md)
 - [DeploymentMachine](docs//DeploymentMachine.md)
 - [DeploymentMachineChangedData](docs//DeploymentMachineChangedData.md)
 - [DeploymentMachineGroup](docs//DeploymentMachineGroup.md)
 - [DeploymentMachineGroupReference](docs//DeploymentMachineGroupReference.md)
 - [DeploymentMachinesChangeEvent](docs//DeploymentMachinesChangeEvent.md)
 - [DeploymentManualInterventionPendingEvent](docs//DeploymentManualInterventionPendingEvent.md)
 - [DeploymentPoolSummary](docs//DeploymentPoolSummary.md)
 - [DeploymentQueryParameters](docs//DeploymentQueryParameters.md)
 - [DeploymentStartedEvent](docs//DeploymentStartedEvent.md)
 - [DeploymentTargetUpdateParameter](docs//DeploymentTargetUpdateParameter.md)
 - [DeploymentTest](docs//DeploymentTest.md)
 - [DesignerProcess](docs//DesignerProcess.md)
 - [DesignerProcessTarget](docs//DesignerProcessTarget.md)
 - [DestinationTestPlanCloneParams](docs//DestinationTestPlanCloneParams.md)
 - [DestinationTestSuiteInfo](docs//DestinationTestSuiteInfo.md)
 - [DiagnosticIdentity](docs//DiagnosticIdentity.md)
 - [DiagnosticLogMetadata](docs//DiagnosticLogMetadata.md)
 - [DiagnosticNotification](docs//DiagnosticNotification.md)
 - [DiagnosticRecipient](docs//DiagnosticRecipient.md)
 - [Diagnostics](docs//Diagnostics.md)
 - [DiscussionsUpdatedEvent](docs//DiscussionsUpdatedEvent.md)
 - [DockerProcess](docs//DockerProcess.md)
 - [DockerProcessTarget](docs//DockerProcessTarget.md)
 - [DownloadAttachmentsRequest](docs//DownloadAttachmentsRequest.md)
 - [DropAccessData](docs//DropAccessData.md)
 - [DtlEnvironmentDetails](docs//DtlEnvironmentDetails.md)
 - [EmailHtmlSubscriptionChannel](docs//EmailHtmlSubscriptionChannel.md)
 - [EmailPlaintextSubscriptionChannel](docs//EmailPlaintextSubscriptionChannel.md)
 - [EmailRecipients](docs//EmailRecipients.md)
 - [EndpointAuthorization](docs//EndpointAuthorization.md)
 - [EndpointOperationStatus](docs//EndpointOperationStatus.md)
 - [EndpointUrl](docs//EndpointUrl.md)
 - [EntitySearchRequest](docs//EntitySearchRequest.md)
 - [EntitySearchRequestBase](docs//EntitySearchRequestBase.md)
 - [EntitySearchResponse](docs//EntitySearchResponse.md)
 - [EnvironmentCreateParameter](docs//EnvironmentCreateParameter.md)
 - [EnvironmentDeploymentExecutionRecord](docs//EnvironmentDeploymentExecutionRecord.md)
 - [EnvironmentExecutionPolicy](docs//EnvironmentExecutionPolicy.md)
 - [EnvironmentInstance](docs//EnvironmentInstance.md)
 - [EnvironmentLinkedResourceReference](docs//EnvironmentLinkedResourceReference.md)
 - [EnvironmentOptions](docs//EnvironmentOptions.md)
 - [EnvironmentReference](docs//EnvironmentReference.md)
 - [EnvironmentResource](docs//EnvironmentResource.md)
 - [EnvironmentResourceReference](docs//EnvironmentResourceReference.md)
 - [EnvironmentRetentionPolicy](docs//EnvironmentRetentionPolicy.md)
 - [EnvironmentTrigger](docs//EnvironmentTrigger.md)
 - [EnvironmentTriggerContent](docs//EnvironmentTriggerContent.md)
 - [EnvironmentUpdateParameter](docs//EnvironmentUpdateParameter.md)
 - [ErrorDetails](docs//ErrorDetails.md)
 - [Event](docs//Event.md)
 - [EventActor](docs//EventActor.md)
 - [EventBacklogStatus](docs//EventBacklogStatus.md)
 - [EventBatch](docs//EventBatch.md)
 - [EventProcessingLog](docs//EventProcessingLog.md)
 - [EventScope](docs//EventScope.md)
 - [EventTransformRequest](docs//EventTransformRequest.md)
 - [EventTransformResult](docs//EventTransformResult.md)
 - [EventTypeDescriptor](docs//EventTypeDescriptor.md)
 - [EventsEvaluationResult](docs//EventsEvaluationResult.md)
 - [ExecutionInput](docs//ExecutionInput.md)
 - [ExpressionFilter](docs//ExpressionFilter.md)
 - [ExpressionFilterClause](docs//ExpressionFilterClause.md)
 - [ExpressionFilterGroup](docs//ExpressionFilterGroup.md)
 - [ExpressionFilterModel](docs//ExpressionFilterModel.md)
 - [ExpressionValidationItem](docs//ExpressionValidationItem.md)
 - [Extension](docs//Extension.md)
 - [ExtensionAcquisitionRequest](docs//ExtensionAcquisitionRequest.md)
 - [ExtensionAuditLog](docs//ExtensionAuditLog.md)
 - [ExtensionAuditLogEntry](docs//ExtensionAuditLogEntry.md)
 - [ExtensionAuthorization](docs//ExtensionAuthorization.md)
 - [ExtensionBadge](docs//ExtensionBadge.md)
 - [ExtensionDataCollection](docs//ExtensionDataCollection.md)
 - [ExtensionDataCollectionQuery](docs//ExtensionDataCollectionQuery.md)
 - [ExtensionEvent](docs//ExtensionEvent.md)
 - [ExtensionEventCallback](docs//ExtensionEventCallback.md)
 - [ExtensionEventCallbackCollection](docs//ExtensionEventCallbackCollection.md)
 - [ExtensionEventUrls](docs//ExtensionEventUrls.md)
 - [ExtensionFile](docs//ExtensionFile.md)
 - [ExtensionHost](docs//ExtensionHost.md)
 - [ExtensionIdentifier](docs//ExtensionIdentifier.md)
 - [ExtensionLicensing](docs//ExtensionLicensing.md)
 - [ExtensionManifest](docs//ExtensionManifest.md)
 - [ExtensionPolicy](docs//ExtensionPolicy.md)
 - [ExtensionRequest](docs//ExtensionRequest.md)
 - [ExtensionRequestEvent](docs//ExtensionRequestEvent.md)
 - [ExtensionRequestUrls](docs//ExtensionRequestUrls.md)
 - [ExtensionRequestsEvent](docs//ExtensionRequestsEvent.md)
 - [ExtensionShare](docs//ExtensionShare.md)
 - [ExtensionState](docs//ExtensionState.md)
 - [ExtensionStatistic](docs//ExtensionStatistic.md)
 - [ExtensionSummaryData](docs//ExtensionSummaryData.md)
 - [ExtensionUrls](docs//ExtensionUrls.md)
 - [ExtensionVersion](docs//ExtensionVersion.md)
 - [ExternalConfigurationDescriptor](docs//ExternalConfigurationDescriptor.md)
 - [FailingSince](docs//FailingSince.md)
 - [FavoriteItem](docs//FavoriteItem.md)
 - [Feed](docs//Feed.md)
 - [FeedBatchData](docs//FeedBatchData.md)
 - [FeedChange](docs//FeedChange.md)
 - [FeedChangesResponse](docs//FeedChangesResponse.md)
 - [FeedCore](docs//FeedCore.md)
 - [FeedInfo](docs//FeedInfo.md)
 - [FeedPermission](docs//FeedPermission.md)
 - [FeedRetentionPolicy](docs//FeedRetentionPolicy.md)
 - [FeedUpdate](docs//FeedUpdate.md)
 - [FeedView](docs//FeedView.md)
 - [FetchTestResultsRequest](docs//FetchTestResultsRequest.md)
 - [FetchTestResultsResponse](docs//FetchTestResultsResponse.md)
 - [FieldDependentRule](docs//FieldDependentRule.md)
 - [FieldDetailsForTestResults](docs//FieldDetailsForTestResults.md)
 - [FieldInfo](docs//FieldInfo.md)
 - [FieldInputValues](docs//FieldInputValues.md)
 - [FieldModel](docs//FieldModel.md)
 - [FieldReference](docs//FieldReference.md)
 - [FieldRuleModel](docs//FieldRuleModel.md)
 - [FieldSetting](docs//FieldSetting.md)
 - [FieldValuesQuery](docs//FieldValuesQuery.md)
 - [FieldsToEvaluate](docs//FieldsToEvaluate.md)
 - [FileContentMetadata](docs//FileContentMetadata.md)
 - [FileCoverage](docs//FileCoverage.md)
 - [FileCoverageRequest](docs//FileCoverageRequest.md)
 - [FileDiff](docs//FileDiff.md)
 - [FileDiffParams](docs//FileDiffParams.md)
 - [FileDiffsCriteria](docs//FileDiffsCriteria.md)
 - [Filter](docs//Filter.md)
 - [FilterClause](docs//FilterClause.md)
 - [FilterGroup](docs//FilterGroup.md)
 - [FilterPointQuery](docs//FilterPointQuery.md)
 - [FlakyDetection](docs//FlakyDetection.md)
 - [FlakyDetectionPipelines](docs//FlakyDetectionPipelines.md)
 - [FlakySettings](docs//FlakySettings.md)
 - [Folder](docs//Folder.md)
 - [Forks](docs//Forks.md)
 - [FormLayout](docs//FormLayout.md)
 - [FormattedEventMessage](docs//FormattedEventMessage.md)
 - [FunctionCoverage](docs//FunctionCoverage.md)
 - [FunctionCoverage2](docs//FunctionCoverage2.md)
 - [GateUpdateMetadata](docs//GateUpdateMetadata.md)
 - [GatedCheckInTrigger](docs//GatedCheckInTrigger.md)
 - [GatesDeployPhase](docs//GatesDeployPhase.md)
 - [GatesDeploymentInput](docs//GatesDeploymentInput.md)
 - [GeneratedNotification](docs//GeneratedNotification.md)
 - [GeoRegion](docs//GeoRegion.md)
 - [GitAnnotatedTag](docs//GitAnnotatedTag.md)
 - [GitArtifactDownloadInput](docs//GitArtifactDownloadInput.md)
 - [GitAsyncRefOperation](docs//GitAsyncRefOperation.md)
 - [GitAsyncRefOperationDetail](docs//GitAsyncRefOperationDetail.md)
 - [GitAsyncRefOperationParameters](docs//GitAsyncRefOperationParameters.md)
 - [GitAsyncRefOperationSource](docs//GitAsyncRefOperationSource.md)
 - [GitBaseVersionDescriptor](docs//GitBaseVersionDescriptor.md)
 - [GitBlobRef](docs//GitBlobRef.md)
 - [GitBranchStats](docs//GitBranchStats.md)
 - [GitChange](docs//GitChange.md)
 - [GitCherryPick](docs//GitCherryPick.md)
 - [GitCommit](docs//GitCommit.md)
 - [GitCommitChanges](docs//GitCommitChanges.md)
 - [GitCommitDiffs](docs//GitCommitDiffs.md)
 - [GitCommitRef](docs//GitCommitRef.md)
 - [GitCommitToCreate](docs//GitCommitToCreate.md)
 - [GitConflict](docs//GitConflict.md)
 - [GitConflictAddAdd](docs//GitConflictAddAdd.md)
 - [GitConflictAddRename](docs//GitConflictAddRename.md)
 - [GitConflictDeleteEdit](docs//GitConflictDeleteEdit.md)
 - [GitConflictDeleteRename](docs//GitConflictDeleteRename.md)
 - [GitConflictDirectoryFile](docs//GitConflictDirectoryFile.md)
 - [GitConflictEditDelete](docs//GitConflictEditDelete.md)
 - [GitConflictEditEdit](docs//GitConflictEditEdit.md)
 - [GitConflictFileDirectory](docs//GitConflictFileDirectory.md)
 - [GitConflictRename1to2](docs//GitConflictRename1to2.md)
 - [GitConflictRename2to1](docs//GitConflictRename2to1.md)
 - [GitConflictRenameAdd](docs//GitConflictRenameAdd.md)
 - [GitConflictRenameDelete](docs//GitConflictRenameDelete.md)
 - [GitConflictRenameRename](docs//GitConflictRenameRename.md)
 - [GitConflictUpdateResult](docs//GitConflictUpdateResult.md)
 - [GitDeletedRepository](docs//GitDeletedRepository.md)
 - [GitFilePathsCollection](docs//GitFilePathsCollection.md)
 - [GitForkOperationStatusDetail](docs//GitForkOperationStatusDetail.md)
 - [GitForkRef](docs//GitForkRef.md)
 - [GitForkSyncRequest](docs//GitForkSyncRequest.md)
 - [GitForkSyncRequestParameters](docs//GitForkSyncRequestParameters.md)
 - [GitForkTeamProjectReference](docs//GitForkTeamProjectReference.md)
 - [GitHubArtifactDownloadInput](docs//GitHubArtifactDownloadInput.md)
 - [GitImportFailedEvent](docs//GitImportFailedEvent.md)
 - [GitImportGitSource](docs//GitImportGitSource.md)
 - [GitImportRequest](docs//GitImportRequest.md)
 - [GitImportRequestParameters](docs//GitImportRequestParameters.md)
 - [GitImportStatusDetail](docs//GitImportStatusDetail.md)
 - [GitImportSucceededEvent](docs//GitImportSucceededEvent.md)
 - [GitImportTfvcSource](docs//GitImportTfvcSource.md)
 - [GitItem](docs//GitItem.md)
 - [GitItemDescriptor](docs//GitItemDescriptor.md)
 - [GitItemRequestData](docs//GitItemRequestData.md)
 - [GitLastChangeItem](docs//GitLastChangeItem.md)
 - [GitLastChangeTreeItems](docs//GitLastChangeTreeItems.md)
 - [GitMerge](docs//GitMerge.md)
 - [GitMergeOperationStatusDetail](docs//GitMergeOperationStatusDetail.md)
 - [GitMergeOriginRef](docs//GitMergeOriginRef.md)
 - [GitMergeParameters](docs//GitMergeParameters.md)
 - [GitObject](docs//GitObject.md)
 - [GitPathAction](docs//GitPathAction.md)
 - [GitPathToItemsCollection](docs//GitPathToItemsCollection.md)
 - [GitPolicyConfigurationResponse](docs//GitPolicyConfigurationResponse.md)
 - [GitPullRequest](docs//GitPullRequest.md)
 - [GitPullRequestChange](docs//GitPullRequestChange.md)
 - [GitPullRequestCommentThread](docs//GitPullRequestCommentThread.md)
 - [GitPullRequestCommentThreadContext](docs//GitPullRequestCommentThreadContext.md)
 - [GitPullRequestCompletionOptions](docs//GitPullRequestCompletionOptions.md)
 - [GitPullRequestIteration](docs//GitPullRequestIteration.md)
 - [GitPullRequestIterationChanges](docs//GitPullRequestIterationChanges.md)
 - [GitPullRequestMergeOptions](docs//GitPullRequestMergeOptions.md)
 - [GitPullRequestQuery](docs//GitPullRequestQuery.md)
 - [GitPullRequestQueryInput](docs//GitPullRequestQueryInput.md)
 - [GitPullRequestReviewFileContentInfo](docs//GitPullRequestReviewFileContentInfo.md)
 - [GitPullRequestSearchCriteria](docs//GitPullRequestSearchCriteria.md)
 - [GitPullRequestStatus](docs//GitPullRequestStatus.md)
 - [GitPush](docs//GitPush.md)
 - [GitPushEventData](docs//GitPushEventData.md)
 - [GitPushRef](docs//GitPushRef.md)
 - [GitPushSearchCriteria](docs//GitPushSearchCriteria.md)
 - [GitQueryBranchStatsCriteria](docs//GitQueryBranchStatsCriteria.md)
 - [GitQueryCommitsCriteria](docs//GitQueryCommitsCriteria.md)
 - [GitQueryRefsCriteria](docs//GitQueryRefsCriteria.md)
 - [GitRecycleBinRepositoryDetails](docs//GitRecycleBinRepositoryDetails.md)
 - [GitRef](docs//GitRef.md)
 - [GitRefFavorite](docs//GitRefFavorite.md)
 - [GitRefUpdate](docs//GitRefUpdate.md)
 - [GitRefUpdateResult](docs//GitRefUpdateResult.md)
 - [GitRepository](docs//GitRepository.md)
 - [GitRepositoryCreateOptions](docs//GitRepositoryCreateOptions.md)
 - [GitRepositoryRef](docs//GitRepositoryRef.md)
 - [GitRepositoryStats](docs//GitRepositoryStats.md)
 - [GitResolution](docs//GitResolution.md)
 - [GitResolutionMergeContent](docs//GitResolutionMergeContent.md)
 - [GitResolutionPathConflict](docs//GitResolutionPathConflict.md)
 - [GitResolutionPickOneAction](docs//GitResolutionPickOneAction.md)
 - [GitResolutionRename1to2](docs//GitResolutionRename1to2.md)
 - [GitRevert](docs//GitRevert.md)
 - [GitStatus](docs//GitStatus.md)
 - [GitStatusContext](docs//GitStatusContext.md)
 - [GitSuggestion](docs//GitSuggestion.md)
 - [GitTargetVersionDescriptor](docs//GitTargetVersionDescriptor.md)
 - [GitTemplate](docs//GitTemplate.md)
 - [GitTreeDiff](docs//GitTreeDiff.md)
 - [GitTreeDiffEntry](docs//GitTreeDiffEntry.md)
 - [GitTreeDiffResponse](docs//GitTreeDiffResponse.md)
 - [GitTreeEntryRef](docs//GitTreeEntryRef.md)
 - [GitTreeRef](docs//GitTreeRef.md)
 - [GitUserDate](docs//GitUserDate.md)
 - [GitVersionDescriptor](docs//GitVersionDescriptor.md)
 - [GlobalGitRepositoryKey](docs//GlobalGitRepositoryKey.md)
 - [GlobalPermission](docs//GlobalPermission.md)
 - [GraphCachePolicies](docs//GraphCachePolicies.md)
 - [GraphDescriptorResult](docs//GraphDescriptorResult.md)
 - [GraphFederatedProviderData](docs//GraphFederatedProviderData.md)
 - [GraphGlobalExtendedPropertyBatch](docs//GraphGlobalExtendedPropertyBatch.md)
 - [GraphGroup](docs//GraphGroup.md)
 - [GraphGroupCreationContext](docs//GraphGroupCreationContext.md)
 - [GraphGroupMailAddressCreationContext](docs//GraphGroupMailAddressCreationContext.md)
 - [GraphGroupOriginIdCreationContext](docs//GraphGroupOriginIdCreationContext.md)
 - [GraphGroupVstsCreationContext](docs//GraphGroupVstsCreationContext.md)
 - [GraphMember](docs//GraphMember.md)
 - [GraphMembership](docs//GraphMembership.md)
 - [GraphMembershipState](docs//GraphMembershipState.md)
 - [GraphMembershipTraversal](docs//GraphMembershipTraversal.md)
 - [GraphProviderInfo](docs//GraphProviderInfo.md)
 - [GraphScope](docs//GraphScope.md)
 - [GraphScopeCreationContext](docs//GraphScopeCreationContext.md)
 - [GraphStorageKeyResult](docs//GraphStorageKeyResult.md)
 - [GraphSubject](docs//GraphSubject.md)
 - [GraphSubjectBase](docs//GraphSubjectBase.md)
 - [GraphSubjectLookup](docs//GraphSubjectLookup.md)
 - [GraphSubjectLookupKey](docs//GraphSubjectLookupKey.md)
 - [GraphSystemSubject](docs//GraphSystemSubject.md)
 - [GraphUser](docs//GraphUser.md)
 - [GraphUserCreationContext](docs//GraphUserCreationContext.md)
 - [GraphUserMailAddressCreationContext](docs//GraphUserMailAddressCreationContext.md)
 - [GraphUserOriginIdCreationContext](docs//GraphUserOriginIdCreationContext.md)
 - [GraphUserOriginIdUpdateContext](docs//GraphUserOriginIdUpdateContext.md)
 - [GraphUserPrincipalNameCreationContext](docs//GraphUserPrincipalNameCreationContext.md)
 - [Group](docs//Group.md)
 - [GroupEntitlement](docs//GroupEntitlement.md)
 - [GroupEntitlementOperationReference](docs//GroupEntitlementOperationReference.md)
 - [GroupOperationResult](docs//GroupOperationResult.md)
 - [GroupOption](docs//GroupOption.md)
 - [GroupSubscriptionChannel](docs//GroupSubscriptionChannel.md)
 - [HelpLink](docs//HelpLink.md)
 - [HideStateModel](docs//HideStateModel.md)
 - [HistoryEntry](docs//HistoryEntry.md)
 - [Hit](docs//Hit.md)
 - [HttpPostedTcmAttachment](docs//HttpPostedTcmAttachment.md)
 - [INotificationDiagnosticLog](docs//INotificationDiagnosticLog.md)
 - [ISubscriptionChannel](docs//ISubscriptionChannel.md)
 - [ISubscriptionFilter](docs//ISubscriptionFilter.md)
 - [Identity](docs//Identity.md)
 - [IdentityBase](docs//IdentityBase.md)
 - [IdentityData](docs//IdentityData.md)
 - [IdentityDescriptor](docs//IdentityDescriptor.md)
 - [IdentityRef](docs//IdentityRef.md)
 - [IdentityRefWithVote](docs//IdentityRefWithVote.md)
 - [IdentityReference](docs//IdentityReference.md)
 - [IgnoredGate](docs//IgnoredGate.md)
 - [ImportRepositoryValidation](docs//ImportRepositoryValidation.md)
 - [IncludedGitCommit](docs//IncludedGitCommit.md)
 - [InformationNode](docs//InformationNode.md)
 - [InputBindingContext](docs//InputBindingContext.md)
 - [InputDescriptor](docs//InputDescriptor.md)
 - [InputFilter](docs//InputFilter.md)
 - [InputFilterCondition](docs//InputFilterCondition.md)
 - [InputValidation](docs//InputValidation.md)
 - [InputValidationItem](docs//InputValidationItem.md)
 - [InputValidationRequest](docs//InputValidationRequest.md)
 - [InputValue](docs//InputValue.md)
 - [InputValues](docs//InputValues.md)
 - [InputValuesError](docs//InputValuesError.md)
 - [InputValuesQuery](docs//InputValuesQuery.md)
 - [InstallationTarget](docs//InstallationTarget.md)
 - [InstalledExtension](docs//InstalledExtension.md)
 - [InstalledExtensionQuery](docs//InstalledExtensionQuery.md)
 - [InstalledExtensionState](docs//InstalledExtensionState.md)
 - [InstalledExtensionStateIssue](docs//InstalledExtensionStateIssue.md)
 - [IsDraftUpdatedEvent](docs//IsDraftUpdatedEvent.md)
 - [Issue](docs//Issue.md)
 - [ItemContent](docs//ItemContent.md)
 - [ItemDetailsOptions](docs//ItemDetailsOptions.md)
 - [ItemModel](docs//ItemModel.md)
 - [IterationWorkItems](docs//IterationWorkItems.md)
 - [JObject](docs//JObject.md)
 - [JToken](docs//JToken.md)
 - [JenkinsArtifactDownloadInput](docs//JenkinsArtifactDownloadInput.md)
 - [JobAssignedEvent](docs//JobAssignedEvent.md)
 - [JobCancelMessage](docs//JobCancelMessage.md)
 - [JobCompletedEvent](docs//JobCompletedEvent.md)
 - [JobEnvironment](docs//JobEnvironment.md)
 - [JobEvent](docs//JobEvent.md)
 - [JobEventConfig](docs//JobEventConfig.md)
 - [JobEventsConfig](docs//JobEventsConfig.md)
 - [JobOption](docs//JobOption.md)
 - [JobReference](docs//JobReference.md)
 - [JobRequestMessage](docs//JobRequestMessage.md)
 - [JobStartedEvent](docs//JobStartedEvent.md)
 - [JsonBlobBlockHash](docs//JsonBlobBlockHash.md)
 - [JsonBlobIdentifier](docs//JsonBlobIdentifier.md)
 - [JsonBlobIdentifierWithBlocks](docs//JsonBlobIdentifierWithBlocks.md)
 - [JsonPatchDocument](docs//JsonPatchDocument.md)
 - [JsonPatchOperation](docs//JsonPatchOperation.md)
 - [JustInTimeProcess](docs//JustInTimeProcess.md)
 - [KubernetesResource](docs//KubernetesResource.md)
 - [KubernetesResourceCreateParameters](docs//KubernetesResourceCreateParameters.md)
 - [LabelsUpdatedEvent](docs//LabelsUpdatedEvent.md)
 - [LastResultDetails](docs//LastResultDetails.md)
 - [LegacyBuildConfiguration](docs//LegacyBuildConfiguration.md)
 - [LegacyReleaseReference](docs//LegacyReleaseReference.md)
 - [LegacyTestCaseResult](docs//LegacyTestCaseResult.md)
 - [LegacyTestCaseResultIdentifier](docs//LegacyTestCaseResultIdentifier.md)
 - [LegacyTestRun](docs//LegacyTestRun.md)
 - [LegacyTestRunStatistic](docs//LegacyTestRunStatistic.md)
 - [LegacyTestSettings](docs//LegacyTestSettings.md)
 - [LicenseSummaryData](docs//LicenseSummaryData.md)
 - [LicensingOverride](docs//LicensingOverride.md)
 - [LightboxOptions](docs//LightboxOptions.md)
 - [LineBlockCoverage](docs//LineBlockCoverage.md)
 - [LineDiffBlock](docs//LineDiffBlock.md)
 - [Link](docs//Link.md)
 - [LinkedWorkItemsQuery](docs//LinkedWorkItemsQuery.md)
 - [LinkedWorkItemsQueryResult](docs//LinkedWorkItemsQueryResult.md)
 - [LoadGenerationGeoLocation](docs//LoadGenerationGeoLocation.md)
 - [LoadTestDefinition](docs//LoadTestDefinition.md)
 - [LoadTestErrors](docs//LoadTestErrors.md)
 - [LoadTestRunDetails](docs//LoadTestRunDetails.md)
 - [LoadTestRunSettings](docs//LoadTestRunSettings.md)
 - [MachineGroupBasedDeployPhase](docs//MachineGroupBasedDeployPhase.md)
 - [MachineGroupDeploymentInput](docs//MachineGroupDeploymentInput.md)
 - [MailMessage](docs//MailMessage.md)
 - [ManualIntervention](docs//ManualIntervention.md)
 - [ManualInterventionUpdateMetadata](docs//ManualInterventionUpdateMetadata.md)
 - [MappingDetails](docs//MappingDetails.md)
 - [Marker](docs//Marker.md)
 - [MarketplacePurchasedLicense](docs//MarketplacePurchasedLicense.md)
 - [MaskHint](docs//MaskHint.md)
 - [MatcherResult](docs//MatcherResult.md)
 - [MavenDistributionManagement](docs//MavenDistributionManagement.md)
 - [MavenMinimalPackageDetails](docs//MavenMinimalPackageDetails.md)
 - [MavenPackage](docs//MavenPackage.md)
 - [MavenPackageVersionDeletionState](docs//MavenPackageVersionDeletionState.md)
 - [MavenPackagesBatchRequest](docs//MavenPackagesBatchRequest.md)
 - [MavenPomBuild](docs//MavenPomBuild.md)
 - [MavenPomCi](docs//MavenPomCi.md)
 - [MavenPomCiNotifier](docs//MavenPomCiNotifier.md)
 - [MavenPomDependency](docs//MavenPomDependency.md)
 - [MavenPomDependencyManagement](docs//MavenPomDependencyManagement.md)
 - [MavenPomGav](docs//MavenPomGav.md)
 - [MavenPomIssueManagement](docs//MavenPomIssueManagement.md)
 - [MavenPomLicense](docs//MavenPomLicense.md)
 - [MavenPomMailingList](docs//MavenPomMailingList.md)
 - [MavenPomMetadata](docs//MavenPomMetadata.md)
 - [MavenPomOrganization](docs//MavenPomOrganization.md)
 - [MavenPomParent](docs//MavenPomParent.md)
 - [MavenPomPerson](docs//MavenPomPerson.md)
 - [MavenPomScm](docs//MavenPomScm.md)
 - [MavenRecycleBinPackageVersionDetails](docs//MavenRecycleBinPackageVersionDetails.md)
 - [MavenRepository](docs//MavenRepository.md)
 - [MavenSnapshotRepository](docs//MavenSnapshotRepository.md)
 - [Member](docs//Member.md)
 - [MemberEntitlement](docs//MemberEntitlement.md)
 - [MemberEntitlementOperationReference](docs//MemberEntitlementOperationReference.md)
 - [MemberEntitlementsPatchResponse](docs//MemberEntitlementsPatchResponse.md)
 - [MemberEntitlementsPostResponse](docs//MemberEntitlementsPostResponse.md)
 - [MemberEntitlementsResponseBase](docs//MemberEntitlementsResponseBase.md)
 - [MergeCompletedEvent](docs//MergeCompletedEvent.md)
 - [MessageQueueSubscriptionChannel](docs//MessageQueueSubscriptionChannel.md)
 - [Metric](docs//Metric.md)
 - [MetricsColumnMetaData](docs//MetricsColumnMetaData.md)
 - [MetricsColumnsHeader](docs//MetricsColumnsHeader.md)
 - [MetricsRow](docs//MetricsRow.md)
 - [MinimalPackageDetails](docs//MinimalPackageDetails.md)
 - [MinimalPackageVersion](docs//MinimalPackageVersion.md)
 - [ModuleCoverage](docs//ModuleCoverage.md)
 - [ModuleCoverage2](docs//ModuleCoverage2.md)
 - [MultiConfigInput](docs//MultiConfigInput.md)
 - [MultiMachineInput](docs//MultiMachineInput.md)
 - [MultipleAgentExecutionOptions](docs//MultipleAgentExecutionOptions.md)
 - [NameValuePair](docs//NameValuePair.md)
 - [Notification](docs//Notification.md)
 - [NotificationAdminSettings](docs//NotificationAdminSettings.md)
 - [NotificationAdminSettingsUpdateParameters](docs//NotificationAdminSettingsUpdateParameters.md)
 - [NotificationBacklogStatus](docs//NotificationBacklogStatus.md)
 - [NotificationBatch](docs//NotificationBatch.md)
 - [NotificationDeliveryLog](docs//NotificationDeliveryLog.md)
 - [NotificationDetails](docs//NotificationDetails.md)
 - [NotificationDiagnosticLog](docs//NotificationDiagnosticLog.md)
 - [NotificationDiagnosticLogMessage](docs//NotificationDiagnosticLogMessage.md)
 - [NotificationEventBacklogStatus](docs//NotificationEventBacklogStatus.md)
 - [NotificationEventField](docs//NotificationEventField.md)
 - [NotificationEventFieldOperator](docs//NotificationEventFieldOperator.md)
 - [NotificationEventFieldType](docs//NotificationEventFieldType.md)
 - [NotificationEventPublisher](docs//NotificationEventPublisher.md)
 - [NotificationEventRole](docs//NotificationEventRole.md)
 - [NotificationEventType](docs//NotificationEventType.md)
 - [NotificationEventTypeCategory](docs//NotificationEventTypeCategory.md)
 - [NotificationJobDiagnosticLog](docs//NotificationJobDiagnosticLog.md)
 - [NotificationQueryCondition](docs//NotificationQueryCondition.md)
 - [NotificationReason](docs//NotificationReason.md)
 - [NotificationResultsSummaryDetail](docs//NotificationResultsSummaryDetail.md)
 - [NotificationStatistic](docs//NotificationStatistic.md)
 - [NotificationStatisticsQuery](docs//NotificationStatisticsQuery.md)
 - [NotificationStatisticsQueryConditions](docs//NotificationStatisticsQueryConditions.md)
 - [NotificationSubscriber](docs//NotificationSubscriber.md)
 - [NotificationSubscriberUpdateParameters](docs//NotificationSubscriberUpdateParameters.md)
 - [NotificationSubscription](docs//NotificationSubscription.md)
 - [NotificationSubscriptionCreateParameters](docs//NotificationSubscriptionCreateParameters.md)
 - [NotificationSubscriptionTemplate](docs//NotificationSubscriptionTemplate.md)
 - [NotificationSubscriptionUpdateParameters](docs//NotificationSubscriptionUpdateParameters.md)
 - [NotificationSummary](docs//NotificationSummary.md)
 - [NotificationsEvaluationResult](docs//NotificationsEvaluationResult.md)
 - [NotificationsQuery](docs//NotificationsQuery.md)
 - [NpmPackageVersionDeletionState](docs//NpmPackageVersionDeletionState.md)
 - [NpmPackagesBatchRequest](docs//NpmPackagesBatchRequest.md)
 - [NpmRecycleBinPackageVersionDetails](docs//NpmRecycleBinPackageVersionDetails.md)
 - [NuGetPackageVersionDeletionState](docs//NuGetPackageVersionDeletionState.md)
 - [NuGetPackagesBatchRequest](docs//NuGetPackagesBatchRequest.md)
 - [NuGetRecycleBinPackageVersionDetails](docs//NuGetRecycleBinPackageVersionDetails.md)
 - [OAuth2TokenResult](docs//OAuth2TokenResult.md)
 - [OAuthConfiguration](docs//OAuthConfiguration.md)
 - [OAuthConfigurationParams](docs//OAuthConfigurationParams.md)
 - [OAuthEndpointStatus](docs//OAuthEndpointStatus.md)
 - [Operation](docs//Operation.md)
 - [OperationReference](docs//OperationReference.md)
 - [OperationResult](docs//OperationResult.md)
 - [OperationResultReference](docs//OperationResultReference.md)
 - [OperatorConstraint](docs//OperatorConstraint.md)
 - [OverridableRunSettings](docs//OverridableRunSettings.md)
 - [Package](docs//Package.md)
 - [PackageChange](docs//PackageChange.md)
 - [PackageChangesResponse](docs//PackageChangesResponse.md)
 - [PackageDependency](docs//PackageDependency.md)
 - [PackageFile](docs//PackageFile.md)
 - [PackageHit](docs//PackageHit.md)
 - [PackageMetadata](docs//PackageMetadata.md)
 - [PackageMetrics](docs//PackageMetrics.md)
 - [PackageMetricsQuery](docs//PackageMetricsQuery.md)
 - [PackageResult](docs//PackageResult.md)
 - [PackageSearchRequest](docs//PackageSearchRequest.md)
 - [PackageSearchResponse](docs//PackageSearchResponse.md)
 - [PackageSearchResponseContent](docs//PackageSearchResponseContent.md)
 - [PackageTrigger](docs//PackageTrigger.md)
 - [PackageVersion](docs//PackageVersion.md)
 - [PackageVersionChange](docs//PackageVersionChange.md)
 - [PackageVersionDetails](docs//PackageVersionDetails.md)
 - [PackageVersionMetrics](docs//PackageVersionMetrics.md)
 - [PackageVersionMetricsQuery](docs//PackageVersionMetricsQuery.md)
 - [PackageVersionProvenance](docs//PackageVersionProvenance.md)
 - [Page](docs//Page.md)
 - [PageSummary](docs//PageSummary.md)
 - [PagedGraphGroups](docs//PagedGraphGroups.md)
 - [PagedGraphMemberList](docs//PagedGraphMemberList.md)
 - [PagedGraphUsers](docs//PagedGraphUsers.md)
 - [ParallelExecutionInputBase](docs//ParallelExecutionInputBase.md)
 - [Parameter](docs//Parameter.md)
 - [ParentChildWIMap](docs//ParentChildWIMap.md)
 - [PermissionEvaluation](docs//PermissionEvaluation.md)
 - [PermissionEvaluationBatch](docs//PermissionEvaluationBatch.md)
 - [Phase](docs//Phase.md)
 - [PhaseReference](docs//PhaseReference.md)
 - [PhaseTarget](docs//PhaseTarget.md)
 - [PickList](docs//PickList.md)
 - [PickListMetadata](docs//PickListMetadata.md)
 - [PipelineProcess](docs//PipelineProcess.md)
 - [PipelineReference](docs//PipelineReference.md)
 - [Plan](docs//Plan.md)
 - [PlanEnvironment](docs//PlanEnvironment.md)
 - [PlanMetadata](docs//PlanMetadata.md)
 - [PlanUpdateModel](docs//PlanUpdateModel.md)
 - [PlanViewData](docs//PlanViewData.md)
 - [Plugin](docs//Plugin.md)
 - [PluginConfiguration](docs//PluginConfiguration.md)
 - [PointAssignment](docs//PointAssignment.md)
 - [PointLastResult](docs//PointLastResult.md)
 - [PointUpdateModel](docs//PointUpdateModel.md)
 - [PointWorkItemProperty](docs//PointWorkItemProperty.md)
 - [PointsFilter](docs//PointsFilter.md)
 - [PointsReference2](docs//PointsReference2.md)
 - [PointsResults2](docs//PointsResults2.md)
 - [PolicyConfiguration](docs//PolicyConfiguration.md)
 - [PolicyConfigurationRef](docs//PolicyConfigurationRef.md)
 - [PolicyEvaluationRecord](docs//PolicyEvaluationRecord.md)
 - [PolicyEvaluationUpdatedEvent](docs//PolicyEvaluationUpdatedEvent.md)
 - [PolicyType](docs//PolicyType.md)
 - [PolicyTypeRef](docs//PolicyTypeRef.md)
 - [PredefinedQuery](docs//PredefinedQuery.md)
 - [Process](docs//Process.md)
 - [ProcessBehavior](docs//ProcessBehavior.md)
 - [ProcessBehaviorCreateRequest](docs//ProcessBehaviorCreateRequest.md)
 - [ProcessBehaviorField](docs//ProcessBehaviorField.md)
 - [ProcessBehaviorReference](docs//ProcessBehaviorReference.md)
 - [ProcessBehaviorUpdateRequest](docs//ProcessBehaviorUpdateRequest.md)
 - [ProcessConfiguration](docs//ProcessConfiguration.md)
 - [ProcessImportResult](docs//ProcessImportResult.md)
 - [ProcessInfo](docs//ProcessInfo.md)
 - [ProcessModel](docs//ProcessModel.md)
 - [ProcessParameters](docs//ProcessParameters.md)
 - [ProcessPromoteStatus](docs//ProcessPromoteStatus.md)
 - [ProcessProperties](docs//ProcessProperties.md)
 - [ProcessReference](docs//ProcessReference.md)
 - [ProcessRule](docs//ProcessRule.md)
 - [ProcessWorkItemType](docs//ProcessWorkItemType.md)
 - [ProcessWorkItemTypeField](docs//ProcessWorkItemTypeField.md)
 - [ProcessedEvent](docs//ProcessedEvent.md)
 - [ProcessingDiagnosticIdentity](docs//ProcessingDiagnosticIdentity.md)
 - [ProcessingIdentities](docs//ProcessingIdentities.md)
 - [Profile](docs//Profile.md)
 - [ProfileAttribute](docs//ProfileAttribute.md)
 - [ProfileAttributeBase](docs//ProfileAttributeBase.md)
 - [ProfileRegion](docs//ProfileRegion.md)
 - [ProfileRegions](docs//ProfileRegions.md)
 - [Project](docs//Project.md)
 - [ProjectAvatar](docs//ProjectAvatar.md)
 - [ProjectEntitlement](docs//ProjectEntitlement.md)
 - [ProjectInfo](docs//ProjectInfo.md)
 - [ProjectMessage](docs//ProjectMessage.md)
 - [ProjectProperties](docs//ProjectProperties.md)
 - [ProjectProperty](docs//ProjectProperty.md)
 - [ProjectRef](docs//ProjectRef.md)
 - [ProjectReference](docs//ProjectReference.md)
 - [ProjectWorkItemStateColors](docs//ProjectWorkItemStateColors.md)
 - [PropertiesCollection](docs//PropertiesCollection.md)
 - [PropertyBag](docs//PropertyBag.md)
 - [PropertySelector](docs//PropertySelector.md)
 - [ProtocolMetadata](docs//ProtocolMetadata.md)
 - [Provenance](docs//Provenance.md)
 - [ProvisioningResult](docs//ProvisioningResult.md)
 - [Proxy](docs//Proxy.md)
 - [ProxyAuthorization](docs//ProxyAuthorization.md)
 - [PublicKey](docs//PublicKey.md)
 - [PublishTaskGroupMetadata](docs//PublishTaskGroupMetadata.md)
 - [PublishedExtension](docs//PublishedExtension.md)
 - [Publisher](docs//Publisher.md)
 - [PublisherEvent](docs//PublisherEvent.md)
 - [PublisherFacts](docs//PublisherFacts.md)
 - [PublishersQuery](docs//PublishersQuery.md)
 - [PullRequest](docs//PullRequest.md)
 - [PullRequestConfiguration](docs//PullRequestConfiguration.md)
 - [PullRequestCreatedEvent](docs//PullRequestCreatedEvent.md)
 - [PullRequestFilter](docs//PullRequestFilter.md)
 - [PullRequestTabExtensionConfig](docs//PullRequestTabExtensionConfig.md)
 - [PullRequestTrigger](docs//PullRequestTrigger.md)
 - [PyPiPackageVersionDeletionState](docs//PyPiPackageVersionDeletionState.md)
 - [PyPiPackagesBatchRequest](docs//PyPiPackagesBatchRequest.md)
 - [PyPiRecycleBinPackageVersionDetails](docs//PyPiRecycleBinPackageVersionDetails.md)
 - [QueryBatchGetRequest](docs//QueryBatchGetRequest.md)
 - [QueryByPointRequest](docs//QueryByPointRequest.md)
 - [QueryByRunRequest](docs//QueryByRunRequest.md)
 - [QueryHierarchyItem](docs//QueryHierarchyItem.md)
 - [QueryHierarchyItemsResult](docs//QueryHierarchyItemsResult.md)
 - [QueryModel](docs//QueryModel.md)
 - [QueryTestActionResultRequest](docs//QueryTestActionResultRequest.md)
 - [QueryTestActionResultResponse](docs//QueryTestActionResultResponse.md)
 - [QueryTestMessageLogEntryRequest](docs//QueryTestMessageLogEntryRequest.md)
 - [QueryTestRunStatsRequest](docs//QueryTestRunStatsRequest.md)
 - [QueryTestRuns2Request](docs//QueryTestRuns2Request.md)
 - [QueryTestRunsRequest](docs//QueryTestRunsRequest.md)
 - [QueuedReleaseData](docs//QueuedReleaseData.md)
 - [RealTimePullRequestEvent](docs//RealTimePullRequestEvent.md)
 - [RealtimeBuildEvent](docs//RealtimeBuildEvent.md)
 - [RealtimeReleaseDefinitionEvent](docs//RealtimeReleaseDefinitionEvent.md)
 - [RealtimeReleaseEvent](docs//RealtimeReleaseEvent.md)
 - [RecycleBinPackageVersion](docs//RecycleBinPackageVersion.md)
 - [ReferenceLink](docs//ReferenceLink.md)
 - [ReferenceLinks](docs//ReferenceLinks.md)
 - [Release](docs//Release.md)
 - [ReleaseAbandonedEvent](docs//ReleaseAbandonedEvent.md)
 - [ReleaseApproval](docs//ReleaseApproval.md)
 - [ReleaseApprovalHistory](docs//ReleaseApprovalHistory.md)
 - [ReleaseApprovalPendingEvent](docs//ReleaseApprovalPendingEvent.md)
 - [ReleaseArtifact](docs//ReleaseArtifact.md)
 - [ReleaseCondition](docs//ReleaseCondition.md)
 - [ReleaseCreatedEvent](docs//ReleaseCreatedEvent.md)
 - [ReleaseDefinition](docs//ReleaseDefinition.md)
 - [ReleaseDefinitionApprovalStep](docs//ReleaseDefinitionApprovalStep.md)
 - [ReleaseDefinitionApprovals](docs//ReleaseDefinitionApprovals.md)
 - [ReleaseDefinitionDeployStep](docs//ReleaseDefinitionDeployStep.md)
 - [ReleaseDefinitionEnvironment](docs//ReleaseDefinitionEnvironment.md)
 - [ReleaseDefinitionEnvironmentStep](docs//ReleaseDefinitionEnvironmentStep.md)
 - [ReleaseDefinitionEnvironmentSummary](docs//ReleaseDefinitionEnvironmentSummary.md)
 - [ReleaseDefinitionEnvironmentTemplate](docs//ReleaseDefinitionEnvironmentTemplate.md)
 - [ReleaseDefinitionGate](docs//ReleaseDefinitionGate.md)
 - [ReleaseDefinitionGatesOptions](docs//ReleaseDefinitionGatesOptions.md)
 - [ReleaseDefinitionGatesStep](docs//ReleaseDefinitionGatesStep.md)
 - [ReleaseDefinitionRevision](docs//ReleaseDefinitionRevision.md)
 - [ReleaseDefinitionShallowReference](docs//ReleaseDefinitionShallowReference.md)
 - [ReleaseDefinitionSummary](docs//ReleaseDefinitionSummary.md)
 - [ReleaseDefinitionUndeleteParameter](docs//ReleaseDefinitionUndeleteParameter.md)
 - [ReleaseDeployPhase](docs//ReleaseDeployPhase.md)
 - [ReleaseEnvironment](docs//ReleaseEnvironment.md)
 - [ReleaseEnvironmentCompletedEvent](docs//ReleaseEnvironmentCompletedEvent.md)
 - [ReleaseEnvironmentDefinitionReference](docs//ReleaseEnvironmentDefinitionReference.md)
 - [ReleaseEnvironmentShallowReference](docs//ReleaseEnvironmentShallowReference.md)
 - [ReleaseEnvironmentStatusUpdatedEvent](docs//ReleaseEnvironmentStatusUpdatedEvent.md)
 - [ReleaseEnvironmentUpdateMetadata](docs//ReleaseEnvironmentUpdateMetadata.md)
 - [ReleaseGates](docs//ReleaseGates.md)
 - [ReleaseGatesPhase](docs//ReleaseGatesPhase.md)
 - [ReleaseManagementInputValue](docs//ReleaseManagementInputValue.md)
 - [ReleaseNotCreatedEvent](docs//ReleaseNotCreatedEvent.md)
 - [ReleaseReference](docs//ReleaseReference.md)
 - [ReleaseReference2](docs//ReleaseReference2.md)
 - [ReleaseRevision](docs//ReleaseRevision.md)
 - [ReleaseSchedule](docs//ReleaseSchedule.md)
 - [ReleaseSettings](docs//ReleaseSettings.md)
 - [ReleaseShallowReference](docs//ReleaseShallowReference.md)
 - [ReleaseStartEnvironmentMetadata](docs//ReleaseStartEnvironmentMetadata.md)
 - [ReleaseStartMetadata](docs//ReleaseStartMetadata.md)
 - [ReleaseTask](docs//ReleaseTask.md)
 - [ReleaseTaskAttachment](docs//ReleaseTaskAttachment.md)
 - [ReleaseTaskLogUpdatedEvent](docs//ReleaseTaskLogUpdatedEvent.md)
 - [ReleaseTasksUpdatedEvent](docs//ReleaseTasksUpdatedEvent.md)
 - [ReleaseTriggerBase](docs//ReleaseTriggerBase.md)
 - [ReleaseUpdateMetadata](docs//ReleaseUpdateMetadata.md)
 - [ReleaseUpdatedEvent](docs//ReleaseUpdatedEvent.md)
 - [ReleaseWorkItemRef](docs//ReleaseWorkItemRef.md)
 - [ReorderOperation](docs//ReorderOperation.md)
 - [ReorderResult](docs//ReorderResult.md)
 - [ReportingWorkItemLinksBatch](docs//ReportingWorkItemLinksBatch.md)
 - [ReportingWorkItemRevisionsBatch](docs//ReportingWorkItemRevisionsBatch.md)
 - [ReportingWorkItemRevisionsFilter](docs//ReportingWorkItemRevisionsFilter.md)
 - [Repository](docs//Repository.md)
 - [RepositoryWebhook](docs//RepositoryWebhook.md)
 - [Request](docs//Request.md)
 - [RequestSummary](docs//RequestSummary.md)
 - [RequestedExtension](docs//RequestedExtension.md)
 - [RequirementsToTestsMapping2](docs//RequirementsToTestsMapping2.md)
 - [ResetTestResultsRequest](docs//ResetTestResultsRequest.md)
 - [ResolvedDataProvider](docs//ResolvedDataProvider.md)
 - [ResourceBase](docs//ResourceBase.md)
 - [ResourceContainer](docs//ResourceContainer.md)
 - [ResourceFilterOptions](docs//ResourceFilterOptions.md)
 - [ResourceFilters](docs//ResourceFilters.md)
 - [ResourceItem](docs//ResourceItem.md)
 - [ResourceLimit](docs//ResourceLimit.md)
 - [ResourceRef](docs//ResourceRef.md)
 - [ResourceReference](docs//ResourceReference.md)
 - [ResourceUsage](docs//ResourceUsage.md)
 - [ResourcesHubData](docs//ResourcesHubData.md)
 - [Response](docs//Response.md)
 - [ResultRetentionSettings](docs//ResultRetentionSettings.md)
 - [ResultTransformationDetails](docs//ResultTransformationDetails.md)
 - [ResultUpdateRequest](docs//ResultUpdateRequest.md)
 - [ResultUpdateRequestModel](docs//ResultUpdateRequestModel.md)
 - [ResultUpdateResponse](docs//ResultUpdateResponse.md)
 - [ResultUpdateResponseModel](docs//ResultUpdateResponseModel.md)
 - [Results](docs//Results.md)
 - [ResultsByQueryRequest](docs//ResultsByQueryRequest.md)
 - [ResultsByQueryResponse](docs//ResultsByQueryResponse.md)
 - [ResultsFilter](docs//ResultsFilter.md)
 - [ResultsStoreQuery](docs//ResultsStoreQuery.md)
 - [RetargetEvent](docs//RetargetEvent.md)
 - [RetentionPolicy](docs//RetentionPolicy.md)
 - [RetentionSettings](docs//RetentionSettings.md)
 - [ReviewerVoteUpdatedEvent](docs//ReviewerVoteUpdatedEvent.md)
 - [ReviewersUpdatedEvent](docs//ReviewersUpdatedEvent.md)
 - [ReviewersVotesResetEvent](docs//ReviewersVotesResetEvent.md)
 - [RoleBasedFilter](docs//RoleBasedFilter.md)
 - [Rule](docs//Rule.md)
 - [RuleAction](docs//RuleAction.md)
 - [RuleActionModel](docs//RuleActionModel.md)
 - [RuleCondition](docs//RuleCondition.md)
 - [RuleConditionModel](docs//RuleConditionModel.md)
 - [RunCreateModel](docs//RunCreateModel.md)
 - [RunFilter](docs//RunFilter.md)
 - [RunOnServerDeployPhase](docs//RunOnServerDeployPhase.md)
 - [RunStatistic](docs//RunStatistic.md)
 - [RunSummaryModel](docs//RunSummaryModel.md)
 - [RunUpdateModel](docs//RunUpdateModel.md)
 - [SaveCachedPackagesData](docs//SaveCachedPackagesData.md)
 - [ScenarioSummary](docs//ScenarioSummary.md)
 - [Schedule](docs//Schedule.md)
 - [ScheduleTrigger](docs//ScheduleTrigger.md)
 - [ScheduledReleaseTrigger](docs//ScheduledReleaseTrigger.md)
 - [Scope](docs//Scope.md)
 - [ScrollSearchRequest](docs//ScrollSearchRequest.md)
 - [Section](docs//Section.md)
 - [SecureFile](docs//SecureFile.md)
 - [SecureFileEvent](docs//SecureFileEvent.md)
 - [SecureFileReference](docs//SecureFileReference.md)
 - [SecurityNamespaceDescription](docs//SecurityNamespaceDescription.md)
 - [SemanticVersion](docs//SemanticVersion.md)
 - [SendJobResponse](docs//SendJobResponse.md)
 - [ServerDeploymentInput](docs//ServerDeploymentInput.md)
 - [ServerExecutionDefinition](docs//ServerExecutionDefinition.md)
 - [ServerTarget](docs//ServerTarget.md)
 - [ServerTargetExecutionOptions](docs//ServerTargetExecutionOptions.md)
 - [ServerTaskRequestMessage](docs//ServerTaskRequestMessage.md)
 - [ServiceBusSubscriptionChannel](docs//ServiceBusSubscriptionChannel.md)
 - [ServiceEndpoint](docs//ServiceEndpoint.md)
 - [ServiceEndpointAuthenticationScheme](docs//ServiceEndpointAuthenticationScheme.md)
 - [ServiceEndpointDetails](docs//ServiceEndpointDetails.md)
 - [ServiceEndpointExecutionData](docs//ServiceEndpointExecutionData.md)
 - [ServiceEndpointExecutionOwner](docs//ServiceEndpointExecutionOwner.md)
 - [ServiceEndpointExecutionRecord](docs//ServiceEndpointExecutionRecord.md)
 - [ServiceEndpointExecutionRecordsInput](docs//ServiceEndpointExecutionRecordsInput.md)
 - [ServiceEndpointOAuthConfigurationReference](docs//ServiceEndpointOAuthConfigurationReference.md)
 - [ServiceEndpointReference](docs//ServiceEndpointReference.md)
 - [ServiceEndpointRequest](docs//ServiceEndpointRequest.md)
 - [ServiceEndpointRequestResult](docs//ServiceEndpointRequestResult.md)
 - [ServiceEndpointType](docs//ServiceEndpointType.md)
 - [ServiceHooksSubscriptionChannel](docs//ServiceHooksSubscriptionChannel.md)
 - [SessionRequest](docs//SessionRequest.md)
 - [SessionResponse](docs//SessionResponse.md)
 - [SessionToken](docs//SessionToken.md)
 - [ShallowReference](docs//ShallowReference.md)
 - [ShallowTestCaseResult](docs//ShallowTestCaseResult.md)
 - [ShareNotificationContext](docs//ShareNotificationContext.md)
 - [SharedStepModel](docs//SharedStepModel.md)
 - [SoapSubscriptionChannel](docs//SoapSubscriptionChannel.md)
 - [SortOption](docs//SortOption.md)
 - [SourceIdInput](docs//SourceIdInput.md)
 - [SourceProviderAttributes](docs//SourceProviderAttributes.md)
 - [SourcePullRequestVersion](docs//SourcePullRequestVersion.md)
 - [SourceRelatedWorkItem](docs//SourceRelatedWorkItem.md)
 - [SourceRepoTrigger](docs//SourceRepoTrigger.md)
 - [SourceRepositories](docs//SourceRepositories.md)
 - [SourceRepository](docs//SourceRepository.md)
 - [SourceRepositoryItem](docs//SourceRepositoryItem.md)
 - [SourceTestPlanInfo](docs//SourceTestPlanInfo.md)
 - [SourceTestSuiteInfo](docs//SourceTestSuiteInfo.md)
 - [SourceTestplanResponse](docs//SourceTestplanResponse.md)
 - [SourceToTargetRef](docs//SourceToTargetRef.md)
 - [StageReference](docs//StageReference.md)
 - [StaticAgentRunSetting](docs//StaticAgentRunSetting.md)
 - [StatusAddedEvent](docs//StatusAddedEvent.md)
 - [StatusUpdatedEvent](docs//StatusUpdatedEvent.md)
 - [StatusesDeletedEvent](docs//StatusesDeletedEvent.md)
 - [StreamedBatch](docs//StreamedBatch.md)
 - [SubType](docs//SubType.md)
 - [Subscription](docs//Subscription.md)
 - [SubscriptionAdminSettings](docs//SubscriptionAdminSettings.md)
 - [SubscriptionChannelWithAddress](docs//SubscriptionChannelWithAddress.md)
 - [SubscriptionDiagnostics](docs//SubscriptionDiagnostics.md)
 - [SubscriptionEvaluation](docs//SubscriptionEvaluation.md)
 - [SubscriptionEvaluationClause](docs//SubscriptionEvaluationClause.md)
 - [SubscriptionEvaluationRequest](docs//SubscriptionEvaluationRequest.md)
 - [SubscriptionEvaluationResult](docs//SubscriptionEvaluationResult.md)
 - [SubscriptionEvaluationSettings](docs//SubscriptionEvaluationSettings.md)
 - [SubscriptionInputValuesQuery](docs//SubscriptionInputValuesQuery.md)
 - [SubscriptionManagement](docs//SubscriptionManagement.md)
 - [SubscriptionQuery](docs//SubscriptionQuery.md)
 - [SubscriptionQueryCondition](docs//SubscriptionQueryCondition.md)
 - [SubscriptionScope](docs//SubscriptionScope.md)
 - [SubscriptionTraceDiagnosticLog](docs//SubscriptionTraceDiagnosticLog.md)
 - [SubscriptionTraceEventProcessingLog](docs//SubscriptionTraceEventProcessingLog.md)
 - [SubscriptionTraceNotificationDeliveryLog](docs//SubscriptionTraceNotificationDeliveryLog.md)
 - [SubscriptionTracing](docs//SubscriptionTracing.md)
 - [SubscriptionUserSettings](docs//SubscriptionUserSettings.md)
 - [SubscriptionsQuery](docs//SubscriptionsQuery.md)
 - [SuiteCreateModel](docs//SuiteCreateModel.md)
 - [SuiteEntry](docs//SuiteEntry.md)
 - [SuiteEntryUpdateModel](docs//SuiteEntryUpdateModel.md)
 - [SuiteEntryUpdateParams](docs//SuiteEntryUpdateParams.md)
 - [SuiteTestCase](docs//SuiteTestCase.md)
 - [SuiteTestCaseCreateUpdateParameters](docs//SuiteTestCaseCreateUpdateParameters.md)
 - [SuiteTestCaseUpdateModel](docs//SuiteTestCaseUpdateModel.md)
 - [SuiteUpdateModel](docs//SuiteUpdateModel.md)
 - [SummaryData](docs//SummaryData.md)
 - [SummaryMailSection](docs//SummaryMailSection.md)
 - [SummaryPercentileData](docs//SummaryPercentileData.md)
 - [SupportedExtension](docs//SupportedExtension.md)
 - [SupportedIde](docs//SupportedIde.md)
 - [SupportedTrigger](docs//SupportedTrigger.md)
 - [SvnMappingDetails](docs//SvnMappingDetails.md)
 - [SvnWorkspace](docs//SvnWorkspace.md)
 - [TCMPropertyBag2](docs//TCMPropertyBag2.md)
 - [TagFilter](docs//TagFilter.md)
 - [TaskAgent](docs//TaskAgent.md)
 - [TaskAgentAuthorization](docs//TaskAgentAuthorization.md)
 - [TaskAgentCloud](docs//TaskAgentCloud.md)
 - [TaskAgentCloudRequest](docs//TaskAgentCloudRequest.md)
 - [TaskAgentCloudType](docs//TaskAgentCloudType.md)
 - [TaskAgentDelaySource](docs//TaskAgentDelaySource.md)
 - [TaskAgentJob](docs//TaskAgentJob.md)
 - [TaskAgentJobRequest](docs//TaskAgentJobRequest.md)
 - [TaskAgentJobStep](docs//TaskAgentJobStep.md)
 - [TaskAgentJobTask](docs//TaskAgentJobTask.md)
 - [TaskAgentJobVariable](docs//TaskAgentJobVariable.md)
 - [TaskAgentManualUpdate](docs//TaskAgentManualUpdate.md)
 - [TaskAgentMessage](docs//TaskAgentMessage.md)
 - [TaskAgentMinAgentVersionRequiredUpdate](docs//TaskAgentMinAgentVersionRequiredUpdate.md)
 - [TaskAgentPool](docs//TaskAgentPool.md)
 - [TaskAgentPoolMaintenanceDefinition](docs//TaskAgentPoolMaintenanceDefinition.md)
 - [TaskAgentPoolMaintenanceJob](docs//TaskAgentPoolMaintenanceJob.md)
 - [TaskAgentPoolMaintenanceJobTargetAgent](docs//TaskAgentPoolMaintenanceJobTargetAgent.md)
 - [TaskAgentPoolMaintenanceOptions](docs//TaskAgentPoolMaintenanceOptions.md)
 - [TaskAgentPoolMaintenanceRetentionPolicy](docs//TaskAgentPoolMaintenanceRetentionPolicy.md)
 - [TaskAgentPoolMaintenanceSchedule](docs//TaskAgentPoolMaintenanceSchedule.md)
 - [TaskAgentPoolReference](docs//TaskAgentPoolReference.md)
 - [TaskAgentPoolStatus](docs//TaskAgentPoolStatus.md)
 - [TaskAgentPoolSummary](docs//TaskAgentPoolSummary.md)
 - [TaskAgentPublicKey](docs//TaskAgentPublicKey.md)
 - [TaskAgentQueue](docs//TaskAgentQueue.md)
 - [TaskAgentReference](docs//TaskAgentReference.md)
 - [TaskAgentSession](docs//TaskAgentSession.md)
 - [TaskAgentSessionKey](docs//TaskAgentSessionKey.md)
 - [TaskAgentUpdate](docs//TaskAgentUpdate.md)
 - [TaskAgentUpdateReason](docs//TaskAgentUpdateReason.md)
 - [TaskAssignedEvent](docs//TaskAssignedEvent.md)
 - [TaskAttachment](docs//TaskAttachment.md)
 - [TaskCompletedEvent](docs//TaskCompletedEvent.md)
 - [TaskDefinition](docs//TaskDefinition.md)
 - [TaskDefinitionEndpoint](docs//TaskDefinitionEndpoint.md)
 - [TaskDefinitionReference](docs//TaskDefinitionReference.md)
 - [TaskEvent](docs//TaskEvent.md)
 - [TaskExecution](docs//TaskExecution.md)
 - [TaskGroup](docs//TaskGroup.md)
 - [TaskGroupCreateParameter](docs//TaskGroupCreateParameter.md)
 - [TaskGroupDefinition](docs//TaskGroupDefinition.md)
 - [TaskGroupRevision](docs//TaskGroupRevision.md)
 - [TaskGroupStep](docs//TaskGroupStep.md)
 - [TaskGroupUpdateParameter](docs//TaskGroupUpdateParameter.md)
 - [TaskHubLicenseDetails](docs//TaskHubLicenseDetails.md)
 - [TaskInputDefinition](docs//TaskInputDefinition.md)
 - [TaskInputDefinitionBase](docs//TaskInputDefinitionBase.md)
 - [TaskInputValidation](docs//TaskInputValidation.md)
 - [TaskInstance](docs//TaskInstance.md)
 - [TaskLog](docs//TaskLog.md)
 - [TaskLogReference](docs//TaskLogReference.md)
 - [TaskOrchestrationContainer](docs//TaskOrchestrationContainer.md)
 - [TaskOrchestrationItem](docs//TaskOrchestrationItem.md)
 - [TaskOrchestrationJob](docs//TaskOrchestrationJob.md)
 - [TaskOrchestrationOwner](docs//TaskOrchestrationOwner.md)
 - [TaskOrchestrationPlan](docs//TaskOrchestrationPlan.md)
 - [TaskOrchestrationPlanGroup](docs//TaskOrchestrationPlanGroup.md)
 - [TaskOrchestrationPlanGroupReference](docs//TaskOrchestrationPlanGroupReference.md)
 - [TaskOrchestrationPlanGroupsQueueMetrics](docs//TaskOrchestrationPlanGroupsQueueMetrics.md)
 - [TaskOrchestrationPlanGroupsStartedEvent](docs//TaskOrchestrationPlanGroupsStartedEvent.md)
 - [TaskOrchestrationPlanReference](docs//TaskOrchestrationPlanReference.md)
 - [TaskOrchestrationQueuedPlan](docs//TaskOrchestrationQueuedPlan.md)
 - [TaskOrchestrationQueuedPlanGroup](docs//TaskOrchestrationQueuedPlanGroup.md)
 - [TaskOutputVariable](docs//TaskOutputVariable.md)
 - [TaskPackageMetadata](docs//TaskPackageMetadata.md)
 - [TaskReference](docs//TaskReference.md)
 - [TaskSourceDefinition](docs//TaskSourceDefinition.md)
 - [TaskSourceDefinitionBase](docs//TaskSourceDefinitionBase.md)
 - [TaskStartedEvent](docs//TaskStartedEvent.md)
 - [TaskVersion](docs//TaskVersion.md)
 - [TeamBacklogMapping](docs//TeamBacklogMapping.md)
 - [TeamContext](docs//TeamContext.md)
 - [TeamFieldValue](docs//TeamFieldValue.md)
 - [TeamFieldValues](docs//TeamFieldValues.md)
 - [TeamFieldValuesPatch](docs//TeamFieldValuesPatch.md)
 - [TeamIterationAttributes](docs//TeamIterationAttributes.md)
 - [TeamMember](docs//TeamMember.md)
 - [TeamMemberCapacity](docs//TeamMemberCapacity.md)
 - [TeamMemberCapacityIdentityRef](docs//TeamMemberCapacityIdentityRef.md)
 - [TeamProject](docs//TeamProject.md)
 - [TeamProjectCollection](docs//TeamProjectCollection.md)
 - [TeamProjectCollectionReference](docs//TeamProjectCollectionReference.md)
 - [TeamProjectReference](docs//TeamProjectReference.md)
 - [TeamRef](docs//TeamRef.md)
 - [TeamSetting](docs//TeamSetting.md)
 - [TeamSettingsDataContractBase](docs//TeamSettingsDataContractBase.md)
 - [TeamSettingsDaysOff](docs//TeamSettingsDaysOff.md)
 - [TeamSettingsDaysOffPatch](docs//TeamSettingsDaysOffPatch.md)
 - [TeamSettingsIteration](docs//TeamSettingsIteration.md)
 - [TeamSettingsPatch](docs//TeamSettingsPatch.md)
 - [TemporaryDataCreatedDTO](docs//TemporaryDataCreatedDTO.md)
 - [TemporaryDataDTO](docs//TemporaryDataDTO.md)
 - [TenantDetails](docs//TenantDetails.md)
 - [TestActionResult](docs//TestActionResult.md)
 - [TestActionResult2](docs//TestActionResult2.md)
 - [TestActionResultModel](docs//TestActionResultModel.md)
 - [TestAttachment](docs//TestAttachment.md)
 - [TestAttachmentReference](docs//TestAttachmentReference.md)
 - [TestAttachmentRequestModel](docs//TestAttachmentRequestModel.md)
 - [TestAuthoringDetails](docs//TestAuthoringDetails.md)
 - [TestCase](docs//TestCase.md)
 - [TestCaseMetadata2](docs//TestCaseMetadata2.md)
 - [TestCaseReference](docs//TestCaseReference.md)
 - [TestCaseReference2](docs//TestCaseReference2.md)
 - [TestCaseResult](docs//TestCaseResult.md)
 - [TestCaseResultAttachmentModel](docs//TestCaseResultAttachmentModel.md)
 - [TestCaseResultIdAndRev](docs//TestCaseResultIdAndRev.md)
 - [TestCaseResultIdentifier](docs//TestCaseResultIdentifier.md)
 - [TestCaseResultUpdateModel](docs//TestCaseResultUpdateModel.md)
 - [TestConfiguration](docs//TestConfiguration.md)
 - [TestConfigurationCreateUpdateParameters](docs//TestConfigurationCreateUpdateParameters.md)
 - [TestConfigurationReference](docs//TestConfigurationReference.md)
 - [TestDefinition](docs//TestDefinition.md)
 - [TestDefinitionBasic](docs//TestDefinitionBasic.md)
 - [TestDrop](docs//TestDrop.md)
 - [TestDropRef](docs//TestDropRef.md)
 - [TestEnvironment](docs//TestEnvironment.md)
 - [TestExecutionReportData](docs//TestExecutionReportData.md)
 - [TestExtensionField](docs//TestExtensionField.md)
 - [TestExtensionFieldDetails](docs//TestExtensionFieldDetails.md)
 - [TestFailureDetails](docs//TestFailureDetails.md)
 - [TestFailureType](docs//TestFailureType.md)
 - [TestFailuresAnalysis](docs//TestFailuresAnalysis.md)
 - [TestFieldData](docs//TestFieldData.md)
 - [TestFieldsEx2](docs//TestFieldsEx2.md)
 - [TestFlakyIdentifier](docs//TestFlakyIdentifier.md)
 - [TestHistoryQuery](docs//TestHistoryQuery.md)
 - [TestIterationDetailsModel](docs//TestIterationDetailsModel.md)
 - [TestLog](docs//TestLog.md)
 - [TestLogReference](docs//TestLogReference.md)
 - [TestLogStatus](docs//TestLogStatus.md)
 - [TestLogStoreEndpointDetails](docs//TestLogStoreEndpointDetails.md)
 - [TestMessageLog2](docs//TestMessageLog2.md)
 - [TestMessageLogDetails](docs//TestMessageLogDetails.md)
 - [TestMessageLogEntry](docs//TestMessageLogEntry.md)
 - [TestMessageLogEntry2](docs//TestMessageLogEntry2.md)
 - [TestMethod](docs//TestMethod.md)
 - [TestOperationReference](docs//TestOperationReference.md)
 - [TestOutcomeSettings](docs//TestOutcomeSettings.md)
 - [TestParameter2](docs//TestParameter2.md)
 - [TestPlan](docs//TestPlan.md)
 - [TestPlanCloneRequest](docs//TestPlanCloneRequest.md)
 - [TestPlanCreateParams](docs//TestPlanCreateParams.md)
 - [TestPlanDetailedReference](docs//TestPlanDetailedReference.md)
 - [TestPlanHubData](docs//TestPlanHubData.md)
 - [TestPlanReference](docs//TestPlanReference.md)
 - [TestPlanUpdateParams](docs//TestPlanUpdateParams.md)
 - [TestPlansHubRefreshData](docs//TestPlansHubRefreshData.md)
 - [TestPlansWithSelection](docs//TestPlansWithSelection.md)
 - [TestPoint](docs//TestPoint.md)
 - [TestPointCount](docs//TestPointCount.md)
 - [TestPointReference](docs//TestPointReference.md)
 - [TestPointResults](docs//TestPointResults.md)
 - [TestPointUpdateParams](docs//TestPointUpdateParams.md)
 - [TestPointsEvent](docs//TestPointsEvent.md)
 - [TestPointsQuery](docs//TestPointsQuery.md)
 - [TestPointsUpdatedEvent](docs//TestPointsUpdatedEvent.md)
 - [TestResolutionState](docs//TestResolutionState.md)
 - [TestResult2](docs//TestResult2.md)
 - [TestResultAcrossProjectResponse](docs//TestResultAcrossProjectResponse.md)
 - [TestResultAttachment](docs//TestResultAttachment.md)
 - [TestResultAttachmentIdentity](docs//TestResultAttachmentIdentity.md)
 - [TestResultCreateModel](docs//TestResultCreateModel.md)
 - [TestResultDocument](docs//TestResultDocument.md)
 - [TestResultHistory](docs//TestResultHistory.md)
 - [TestResultHistoryDetailsForGroup](docs//TestResultHistoryDetailsForGroup.md)
 - [TestResultHistoryForGroup](docs//TestResultHistoryForGroup.md)
 - [TestResultMetaData](docs//TestResultMetaData.md)
 - [TestResultMetaDataUpdateInput](docs//TestResultMetaDataUpdateInput.md)
 - [TestResultMetaDataUpdateResponse](docs//TestResultMetaDataUpdateResponse.md)
 - [TestResultModelBase](docs//TestResultModelBase.md)
 - [TestResultParameter](docs//TestResultParameter.md)
 - [TestResultParameterModel](docs//TestResultParameterModel.md)
 - [TestResultPayload](docs//TestResultPayload.md)
 - [TestResultReset2](docs//TestResultReset2.md)
 - [TestResultSummary](docs//TestResultSummary.md)
 - [TestResultTrendFilter](docs//TestResultTrendFilter.md)
 - [TestResults](docs//TestResults.md)
 - [TestResultsContext](docs//TestResultsContext.md)
 - [TestResultsDetails](docs//TestResultsDetails.md)
 - [TestResultsDetailsForGroup](docs//TestResultsDetailsForGroup.md)
 - [TestResultsEx2](docs//TestResultsEx2.md)
 - [TestResultsGroupsForBuild](docs//TestResultsGroupsForBuild.md)
 - [TestResultsGroupsForRelease](docs//TestResultsGroupsForRelease.md)
 - [TestResultsQuery](docs//TestResultsQuery.md)
 - [TestResultsSettings](docs//TestResultsSettings.md)
 - [TestResultsSummary](docs//TestResultsSummary.md)
 - [TestResultsUpdateSettings](docs//TestResultsUpdateSettings.md)
 - [TestResultsWithWatermark](docs//TestResultsWithWatermark.md)
 - [TestRun](docs//TestRun.md)
 - [TestRun2](docs//TestRun2.md)
 - [TestRunAbortMessage](docs//TestRunAbortMessage.md)
 - [TestRunBasic](docs//TestRunBasic.md)
 - [TestRunCanceledEvent](docs//TestRunCanceledEvent.md)
 - [TestRunContext2](docs//TestRunContext2.md)
 - [TestRunCounterInstance](docs//TestRunCounterInstance.md)
 - [TestRunCoverage](docs//TestRunCoverage.md)
 - [TestRunCreatedEvent](docs//TestRunCreatedEvent.md)
 - [TestRunEvent](docs//TestRunEvent.md)
 - [TestRunEx2](docs//TestRunEx2.md)
 - [TestRunExtended2](docs//TestRunExtended2.md)
 - [TestRunMessage](docs//TestRunMessage.md)
 - [TestRunStartedEvent](docs//TestRunStartedEvent.md)
 - [TestRunStatistic](docs//TestRunStatistic.md)
 - [TestRunSummary2](docs//TestRunSummary2.md)
 - [TestRunWithDtlEnvEvent](docs//TestRunWithDtlEnvEvent.md)
 - [TestSession](docs//TestSession.md)
 - [TestSessionExploredWorkItemReference](docs//TestSessionExploredWorkItemReference.md)
 - [TestSessionWorkItemReference](docs//TestSessionWorkItemReference.md)
 - [TestSettings](docs//TestSettings.md)
 - [TestSettings2](docs//TestSettings2.md)
 - [TestSettingsMachineRole](docs//TestSettingsMachineRole.md)
 - [TestSubResult](docs//TestSubResult.md)
 - [TestSuite](docs//TestSuite.md)
 - [TestSuiteCloneRequest](docs//TestSuiteCloneRequest.md)
 - [TestSuiteCreateParams](docs//TestSuiteCreateParams.md)
 - [TestSuiteCreateUpdateCommonParams](docs//TestSuiteCreateUpdateCommonParams.md)
 - [TestSuiteReference](docs//TestSuiteReference.md)
 - [TestSuiteReferenceWithProject](docs//TestSuiteReferenceWithProject.md)
 - [TestSuiteUpdateParams](docs//TestSuiteUpdateParams.md)
 - [TestSummary](docs//TestSummary.md)
 - [TestSummaryForWorkItem](docs//TestSummaryForWorkItem.md)
 - [TestTag](docs//TestTag.md)
 - [TestTagSummary](docs//TestTagSummary.md)
 - [TestTagsUpdateModel](docs//TestTagsUpdateModel.md)
 - [TestToWorkItemLinks](docs//TestToWorkItemLinks.md)
 - [TestVariable](docs//TestVariable.md)
 - [TestVariableCreateUpdateParameters](docs//TestVariableCreateUpdateParameters.md)
 - [TfvcArtifactDownloadInput](docs//TfvcArtifactDownloadInput.md)
 - [TfvcBranch](docs//TfvcBranch.md)
 - [TfvcBranchMapping](docs//TfvcBranchMapping.md)
 - [TfvcBranchRef](docs//TfvcBranchRef.md)
 - [TfvcChange](docs//TfvcChange.md)
 - [TfvcChangeset](docs//TfvcChangeset.md)
 - [TfvcChangesetRef](docs//TfvcChangesetRef.md)
 - [TfvcChangesetSearchCriteria](docs//TfvcChangesetSearchCriteria.md)
 - [TfvcChangesetsRequestData](docs//TfvcChangesetsRequestData.md)
 - [TfvcCheckinEventData](docs//TfvcCheckinEventData.md)
 - [TfvcHistoryEntry](docs//TfvcHistoryEntry.md)
 - [TfvcItem](docs//TfvcItem.md)
 - [TfvcItemDescriptor](docs//TfvcItemDescriptor.md)
 - [TfvcItemPreviousHash](docs//TfvcItemPreviousHash.md)
 - [TfvcItemRequestData](docs//TfvcItemRequestData.md)
 - [TfvcLabel](docs//TfvcLabel.md)
 - [TfvcLabelRef](docs//TfvcLabelRef.md)
 - [TfvcLabelRequestData](docs//TfvcLabelRequestData.md)
 - [TfvcMappingFilter](docs//TfvcMappingFilter.md)
 - [TfvcMergeSource](docs//TfvcMergeSource.md)
 - [TfvcPolicyFailureInfo](docs//TfvcPolicyFailureInfo.md)
 - [TfvcPolicyOverrideInfo](docs//TfvcPolicyOverrideInfo.md)
 - [TfvcShallowBranchRef](docs//TfvcShallowBranchRef.md)
 - [TfvcShelveset](docs//TfvcShelveset.md)
 - [TfvcShelvesetRef](docs//TfvcShelvesetRef.md)
 - [TfvcShelvesetRequestData](docs//TfvcShelvesetRequestData.md)
 - [TfvcStatistics](docs//TfvcStatistics.md)
 - [TfvcVersionDescriptor](docs//TfvcVersionDescriptor.md)
 - [TimeZone](docs//TimeZone.md)
 - [TimeZoneList](docs//TimeZoneList.md)
 - [Timeline](docs//Timeline.md)
 - [TimelineAttempt](docs//TimelineAttempt.md)
 - [TimelineCriteriaStatus](docs//TimelineCriteriaStatus.md)
 - [TimelineIterationStatus](docs//TimelineIterationStatus.md)
 - [TimelineRecord](docs//TimelineRecord.md)
 - [TimelineRecordFeedLinesWrapper](docs//TimelineRecordFeedLinesWrapper.md)
 - [TimelineRecordsUpdatedEvent](docs//TimelineRecordsUpdatedEvent.md)
 - [TimelineReference](docs//TimelineReference.md)
 - [TimelineTeamData](docs//TimelineTeamData.md)
 - [TimelineTeamIteration](docs//TimelineTeamIteration.md)
 - [TimelineTeamStatus](docs//TimelineTeamStatus.md)
 - [TitleDescriptionUpdatedEvent](docs//TitleDescriptionUpdatedEvent.md)
 - [TokenAdminPagedSessionTokens](docs//TokenAdminPagedSessionTokens.md)
 - [TokenAdminRevocation](docs//TokenAdminRevocation.md)
 - [TokenAdminRevocationRule](docs//TokenAdminRevocationRule.md)
 - [TokenAdministrationRevocation](docs//TokenAdministrationRevocation.md)
 - [TransactionSummary](docs//TransactionSummary.md)
 - [Type](docs//Type.md)
 - [UPackPackageVersionDeletionState](docs//UPackPackageVersionDeletionState.md)
 - [UPackPackagesBatchRequest](docs//UPackPackagesBatchRequest.md)
 - [UPackRecycleBinPackageVersionDetails](docs//UPackRecycleBinPackageVersionDetails.md)
 - [UnsupportedFilter](docs//UnsupportedFilter.md)
 - [UnsupportedSubscriptionChannel](docs//UnsupportedSubscriptionChannel.md)
 - [UpdatePlan](docs//UpdatePlan.md)
 - [UpdateProcessModel](docs//UpdateProcessModel.md)
 - [UpdateProcessRuleRequest](docs//UpdateProcessRuleRequest.md)
 - [UpdateProcessWorkItemTypeFieldRequest](docs//UpdateProcessWorkItemTypeFieldRequest.md)
 - [UpdateProcessWorkItemTypeRequest](docs//UpdateProcessWorkItemTypeRequest.md)
 - [UpdateRefsRequest](docs//UpdateRefsRequest.md)
 - [UpdateSubscripitonDiagnosticsParameters](docs//UpdateSubscripitonDiagnosticsParameters.md)
 - [UpdateSubscripitonTracingParameters](docs//UpdateSubscripitonTracingParameters.md)
 - [UpdateTeam](docs//UpdateTeam.md)
 - [UpdateTestRunRequest](docs//UpdateTestRunRequest.md)
 - [UpdateTestRunResponse](docs//UpdateTestRunResponse.md)
 - [UpdatedProperties](docs//UpdatedProperties.md)
 - [UploadAttachmentsRequest](docs//UploadAttachmentsRequest.md)
 - [UpstreamSource](docs//UpstreamSource.md)
 - [UpstreamSourceInfo](docs//UpstreamSourceInfo.md)
 - [UserEntitlement](docs//UserEntitlement.md)
 - [UserEntitlementOperationReference](docs//UserEntitlementOperationReference.md)
 - [UserEntitlementOperationResult](docs//UserEntitlementOperationResult.md)
 - [UserEntitlementsPatchResponse](docs//UserEntitlementsPatchResponse.md)
 - [UserEntitlementsPostResponse](docs//UserEntitlementsPostResponse.md)
 - [UserEntitlementsResponseBase](docs//UserEntitlementsResponseBase.md)
 - [UserExtensionPolicy](docs//UserExtensionPolicy.md)
 - [UserSubscriptionChannel](docs//UserSubscriptionChannel.md)
 - [UserSystemSubscriptionChannel](docs//UserSystemSubscriptionChannel.md)
 - [UsersSummary](docs//UsersSummary.md)
 - [ValidationIssue](docs//ValidationIssue.md)
 - [ValidationItem](docs//ValidationItem.md)
 - [ValueDefinition](docs//ValueDefinition.md)
 - [VariableGroup](docs//VariableGroup.md)
 - [VariableGroupParameters](docs//VariableGroupParameters.md)
 - [VariableGroupReference](docs//VariableGroupReference.md)
 - [VariableMultipliersAgentExecutionOptions](docs//VariableMultipliersAgentExecutionOptions.md)
 - [VariableMultipliersServerExecutionOptions](docs//VariableMultipliersServerExecutionOptions.md)
 - [VariableValue](docs//VariableValue.md)
 - [Version](docs//Version.md)
 - [VersionControlProjectInfo](docs//VersionControlProjectInfo.md)
 - [VersionedPolicyConfigurationRef](docs//VersionedPolicyConfigurationRef.md)
 - [VersionedResource](docs//VersionedResource.md)
 - [VirtualMachine](docs//VirtualMachine.md)
 - [VirtualMachineGroup](docs//VirtualMachineGroup.md)
 - [VirtualMachineGroupCreateParameters](docs//VirtualMachineGroupCreateParameters.md)
 - [VssJsonCollectionWrapper](docs//VssJsonCollectionWrapper.md)
 - [VssJsonCollectionWrapperBase](docs//VssJsonCollectionWrapperBase.md)
 - [VssNotificationEvent](docs//VssNotificationEvent.md)
 - [WebApiConnectedService](docs//WebApiConnectedService.md)
 - [WebApiConnectedServiceDetails](docs//WebApiConnectedServiceDetails.md)
 - [WebApiConnectedServiceRef](docs//WebApiConnectedServiceRef.md)
 - [WebApiCreateTagRequestData](docs//WebApiCreateTagRequestData.md)
 - [WebApiLoadTestMachineInput](docs//WebApiLoadTestMachineInput.md)
 - [WebApiProject](docs//WebApiProject.md)
 - [WebApiProjectCollection](docs//WebApiProjectCollection.md)
 - [WebApiProjectCollectionRef](docs//WebApiProjectCollectionRef.md)
 - [WebApiSetupParamaters](docs//WebApiSetupParamaters.md)
 - [WebApiTagDefinition](docs//WebApiTagDefinition.md)
 - [WebApiTeam](docs//WebApiTeam.md)
 - [WebApiTeamRef](docs//WebApiTeamRef.md)
 - [WebApiTestMachine](docs//WebApiTestMachine.md)
 - [WebApiUserLoadTestMachineInput](docs//WebApiUserLoadTestMachineInput.md)
 - [WebInstanceSummaryData](docs//WebInstanceSummaryData.md)
 - [Widget](docs//Widget.md)
 - [WidgetMetadata](docs//WidgetMetadata.md)
 - [WidgetMetadataResponse](docs//WidgetMetadataResponse.md)
 - [WidgetPosition](docs//WidgetPosition.md)
 - [WidgetResponse](docs//WidgetResponse.md)
 - [WidgetSize](docs//WidgetSize.md)
 - [WidgetTypesResponse](docs//WidgetTypesResponse.md)
 - [WidgetsVersionedList](docs//WidgetsVersionedList.md)
 - [Wiki](docs//Wiki.md)
 - [WikiAttachment](docs//WikiAttachment.md)
 - [WikiAttachmentResponse](docs//WikiAttachmentResponse.md)
 - [WikiCreateBaseParameters](docs//WikiCreateBaseParameters.md)
 - [WikiCreateParameters](docs//WikiCreateParameters.md)
 - [WikiCreateParametersV2](docs//WikiCreateParametersV2.md)
 - [WikiHit](docs//WikiHit.md)
 - [WikiPage](docs//WikiPage.md)
 - [WikiPageCreateOrUpdateParameters](docs//WikiPageCreateOrUpdateParameters.md)
 - [WikiPageMove](docs//WikiPageMove.md)
 - [WikiPageMoveParameters](docs//WikiPageMoveParameters.md)
 - [WikiPageMoveResponse](docs//WikiPageMoveResponse.md)
 - [WikiPageResponse](docs//WikiPageResponse.md)
 - [WikiPageViewStats](docs//WikiPageViewStats.md)
 - [WikiResult](docs//WikiResult.md)
 - [WikiSearchRequest](docs//WikiSearchRequest.md)
 - [WikiSearchResponse](docs//WikiSearchResponse.md)
 - [WikiUpdateParameters](docs//WikiUpdateParameters.md)
 - [WikiUpdatedNotificationMessage](docs//WikiUpdatedNotificationMessage.md)
 - [WikiV2](docs//WikiV2.md)
 - [Wiql](docs//Wiql.md)
 - [WitContribution](docs//WitContribution.md)
 - [WorkArtifactLink](docs//WorkArtifactLink.md)
 - [WorkItem](docs//WorkItem.md)
 - [WorkItemBatchGetRequest](docs//WorkItemBatchGetRequest.md)
 - [WorkItemBehavior](docs//WorkItemBehavior.md)
 - [WorkItemBehaviorField](docs//WorkItemBehaviorField.md)
 - [WorkItemBehaviorReference](docs//WorkItemBehaviorReference.md)
 - [WorkItemClassificationNode](docs//WorkItemClassificationNode.md)
 - [WorkItemColor](docs//WorkItemColor.md)
 - [WorkItemComment](docs//WorkItemComment.md)
 - [WorkItemCommentVersionRef](docs//WorkItemCommentVersionRef.md)
 - [WorkItemComments](docs//WorkItemComments.md)
 - [WorkItemDelete](docs//WorkItemDelete.md)
 - [WorkItemDeleteReference](docs//WorkItemDeleteReference.md)
 - [WorkItemDeleteShallowReference](docs//WorkItemDeleteShallowReference.md)
 - [WorkItemDeleteUpdate](docs//WorkItemDeleteUpdate.md)
 - [WorkItemDetails](docs//WorkItemDetails.md)
 - [WorkItemField](docs//WorkItemField.md)
 - [WorkItemFieldOperation](docs//WorkItemFieldOperation.md)
 - [WorkItemFieldReference](docs//WorkItemFieldReference.md)
 - [WorkItemFieldUpdate](docs//WorkItemFieldUpdate.md)
 - [WorkItemHistory](docs//WorkItemHistory.md)
 - [WorkItemHit](docs//WorkItemHit.md)
 - [WorkItemIcon](docs//WorkItemIcon.md)
 - [WorkItemLink](docs//WorkItemLink.md)
 - [WorkItemNextStateOnTransition](docs//WorkItemNextStateOnTransition.md)
 - [WorkItemQueryClause](docs//WorkItemQueryClause.md)
 - [WorkItemQueryResult](docs//WorkItemQueryResult.md)
 - [WorkItemQuerySortColumn](docs//WorkItemQuerySortColumn.md)
 - [WorkItemReference](docs//WorkItemReference.md)
 - [WorkItemRelation](docs//WorkItemRelation.md)
 - [WorkItemRelationType](docs//WorkItemRelationType.md)
 - [WorkItemRelationUpdates](docs//WorkItemRelationUpdates.md)
 - [WorkItemResult](docs//WorkItemResult.md)
 - [WorkItemSearchRequest](docs//WorkItemSearchRequest.md)
 - [WorkItemSearchResponse](docs//WorkItemSearchResponse.md)
 - [WorkItemStateColor](docs//WorkItemStateColor.md)
 - [WorkItemStateInputModel](docs//WorkItemStateInputModel.md)
 - [WorkItemStateResultModel](docs//WorkItemStateResultModel.md)
 - [WorkItemStateTransition](docs//WorkItemStateTransition.md)
 - [WorkItemTemplate](docs//WorkItemTemplate.md)
 - [WorkItemTemplateReference](docs//WorkItemTemplateReference.md)
 - [WorkItemToTestLinks](docs//WorkItemToTestLinks.md)
 - [WorkItemTrackingReference](docs//WorkItemTrackingReference.md)
 - [WorkItemTrackingResource](docs//WorkItemTrackingResource.md)
 - [WorkItemTrackingResourceReference](docs//WorkItemTrackingResourceReference.md)
 - [WorkItemType](docs//WorkItemType.md)
 - [WorkItemTypeBehavior](docs//WorkItemTypeBehavior.md)
 - [WorkItemTypeCategory](docs//WorkItemTypeCategory.md)
 - [WorkItemTypeColor](docs//WorkItemTypeColor.md)
 - [WorkItemTypeColorAndIcon](docs//WorkItemTypeColorAndIcon.md)
 - [WorkItemTypeFieldInstance](docs//WorkItemTypeFieldInstance.md)
 - [WorkItemTypeFieldInstanceBase](docs//WorkItemTypeFieldInstanceBase.md)
 - [WorkItemTypeFieldWithReferences](docs//WorkItemTypeFieldWithReferences.md)
 - [WorkItemTypeModel](docs//WorkItemTypeModel.md)
 - [WorkItemTypeReference](docs//WorkItemTypeReference.md)
 - [WorkItemTypeStateColors](docs//WorkItemTypeStateColors.md)
 - [WorkItemTypeStateInfo](docs//WorkItemTypeStateInfo.md)
 - [WorkItemTypeTemplate](docs//WorkItemTypeTemplate.md)
 - [WorkItemTypeTemplateUpdateModel](docs//WorkItemTypeTemplateUpdateModel.md)
 - [WorkItemUpdate](docs//WorkItemUpdate.md)
 - [WorkflowTask](docs//WorkflowTask.md)
 - [WorkflowTaskReference](docs//WorkflowTaskReference.md)
 - [WorkspaceMapping](docs//WorkspaceMapping.md)
 - [WorkspaceTemplate](docs//WorkspaceTemplate.md)
 - [XamlBuildControllerReference](docs//XamlBuildControllerReference.md)
 - [XamlBuildDefinition](docs//XamlBuildDefinition.md)
 - [XamlBuildReference](docs//XamlBuildReference.md)
 - [XamlBuildServerReference](docs//XamlBuildServerReference.md)
 - [XamlDefinitionReference](docs//XamlDefinitionReference.md)
 - [YamlFileSource](docs//YamlFileSource.md)
 - [YamlPipelineProcess](docs//YamlPipelineProcess.md)
 - [YamlPipelineProcessResources](docs//YamlPipelineProcessResources.md)
 - [YamlProcess](docs//YamlProcess.md)
 - [YamlSourceReference](docs//YamlSourceReference.md)


## Documentation For Authorization


## accessToken

- **Type**: HTTP basic authentication

## oauth2

- **Type**: OAuth
- **Flow**: accessCode
- **Authorization URL**: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
- **Scopes**: 
 - **vso.profile**: Grants the ability to read your profile, accounts, collections, projects, teams, and other top-level organizational artifacts.


## Author

nugetvss@microsoft.com


